#line 1 "dfa_x86.cpp"
//
// Copyright (c) 1997, 2022, Oracle and/or its affiliates. All rights reserved.
// DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
//
// This code is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 2 only, as
// published by the Free Software Foundation.
//
// This code is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// version 2 for more details (a copy is included in the LICENSE file that
// accompanied this code).
//
// You should have received a copy of the GNU General Public License version
// 2 along with this work; if not, write to the Free Software Foundation,
// Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
//
// Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
// or visit www.oracle.com if you need additional information or have any
// questions.
//
//

// Machine Generated File.  Do Not Edit!

#include "precompiled.hpp"
#include "adfiles/ad_x86.hpp"
#include "oops/compressedOops.hpp"
#include "opto/cfgnode.hpp"
#include "opto/intrinsicnode.hpp"
#include "opto/matcher.hpp"
#include "opto/narrowptrnode.hpp"
#include "opto/opcodes.hpp"
#include "opto/convertnode.hpp"
#include "utilities/powerOfTwo.hpp"

//------------------------- Source -----------------------------------------

//------------------------- Attributes -------------------------------------

// AttributeForm 
static const int op_cost = 0;

// AttributeForm 
static const int ins_cost = 100;

// AttributeForm 
static const int ins_size = 8;

// AttributeForm 
static const int ins_short_branch = 0;

// AttributeForm 
static const int ins_alignment = 1;

//------------------------- Macros -----------------------------------------
#define DFA_PRODUCTION(result, rule, cost)\
  assert(rule < (1 << 15), "too many rules"); _cost[ (result) ] = cost; _rule[ (result) ] = (rule << 1) | 0x1;

//------------------------- DFA --------------------------------------------
// DFA is a large switch with case statements for each ideal opcode encountered
// in any match rule in the ad file.  Each case has a series of if's to handle
// the match or fail decisions.  The matches test the cost function of that
// rule, and prune any cases which are higher cost for the same reduction.
// In order to generate the DFA we walk the table of ideal opcode/MatchList
// pairs generated by the ADLC front end to build the contents of the case
// statements (a series of if statements).


void  State::_sub_Op_RegI(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NCXREGI, ncxRegI_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NADXREGI, nadxRegI_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NAXREGI, naxRegI_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RREGI, rRegI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, xRegI_rule, c)
        DFA_PRODUCTION(EAXREGI, eAXRegI_rule, c)
        DFA_PRODUCTION(EBXREGI, eBXRegI_rule, c)
        DFA_PRODUCTION(ECXREGI, eCXRegI_rule, c)
        DFA_PRODUCTION(EDXREGI, eDXRegI_rule, c)
        DFA_PRODUCTION(EDIREGI, eDIRegI_rule, c)
        DFA_PRODUCTION(ESIREGI, eSIRegI_rule, c)
    }
}
void  State::_sub_Op_RegP(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(LOAD_LONG_REGP, load_long_RegP_rule, c)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, load_long_indirect_rule, c)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(PREGP, pRegP_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NABXREGP, nabxRegP_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(NAXREGP, naxRegP_rule, c)
    }
    {
      unsigned int c = 100;
        DFA_PRODUCTION(EREGP_NO_EBP, eRegP_no_EBP_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RREGP, rRegP_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(EREGP, eRegP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, anyRegP_rule, c)
        DFA_PRODUCTION(EAXREGP, eAXRegP_rule, c)
        DFA_PRODUCTION(EBXREGP, eBXRegP_rule, c)
        DFA_PRODUCTION(ECXREGP, eCXRegP_rule, c)
        DFA_PRODUCTION(EDXREGP, eDXRegP_rule, c)
        DFA_PRODUCTION(ESIREGP, eSIRegP_rule, c)
        DFA_PRODUCTION(EDIREGP, eDIRegP_rule, c)
        DFA_PRODUCTION(INDIRECT, indirect_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
    {
      unsigned int c = 0;
    }
}
void  State::_sub_Op_RegF(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VLREGF, vlRegF_rule, c)
        DFA_PRODUCTION(REGF, MoveVL2F_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)
    }
    if(         
#line 4068 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=1 
#line 154 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGREGF, legRegF_rule, c)	  // overwrites higher cost rule
    }
    if(         
#line 4060 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=1 
#line 162 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(REGF, regF_rule, c)	  // overwrites higher cost rule
      if ( /* LEGREGF KNOWN_VALID || */ _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
    }
    if(         
#line 4041 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE < 2 
#line 173 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(REGFPR, regFPR_rule, c)
        DFA_PRODUCTION(REGFPR1, regFPR1_rule, c)
    }
}
void  State::_sub_Op_RegD(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VLREGD, vlRegD_rule, c)
        DFA_PRODUCTION(REGD, MoveVL2D_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)
    }
    if(         
#line 4095 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 
#line 190 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGREGD, legRegD_rule, c)	  // overwrites higher cost rule
    }
    if(         
#line 4086 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 
#line 198 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(REGD, regD_rule, c)	  // overwrites higher cost rule
      if ( /* LEGREGD KNOWN_VALID || */ _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
    }
    if(         
#line 4006 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE < 2 
#line 209 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(REGDPR, regDPR_rule, c)
        DFA_PRODUCTION(REGDPR1, regDPR1_rule, c)
        DFA_PRODUCTION(REGDPR2, regDPR2_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, regnotDPR1_rule, c)
    }
}
void  State::_sub_Op_RegL(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(EADXREGL_LOW_ONLY, eADXRegL_low_only_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(EREGL, eRegL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, eADXRegL_rule, c)
        DFA_PRODUCTION(EBCXREGL, eBCXRegL_rule, c)
    }
}
void  State::_sub_Op_VecS(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECS, legVecS_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECS, vecS_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_VecD(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECD, legVecD_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECD, vecD_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_VecX(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECX, legVecX_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECX, vecX_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RXMM0, rxmm0_rule, c)
    }
}
void  State::_sub_Op_VecY(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECY, legVecY_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECY, vecY_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_VecZ(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVECZ, legVecZ_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VECZ, vecZ_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(LEGVEC, legVec_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(VEC, vec_rule, c)	  // overwrites higher cost rule
    }
}
void  State::_sub_Op_RegVectMask(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K7, kReg_K7_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K6, kReg_K6_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K5, kReg_K5_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K4, kReg_K4_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K3, kReg_K3_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K2, kReg_K2_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG_K1, kReg_K1_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(KREG, kReg_rule, c)
    }
}
void  State::_sub_Op_RegFlags(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(FLAGSREG_ULONG_LEGT, flagsReg_ulong_LEGT_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(FLAGSREG_ULONG_EQNE, flagsReg_ulong_EQNE_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(FLAGSREG_ULONG_LTGE, flagsReg_ulong_LTGE_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(FLAGSREG_LONG_LEGT, flagsReg_long_LEGT_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(FLAGSREG_LONG_EQNE, flagsReg_long_EQNE_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(FLAGSREG_LONG_LTGE, flagsReg_long_LTGE_rule, c)
    }
    if(         
#line 3958 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
false
#line 392 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(EFLAGSREGUCF, eFlagsRegUCF_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(EFLAGSREGU, eFlagsRegU_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(EFLAGSREG, eFlagsReg_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(RFLAGSREG, rFlagsReg_rule, c)
    }
}
void  State::_sub_Op_AbsD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGD) &&
        (
#line 3256 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 415 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGD]+150;
        DFA_PRODUCTION(VLREGD, absD_reg_reg_rule, c)
        DFA_PRODUCTION(REGD, MoveVL2D_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 3244 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 426 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, absD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR1) &&
        (
#line 9688 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 443 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR1]+100;
        DFA_PRODUCTION(REGDPR1, absDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR, absDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, absDPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, absDPR_reg_rule, c)
    }
}
void  State::_sub_Op_AbsF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGF) &&
        (
#line 3231 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 457 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGF]+150;
        DFA_PRODUCTION(VLREGF, absF_reg_reg_rule, c)
        DFA_PRODUCTION(REGF, MoveVL2F_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 3220 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 468 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, absF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR1) &&
        (
#line 10280 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 485 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR1]+100;
        DFA_PRODUCTION(REGFPR1, absFPR_reg_rule, c)
        DFA_PRODUCTION(REGFPR, absFPR_reg_rule, c)
    }
}
void  State::_sub_Op_AbsI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(EAXREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(NCXREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(EBXREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(NADXREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(ECXREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(NAXREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(EDXREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(EDIREGI, absI_rReg_rule, c)
        DFA_PRODUCTION(ESIREGI, absI_rReg_rule, c)
    }
}
void  State::_sub_Op_AddD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 2782 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 514 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, addD_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 2770 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 525 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 2770 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 542 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 2758 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 559 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 2747 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 576 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 2735 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 593 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 2735 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 610 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 2723 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 627 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, addD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], _MULD_REGDPR_REGDPR) &&
        (
#line 9894 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 
#line 644 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[_MULD_REGDPR_REGDPR]+250;
        DFA_PRODUCTION(REGDPR, addDPR_mulDPR_reg_0_rule, c)
        DFA_PRODUCTION(REGDPR1, addDPR_mulDPR_reg_0_rule, c)
        DFA_PRODUCTION(REGDPR2, addDPR_mulDPR_reg_0_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, addDPR_mulDPR_reg_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _MULD_REGDPR_REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9894 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 
#line 656 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_MULD_REGDPR_REGDPR]+_kids[1]->_cost[REGDPR]+250;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, addDPR_mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, addDPR_mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, addDPR_mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, addDPR_mulDPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], IMMDPR) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[IMMDPR];
        DFA_PRODUCTION(_ADDD_REGDPR_IMMDPR, _AddD_regDPR_immDPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], IMMDPR) &&
        (
#line 9780 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1 && _kids[1]->_leaf->getd() != 0.0 && _kids[1]->_leaf->getd() != 1.0 
#line 680 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[IMMDPR]+200;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, addDPR_reg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, addDPR_reg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, addDPR_reg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, addDPR_reg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], IMMDPR1) &&
        (
#line 9767 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 700 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[IMMDPR1]+125;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, addDPR_reg_imm1_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, addDPR_reg_imm1_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, addDPR_reg_imm1_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, addDPR_reg_imm1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[_LOADD_MEMORY_];
        DFA_PRODUCTION(_ADDD_REGDPR__LOADD_MEMORY_, _AddD_regDPR__LoadD_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGDPR) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGDPR];
        DFA_PRODUCTION(_ADDD__LOADD_MEMORY__REGDPR, _AddD__LoadD_memory__regDPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9737 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 728 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGDPR]+150;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, addDPR_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, addDPR_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, addDPR_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, addDPR_reg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 9737 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 748 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, addDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, addDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, addDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, addDPR_reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR];
        DFA_PRODUCTION(_ADDD_REGDPR_REGDPR, _AddD_regDPR_regDPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9708 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 772 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+150;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, addDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, addDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, addDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, addDPR_reg_rule, c)
      }
    }
}
void  State::_sub_Op_AddF(const Node *n){
    bool Compile__current____select_24_bit_instr__ = Compile::current()->select_24_bit_instr();
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2711 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 795 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, addF_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2699 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 806 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2699 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 823 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2687 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 840 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2676 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 857 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2664 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 874 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2664 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 891 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2652 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 908 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, addF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _MULF_REGFPR_REGFPR) &&
        (
#line 10552 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 925 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_MULF_REGFPR_REGFPR]+100;
        DFA_PRODUCTION(REGFPR, addFPR_mulFPR_reg_0_rule, c)
        DFA_PRODUCTION(REGFPR1, addFPR_mulFPR_reg_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _MULF_REGFPR_REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10552 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 935 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_MULF_REGFPR_REGFPR]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_mulFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_mulFPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _MULF_REGFPR__LOADF_MEMORY_) &&
        (
#line 10530 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 949 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_MULF_REGFPR__LOADF_MEMORY_]+95;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_mulFPR_reg_load1_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_mulFPR_reg_load1_2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _MULF_REGFPR__LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10530 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 963 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_MULF_REGFPR__LOADF_MEMORY_]+_kids[1]->_cost[REGFPR]+95;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_mulFPR_reg_load1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_mulFPR_reg_load1_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _MULF__LOADF_MEMORY__REGFPR) &&
        (
#line 10530 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 977 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_MULF__LOADF_MEMORY__REGFPR]+95;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_mulFPR_reg_load1_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_mulFPR_reg_load1_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _MULF__LOADF_MEMORY__REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10530 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 991 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_MULF__LOADF_MEMORY__REGFPR]+_kids[1]->_cost[REGFPR]+95;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_mulFPR_reg_load1_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_mulFPR_reg_load1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], IMMFPR) &&
        (
#line 10389 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 1005 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[IMMFPR]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_reg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_reg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], IMMFPR) &&
        (
#line 10374 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1019 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[IMMFPR]+100;
        DFA_PRODUCTION(STACKSLOTF, addFPR24_reg_imm_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], MEMORY) &&
        (
#line 10359 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1034 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[MEMORY]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, addFPR24_mem_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], MEMORY) &&
        (
#line 10345 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1051 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[MEMORY]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, addFPR24_mem_cisc_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10345 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1068 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, addFPR24_mem_cisc_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10331 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1085 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, addFPR24_mem_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10318 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 1102 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_reg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10318 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 1116 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10302 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1130 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, addFPR24_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10302 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1147 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, addFPR24_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10268 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 1164 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, addFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, addFPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10255 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 1178 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, addFPR24_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
}
void  State::_sub_Op_AddI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _SUBI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _ANDI_RREGI__CMPLTMASK_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_RREGI_RREGI]+_kids[1]->_cost[_ANDI_RREGI__CMPLTMASK_RREGI_RREGI]+400;
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(EAXREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(NCXREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(EBXREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(NADXREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(ECXREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(NAXREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(EDXREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(EDIREGI, cadd_cmpLTMask_2_rule, c)
        DFA_PRODUCTION(ESIREGI, cadd_cmpLTMask_2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI__CMPLTMASK_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[1]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[1]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI__CMPLTMASK_RREGI_RREGI]+_kids[1]->_cost[_SUBI_RREGI_RREGI]+400;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cadd_cmpLTMask_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cadd_cmpLTMask_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _ANDI__CMPLTMASK_RREGI_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[0]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_RREGI_RREGI]+_kids[1]->_cost[_ANDI__CMPLTMASK_RREGI_RREGI_RREGI]+400;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cadd_cmpLTMask_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cadd_cmpLTMask_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__CMPLTMASK_RREGI_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_RREGI_RREGI) &&
        /*p*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*q*/(_kids[0]->_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__CMPLTMASK_RREGI_RREGI_RREGI]+_kids[1]->_cost[_SUBI_RREGI_RREGI]+400;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cadd_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cadd_cmpLTMask_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_ADDI_RREGI_IMMI_M1, _AddI_rRegI_immI_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__IMMI_M1, _AddI__LoadI_memory__immI_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_1];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__IMMI_1, _AddI__LoadI_memory__immI_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__IMMI, _AddI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_ADDI_RREGI__LOADI_MEMORY_, _AddI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ADDI__LOADI_MEMORY__RREGI, _AddI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, addI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, addI_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, addI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, addI_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) &&
        (
#line 7071 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseIncDec
#line 1435 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, decI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, decI_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) &&
        (
#line 7039 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseIncDec
#line 1479 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, incI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, incI_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, addI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, addI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, addI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, addI_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_AddL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[IMML_M1];
        DFA_PRODUCTION(_ADDL__LOADL_MEMORY__IMML_M1, _AddL__LoadL_memory__immL_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML_M1];
        DFA_PRODUCTION(_ADDL_EREGL_IMML_M1, _AddL_eRegL_immL_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_LOAD_LONG_MEMORY_) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_LOAD_LONG_MEMORY_]+_kids[1]->_cost[EREGL]+125;
        DFA_PRODUCTION(EREGL, addL_eReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, addL_eReg_mem_0_rule, c)
        DFA_PRODUCTION(EBCXREGL, addL_eReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_LOAD_LONG_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_LOADL_LOAD_LONG_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, addL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, addL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, addL_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, addL_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, addL_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, addL_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, addL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, addL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, addL_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_AddP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0_RREGI) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[_SUBI_IMMI_0_RREGI]+100;
        DFA_PRODUCTION(EREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(EAXREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(RREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, subP_eReg_rule, c+100)
        DFA_PRODUCTION(EBXREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(NAXREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(PREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(ECXREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(NABXREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(EDXREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(ESIREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, subP_eReg_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, subP_eReg_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, subP_eReg_rule, c)
        DFA_PRODUCTION(INDIRECT, subP_eReg_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, addP_eReg_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, addP_eReg_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, addP_eReg_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, addP_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[IMMI]+110;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, leaP_eReg_immI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, leaP_eReg_immI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, leaP_eReg_immI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, leaP_eReg_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LOAD_LONG_REGP) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[LOAD_LONG_REGP]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(LOAD_LONG_INDOFFSET32, load_long_indOffset32_rule, c)
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indOffset32_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP_EREGP__LSHIFTI_RREGI_IMMI2) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_ADDP_EREGP__LSHIFTI_RREGI_IMMI2]+_kids[1]->_cost[IMMI]+10;
        DFA_PRODUCTION(INDINDEXSCALEOFFSET, indIndexScaleOffset_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexScaleOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indIndexScaleOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c+110) {
        DFA_PRODUCTION(EREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c+110) {
        DFA_PRODUCTION(ANYREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c+110) {
        DFA_PRODUCTION(EAXREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+110+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, leaPIdxScaleOff_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c+110) {
        DFA_PRODUCTION(EBXREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c+110) {
        DFA_PRODUCTION(NAXREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c+110) {
        DFA_PRODUCTION(PREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c+110) {
        DFA_PRODUCTION(ECXREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c+110) {
        DFA_PRODUCTION(NABXREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c+110) {
        DFA_PRODUCTION(EDXREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c+110) {
        DFA_PRODUCTION(ESIREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, leaPIdxScaleOff_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, leaPIdxScaleOff_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c+110) {
        DFA_PRODUCTION(EDIREGP, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxScaleOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c+110) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_RREGI_IMMI2) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[_LSHIFTI_RREGI_IMMI2];
        DFA_PRODUCTION(_ADDP_EREGP__LSHIFTI_RREGI_IMMI2, _AddP_eRegP__LShiftI_rRegI_immI2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_RREGI_IMMI2) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[_LSHIFTI_RREGI_IMMI2]+10;
        DFA_PRODUCTION(INDINDEXSCALE, indIndexScale_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexScale_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indIndexScale_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c+110) {
        DFA_PRODUCTION(EREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c+110) {
        DFA_PRODUCTION(ANYREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c+110) {
        DFA_PRODUCTION(EAXREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+110+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, leaPIdxScale_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c+110) {
        DFA_PRODUCTION(EBXREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c+110) {
        DFA_PRODUCTION(NAXREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c+110) {
        DFA_PRODUCTION(PREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c+110) {
        DFA_PRODUCTION(ECXREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c+110) {
        DFA_PRODUCTION(NABXREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c+110) {
        DFA_PRODUCTION(EDXREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c+110) {
        DFA_PRODUCTION(ESIREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, leaPIdxScale_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, leaPIdxScale_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c+110) {
        DFA_PRODUCTION(EDIREGP, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxScale_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c+110) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[RREGI]+10;
        DFA_PRODUCTION(INDINDEX, indIndex_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indIndex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDP_EREGP_RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_ADDP_EREGP_RREGI]+_kids[1]->_cost[IMMI]+10;
        DFA_PRODUCTION(INDINDEXOFFSET, indIndexOffset_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indIndexOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indIndexOffset_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c+110) {
        DFA_PRODUCTION(EREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c+110) {
        DFA_PRODUCTION(ANYREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c+110) {
        DFA_PRODUCTION(EAXREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+110+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, leaPIdxOff_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c+110) {
        DFA_PRODUCTION(EBXREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c+110) {
        DFA_PRODUCTION(NAXREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c+110) {
        DFA_PRODUCTION(PREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c+110) {
        DFA_PRODUCTION(ECXREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c+110) {
        DFA_PRODUCTION(NABXREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c+110) {
        DFA_PRODUCTION(EDXREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c+110) {
        DFA_PRODUCTION(ESIREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, leaPIdxOff_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, leaPIdxOff_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c+110) {
        DFA_PRODUCTION(EDIREGP, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaPIdxOff_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c+110) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ADDP_EREGP_RREGI, _AddP_eRegP_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMP) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMP]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(INDOFFSET32X, indOffset32X_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indOffset32X_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(INDOFFSET32, indOffset32_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indOffset32_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indOffset32_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c+110) {
        DFA_PRODUCTION(EREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c+110) {
        DFA_PRODUCTION(ANYREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c+110) {
        DFA_PRODUCTION(EAXREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+110+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, leaP32_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c+110) {
        DFA_PRODUCTION(EBXREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c+110) {
        DFA_PRODUCTION(NAXREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c+110) {
        DFA_PRODUCTION(PREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c+110) {
        DFA_PRODUCTION(ECXREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c+110) {
        DFA_PRODUCTION(NABXREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c+110) {
        DFA_PRODUCTION(EDXREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c+110) {
        DFA_PRODUCTION(ESIREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, leaP32_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, leaP32_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c+110) {
        DFA_PRODUCTION(EDIREGP, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaP32_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c+110) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c+110)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(INDOFFSET8, indOffset8_rule, c)
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indOffset8_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indOffset8_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c+110) {
        DFA_PRODUCTION(EREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+110+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c+110) {
        DFA_PRODUCTION(ANYREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c+110) {
        DFA_PRODUCTION(EAXREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c+110) {
        DFA_PRODUCTION(RREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+110+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, leaP8_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c+110) {
        DFA_PRODUCTION(EBXREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c+110) {
        DFA_PRODUCTION(NAXREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c+110) {
        DFA_PRODUCTION(PREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c+110) {
        DFA_PRODUCTION(ECXREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c+110) {
        DFA_PRODUCTION(NABXREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c+110) {
        DFA_PRODUCTION(EDXREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c+110) {
        DFA_PRODUCTION(ESIREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, leaP8_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, leaP8_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+110+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+110+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c+110) {
        DFA_PRODUCTION(EDIREGP, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c+110) {
        DFA_PRODUCTION(INDIRECT, leaP8_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c+110) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c+110)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c+110) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c+110)
      }
    }
}
void  State::_sub_Op_AndI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[MEMORY];
        DFA_PRODUCTION(_ANDI_RREGI_MEMORY, _AndI_rRegI_memory_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI_RREGI_IMMI, _AndI_rRegI_immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _CMPLTMASK_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_CMPLTMASK_RREGI_RREGI]+300;
        DFA_PRODUCTION(RREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(EAXREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(NCXREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(EBXREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(NADXREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(ECXREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(NAXREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(EDXREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(EDIREGI, and_cmpLTMask_0_rule, c)
        DFA_PRODUCTION(ESIREGI, and_cmpLTMask_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CMPLTMASK_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_CMPLTMASK_RREGI_RREGI]+_kids[1]->_cost[RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, and_cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, and_cmpLTMask_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _CMPLTMASK_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_CMPLTMASK_RREGI_RREGI];
        DFA_PRODUCTION(_ANDI_RREGI__CMPLTMASK_RREGI_RREGI, _AndI_rRegI__CmpLTMask_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CMPLTMASK_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_CMPLTMASK_RREGI_RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ANDI__CMPLTMASK_RREGI_RREGI_RREGI, _AndI__CmpLTMask_rRegI_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_M1) &&
        (
#line 8341 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2268 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsrI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsrI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI__LOADI_MEMORY__IMMI_M1) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 8341 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2312 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsrI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsrI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _ADDI_RREGI_IMMI_M1) &&
        (
#line 8326 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2356 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_ADDI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsrI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsrI_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 8326 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2400 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI_RREGI_IMMI_M1]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsrI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsrI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0__LOADI_MEMORY_) &&
        (
#line 8280 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2444 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_SUBI_IMMI_0__LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsiI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsiI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBI_IMMI_0__LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 8280 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2488 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_IMMI_0__LOADI_MEMORY_]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsiI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsiI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0_RREGI) &&
        (
#line 8267 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2532 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_SUBI_IMMI_0_RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsiI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsiI_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBI_IMMI_0_RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 8267 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2576 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBI_IMMI_0_RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsiI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsiI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _XORI_RREGI_IMMI_M1) &&
        (
#line 8253 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2620 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_XORI_RREGI_IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andnI_rReg_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 8253 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2664 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORI_RREGI_IMMI_M1]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andnI_rReg_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andnI_rReg_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _XORI_RREGI_IMMI_M1) &&
        (
#line 8240 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2708 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_XORI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andnI_rReg_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 8240 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 2752 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORI_RREGI_IMMI_M1]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andnI_rReg_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andnI_rReg_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMI, _AndI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_ANDI_RREGI__LOADI_MEMORY_, _AndI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__RREGI, _AndI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andI_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andI_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, andI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, andI_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU31) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMU31];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMU31, _AndI__LoadI_memory__immU31_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_65535];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMI_65535, _AndI__LoadI_memory__immI_65535_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_255];
        DFA_PRODUCTION(_ANDI__LOADI_MEMORY__IMMI_255, _AndI__LoadI_memory__immI_255_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_65535]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, loadI2US_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, loadI2US_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_255]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, loadI2UB_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, loadI2UB_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI__LOADUS_MEMORY__IMMI, _AndI__LoadUS_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+_kids[1]->_cost[IMMI_255];
        DFA_PRODUCTION(_ANDI__LOADUS_MEMORY__IMMI_255, _AndI__LoadUS_memory__immI_255_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUB_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADUB_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ANDI__LOADUB_MEMORY__IMMI, _AndI__LoadUB_memory__immI_rule, c)
    }
}
void  State::_sub_Op_AndL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML_32BITS]+250;
        DFA_PRODUCTION(EREGL, zerox_long_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, zerox_long_rule, c)
        DFA_PRODUCTION(EBCXREGL, zerox_long_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_RREGI_) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_RREGI_]+_kids[1]->_cost[IMML_32BITS]+250;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, convI2L_reg_zex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, convI2L_reg_zex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, convI2L_reg_zex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__IMML_M1) &&
        (
#line 9177 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3090 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsrL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsrL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsrL_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL__LOADL_MEMORY__IMML_M1) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 9177 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3110 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsrL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsrL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsrL_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _ADDL_EREGL_IMML_M1) &&
        (
#line 9150 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3130 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_ADDL_EREGL_IMML_M1]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsrL_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsrL_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsrL_eReg_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL_EREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 9150 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3150 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL_EREGL_IMML_M1]+_kids[1]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsrL_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsrL_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsrL_eReg_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _SUBL_IMML0__LOADL_MEMORY_) &&
        (
#line 9066 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3170 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_SUBL_IMML0__LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsiL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsiL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsiL_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBL_IMML0__LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 9066 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3190 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBL_IMML0__LOADL_MEMORY_]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsiL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsiL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsiL_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _SUBL_IMML0_EREGL) &&
        (
#line 9041 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3210 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_SUBL_IMML0_EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsiL_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsiL_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsiL_eReg_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBL_IMML0_EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 9041 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3230 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_SUBL_IMML0_EREGL]+_kids[1]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsiL_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsiL_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsiL_eReg_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _XORL_EREGL_IMML_M1) &&
        (
#line 9020 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3250 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_XORL_EREGL_IMML_M1]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andnL_eReg_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andnL_eReg_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andnL_eReg_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORL_EREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 9020 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3270 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORL_EREGL_IMML_M1]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andnL_eReg_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andnL_eReg_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andnL_eReg_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _XORL_EREGL_IMML_M1) &&
        (
#line 9001 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3290 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_XORL_EREGL_IMML_M1]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andnL_eReg_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andnL_eReg_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andnL_eReg_eReg_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _XORL_EREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 9001 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 3310 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_XORL_EREGL_IMML_M1]+_kids[1]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andnL_eReg_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andnL_eReg_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andnL_eReg_eReg_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_LOAD_LONG_MEMORY_) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_LOAD_LONG_MEMORY_]+_kids[1]->_cost[EREGL]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andL_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_LOAD_LONG_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_LOADL_LOAD_LONG_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andL_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andL_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andL_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andL_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, andL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, andL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, andL_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_NADXREGI_) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_NADXREGI_]+_kids[1]->_cost[IMML_32BITS];
        DFA_PRODUCTION(_ANDL__CONVI2L_NADXREGI__IMML_32BITS, _AndL__ConvI2L_nadxRegI__immL_32bits_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_EAXREGI_) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_EAXREGI_]+_kids[1]->_cost[IMML_32BITS];
        DFA_PRODUCTION(_ANDL__CONVI2L_EAXREGI__IMML_32BITS, _AndL__ConvI2L_eAXRegI__immL_32bits_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L__LOADI_MEMORY__) && STATE__VALID_CHILD(_kids[1], IMML_32BITS) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L__LOADI_MEMORY__]+_kids[1]->_cost[IMML_32BITS]+250;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadUI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadUI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadUI2L_rule, c)
      }
    }
}
void  State::_sub_Op_AryEq(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EDIREGP) && STATE__VALID_CHILD(_kids[1], ESIREGP) &&
        (
#line 12097 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::UU
#line 3415 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EDIREGP]+_kids[1]->_cost[ESIREGP]+100;
        DFA_PRODUCTION(EAXREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(RREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(EBXREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(NADXREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(ECXREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(NAXREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(EDXREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(NCXREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(EDIREGI, array_equalsC_evex_rule, c)
        DFA_PRODUCTION(ESIREGI, array_equalsC_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EDIREGP) && STATE__VALID_CHILD(_kids[1], ESIREGP) &&
        (
#line 12080 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::UU
#line 3435 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EDIREGP]+_kids[1]->_cost[ESIREGP]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, array_equalsC_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, array_equalsC_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EDIREGP) && STATE__VALID_CHILD(_kids[1], ESIREGP) &&
        (
#line 12063 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::LL
#line 3479 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EDIREGP]+_kids[1]->_cost[ESIREGP]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, array_equalsB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, array_equalsB_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EDIREGP) && STATE__VALID_CHILD(_kids[1], ESIREGP) &&
        (
#line 12046 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() && ((AryEqNode*)n)->encoding() == StrIntrinsicNode::LL
#line 3523 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EDIREGP]+_kids[1]->_cost[ESIREGP]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, array_equalsB_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, array_equalsB_rule, c)
      }
    }
}
void  State::_sub_Op_AtanD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 10014 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 3569 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+100;
        DFA_PRODUCTION(REGD, atanD_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 10004 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 3580 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+100;
        DFA_PRODUCTION(REGDPR, atanDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR1, atanDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, atanDPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, atanDPR_reg_rule, c)
    }
}
void  State::_sub_Op_Binary(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[IMMU8];
        DFA_PRODUCTION(_BINARY__LOADVECTOR_MEMORY__IMMU8, _Binary__LoadVector_memory__immU8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMU8) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMU8];
        DFA_PRODUCTION(_BINARY_VEC_IMMU8, _Binary_vec_immU8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_];
        DFA_PRODUCTION(_BINARY_VEC__LOADVECTOR_MEMORY_, _Binary_vec__LoadVector_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC];
        DFA_PRODUCTION(_BINARY_LEGVEC_LEGVEC, _Binary_legVec_legVec_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP_VCMPPD) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[CMPOP_VCMPPD]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_BINARY_CMPOP_VCMPPD_IMMI8, _Binary_cmpOp_vcmppd_immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[REGF];
        DFA_PRODUCTION(_BINARY_VEC_REGF, _Binary_vec_regF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_BINARY_VEC_RREGI, _Binary_vec_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC];
        DFA_PRODUCTION(_BINARY_VEC_VEC, _Binary_vec_vec_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU_COMMUTE) && STATE__VALID_CHILD(_kids[1], FLAGSREG_ULONG_LEGT) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU_COMMUTE]+_kids[1]->_cost[FLAGSREG_ULONG_LEGT];
        DFA_PRODUCTION(_BINARY_CMPOPU_COMMUTE_FLAGSREG_ULONG_LEGT, _Binary_cmpOpU_commute_flagsReg_ulong_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP_COMMUTE) && STATE__VALID_CHILD(_kids[1], FLAGSREG_LONG_LEGT) ) {
      unsigned int c = _kids[0]->_cost[CMPOP_COMMUTE]+_kids[1]->_cost[FLAGSREG_LONG_LEGT];
        DFA_PRODUCTION(_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT, _Binary_cmpOp_commute_flagsReg_long_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], FLAGSREG_LONG_EQNE) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[FLAGSREG_LONG_EQNE];
        DFA_PRODUCTION(_BINARY_CMPOP_FLAGSREG_LONG_EQNE, _Binary_cmpOp_flagsReg_long_EQNE_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_LOAD_LONG_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_LOADL_LOAD_LONG_MEMORY_];
        DFA_PRODUCTION(_BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_, _Binary_eRegL__LoadL_load_long_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], FLAGSREG_LONG_LTGE) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[FLAGSREG_LONG_LTGE];
        DFA_PRODUCTION(_BINARY_CMPOP_FLAGSREG_LONG_LTGE, _Binary_cmpOp_flagsReg_long_LTGE_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], NADXREGI) && STATE__VALID_CHILD(_kids[1], EAXREGI) ) {
      unsigned int c = _kids[0]->_cost[NADXREGI]+_kids[1]->_cost[EAXREGI];
        DFA_PRODUCTION(_BINARY_NADXREGI_EAXREGI, _Binary_nadxRegI_eAXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], EAXREGI) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[EAXREGI];
        DFA_PRODUCTION(_BINARY_ESIREGP_EAXREGI, _Binary_eSIRegP_eAXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_BINARY_ESIREGP_IMMI, _Binary_eSIRegP_immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EDIREGP) && STATE__VALID_CHILD(_kids[1], EDXREGI) ) {
      unsigned int c = _kids[0]->_cost[EDIREGP]+_kids[1]->_cost[EDXREGI];
        DFA_PRODUCTION(_BINARY_EDIREGP_EDXREGI, _Binary_eDIRegP_eDXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EDIREGP) && STATE__VALID_CHILD(_kids[1], ESIREGP) ) {
      unsigned int c = _kids[0]->_cost[EDIREGP]+_kids[1]->_cost[ESIREGP];
        DFA_PRODUCTION(_BINARY_EDIREGP_ESIREGP, _Binary_eDIRegP_eSIRegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], EDXREGI) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[EDXREGI];
        DFA_PRODUCTION(_BINARY_ESIREGP_EDXREGI, _Binary_eSIRegP_eDXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EDIREGP) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EDIREGP]+_kids[1]->_cost[ECXREGI];
        DFA_PRODUCTION(_BINARY_EDIREGP_ECXREGI, _Binary_eDIRegP_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[ECXREGI];
        DFA_PRODUCTION(_BINARY_EAXREGI_ECXREGI, _Binary_eAXRegI_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EAXREGP) && STATE__VALID_CHILD(_kids[1], ECXREGP) ) {
      unsigned int c = _kids[0]->_cost[EAXREGP]+_kids[1]->_cost[ECXREGP];
        DFA_PRODUCTION(_BINARY_EAXREGP_ECXREGP, _Binary_eAXRegP_eCXRegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], EBCXREGL) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[EBCXREGL];
        DFA_PRODUCTION(_BINARY_EADXREGL_EBCXREGL, _Binary_eADXRegL_eBCXRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_BINARY_EAXREGI_RREGI, _Binary_eAXRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EAXREGP) && STATE__VALID_CHILD(_kids[1], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EAXREGP]+_kids[1]->_cost[EREGP];
        DFA_PRODUCTION(_BINARY_EAXREGP_EREGP, _Binary_eAXRegP_eRegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL];
        DFA_PRODUCTION(_BINARY_EREGL_EREGL, _Binary_eRegL_eRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD];
        DFA_PRODUCTION(_BINARY_REGD_REGD, _Binary_regD_regD_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF];
        DFA_PRODUCTION(_BINARY_REGF_REGF, _Binary_regF_regF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR];
        DFA_PRODUCTION(_BINARY_REGFPR_REGFPR, _Binary_regFPR_regFPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR];
        DFA_PRODUCTION(_BINARY_REGDPR_REGDPR, _Binary_regDPR_regDPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR1) && STATE__VALID_CHILD(_kids[1], REGFPR) ) {
      unsigned int c = _kids[0]->_cost[REGFPR1]+_kids[1]->_cost[REGFPR];
        DFA_PRODUCTION(_BINARY_REGFPR1_REGFPR, _Binary_regFPR1_regFPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR1) && STATE__VALID_CHILD(_kids[1], REGDPR) ) {
      unsigned int c = _kids[0]->_cost[REGDPR1]+_kids[1]->_cost[REGDPR];
        DFA_PRODUCTION(_BINARY_REGDPR1_REGDPR, _Binary_regDPR1_regDPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP_FCMOV) && STATE__VALID_CHILD(_kids[1], EFLAGSREGU) ) {
      unsigned int c = _kids[0]->_cost[CMPOP_FCMOV]+_kids[1]->_cost[EFLAGSREGU];
        DFA_PRODUCTION(_BINARY_CMPOP_FCMOV_EFLAGSREGU, _Binary_cmpOp_fcmov_eFlagsRegU_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[EREGP];
        DFA_PRODUCTION(_BINARY_EREGP_EREGP, _Binary_eRegP_eRegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_BINARY_RREGI__LOADI_MEMORY_, _Binary_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF) && STATE__VALID_CHILD(_kids[1], EFLAGSREGUCF) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF]+_kids[1]->_cost[EFLAGSREGUCF];
        DFA_PRODUCTION(_BINARY_CMPOPUCF_EFLAGSREGUCF, _Binary_cmpOpUCF_eFlagsRegUCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], EFLAGSREGU) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[EFLAGSREGU];
        DFA_PRODUCTION(_BINARY_CMPOPU_EFLAGSREGU, _Binary_cmpOpU_eFlagsRegU_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_BINARY_RREGI_RREGI, _Binary_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], EFLAGSREG) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[EFLAGSREG];
        DFA_PRODUCTION(_BINARY_CMPOP_EFLAGSREG, _Binary_cmpOp_eFlagsReg_rule, c)
    }
}
void  State::_sub_Op_Bool(const Node *n){
    if(         
#line 2598 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
n->as_Bool()->_test._test != BoolTest::overflow &&
            n->as_Bool()->_test._test != BoolTest::no_overflow
#line 3752 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOP_VCMPPD, cmpOp_vcmppd_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOPU_COMMUTE, cmpOpU_commute_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOP_COMMUTE, cmpOp_commute_rule, c)
    }
    if(         
#line 4455 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
n->as_Bool()->_test._test != BoolTest::overflow &&
            n->as_Bool()->_test._test != BoolTest::no_overflow
#line 3769 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOP_FCMOV, cmpOp_fcmov_rule, c)
    }
    if(         
#line 4436 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
n->as_Bool()->_test._test == BoolTest::ne ||
            n->as_Bool()->_test._test == BoolTest::eq
#line 3778 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOPUCF2, cmpOpUCF2_rule, c)
    }
    if(         
#line 4415 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
n->as_Bool()->_test._test == BoolTest::lt ||
            n->as_Bool()->_test._test == BoolTest::ge ||
            n->as_Bool()->_test._test == BoolTest::le ||
            n->as_Bool()->_test._test == BoolTest::gt
#line 3789 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOPUCF, cmpOpUCF_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOPU, cmpOpU_rule, c)
    }
    {
      unsigned int c = 0;
        DFA_PRODUCTION(CMPOP, cmpOp_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(EAXREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(NCXREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(EBXREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(NADXREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(ECXREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(NAXREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(EDXREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(EDIREGI, bytes_reverse_int_rule, c)
        DFA_PRODUCTION(ESIREGI, bytes_reverse_int_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+125;
        DFA_PRODUCTION(EREGL, bytes_reverse_long_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, bytes_reverse_long_rule, c)
        DFA_PRODUCTION(EBCXREGL, bytes_reverse_long_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesUS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(EAXREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(NCXREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(EBXREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(NADXREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(ECXREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(NAXREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(EDXREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(EDIREGI, bytes_reverse_unsigned_short_rule, c)
        DFA_PRODUCTION(ESIREGI, bytes_reverse_unsigned_short_rule, c)
    }
}
void  State::_sub_Op_ReverseBytesS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(EAXREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(NCXREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(EBXREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(NADXREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(ECXREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(NAXREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(EDXREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(EDIREGI, bytes_reverse_short_rule, c)
        DFA_PRODUCTION(ESIREGI, bytes_reverse_short_rule, c)
    }
}
void  State::_sub_Op_CallDynamicJava(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallDynamicJavaDirect_rule, c)
    }
}
void  State::_sub_Op_CallLeaf(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallLeafDirect_rule, c)
    }
}
void  State::_sub_Op_CallLeafNoFP(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallLeafNoFPDirect_rule, c)
    }
}
void  State::_sub_Op_CallRuntime(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallRuntimeDirect_rule, c)
    }
}
void  State::_sub_Op_CallStaticJava(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, CallStaticJavaDirect_rule, c)
    }
}
void  State::_sub_Op_CastDD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 7221 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE < 2
#line 3898 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR];
        DFA_PRODUCTION(REGDPR, castDD_PR_rule, c)
        DFA_PRODUCTION(REGDPR1, castDD_PR_rule, c)
        DFA_PRODUCTION(REGDPR2, castDD_PR_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, castDD_PR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 7203 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE >= 2
#line 3910 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD];
        DFA_PRODUCTION(REGD, castDD_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
}
void  State::_sub_Op_CastFF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGFPR) &&
        (
#line 7212 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE < 1
#line 3923 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR];
        DFA_PRODUCTION(REGFPR, castFF_PR_rule, c)
        DFA_PRODUCTION(REGFPR1, castFF_PR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 7194 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE >= 1
#line 3933 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF];
        DFA_PRODUCTION(REGF, castFF_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
}
void  State::_sub_Op_CastII(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI];
        DFA_PRODUCTION(RREGI, castII_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, castII_rule, c)
        DFA_PRODUCTION(EAXREGI, castII_rule, c)
        DFA_PRODUCTION(NCXREGI, castII_rule, c)
        DFA_PRODUCTION(EBXREGI, castII_rule, c)
        DFA_PRODUCTION(NADXREGI, castII_rule, c)
        DFA_PRODUCTION(ECXREGI, castII_rule, c)
        DFA_PRODUCTION(NAXREGI, castII_rule, c)
        DFA_PRODUCTION(EDXREGI, castII_rule, c)
        DFA_PRODUCTION(EDIREGI, castII_rule, c)
        DFA_PRODUCTION(ESIREGI, castII_rule, c)
    }
}
void  State::_sub_Op_CastLL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL];
        DFA_PRODUCTION(EREGL, castLL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, castLL_rule, c)
        DFA_PRODUCTION(EBCXREGL, castLL_rule, c)
    }
}
void  State::_sub_Op_CastVV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC];
        DFA_PRODUCTION(LEGVEC, castVVLeg_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC];
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castVV_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_CastX2P(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI];
        DFA_PRODUCTION(EAXREGP, castX2P_rule, c)
        DFA_PRODUCTION(ANYREGP, castX2P_rule, c)
        DFA_PRODUCTION(EREGP, castX2P_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, castX2P_rule, c)
        DFA_PRODUCTION(RREGP, castX2P_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, castX2P_rule, c+100)
        DFA_PRODUCTION(NAXREGP, castX2P_rule, c)
        DFA_PRODUCTION(PREGP, castX2P_rule, c)
        DFA_PRODUCTION(ECXREGP, castX2P_rule, c)
        DFA_PRODUCTION(NABXREGP, castX2P_rule, c)
        DFA_PRODUCTION(EDXREGP, castX2P_rule, c)
        DFA_PRODUCTION(ESIREGP, castX2P_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, castX2P_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, castX2P_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, castX2P_rule, c)
        DFA_PRODUCTION(INDIRECT, castX2P_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_CastP2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP];
        DFA_PRODUCTION(_CASTP2X_EREGP_, _CastP2X_eRegP__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+50;
        DFA_PRODUCTION(RREGI, castP2X_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, castP2X_rule, c)
        DFA_PRODUCTION(EAXREGI, castP2X_rule, c)
        DFA_PRODUCTION(NCXREGI, castP2X_rule, c)
        DFA_PRODUCTION(EBXREGI, castP2X_rule, c)
        DFA_PRODUCTION(NADXREGI, castP2X_rule, c)
        DFA_PRODUCTION(ECXREGI, castP2X_rule, c)
        DFA_PRODUCTION(NAXREGI, castP2X_rule, c)
        DFA_PRODUCTION(EDXREGI, castP2X_rule, c)
        DFA_PRODUCTION(EDIREGI, castP2X_rule, c)
        DFA_PRODUCTION(ESIREGI, castP2X_rule, c)
    }
}
void  State::_sub_Op_CastPP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+100;
        DFA_PRODUCTION(EREGP, castPP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, castPP_rule, c)
        DFA_PRODUCTION(EAXREGP, castPP_rule, c)
        DFA_PRODUCTION(RREGP, castPP_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, castPP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, castPP_rule, c)
        DFA_PRODUCTION(NAXREGP, castPP_rule, c)
        DFA_PRODUCTION(PREGP, castPP_rule, c)
        DFA_PRODUCTION(ECXREGP, castPP_rule, c)
        DFA_PRODUCTION(NABXREGP, castPP_rule, c)
        DFA_PRODUCTION(EDXREGP, castPP_rule, c)
        DFA_PRODUCTION(ESIREGP, castPP_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, castPP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, castPP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, castPP_rule, c)
        DFA_PRODUCTION(INDIRECT, castPP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_CheckCastPP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+100;
        DFA_PRODUCTION(EREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(EAXREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(RREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, checkCastPP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(NAXREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(PREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(ECXREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(NABXREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(EDXREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(ESIREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, checkCastPP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, checkCastPP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, checkCastPP_rule, c)
        DFA_PRODUCTION(INDIRECT, checkCastPP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_ClearArray(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI) && STATE__VALID_CHILD(_kids[1], EREGP) &&
        (
#line 11717 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!((ClearArrayNode*)n)->is_large() &&
               ((UseAVX > 2) && VM_Version::supports_avx512vlbw())
#line 4085 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI]+_kids[1]->_cost[EREGP]+100;
        DFA_PRODUCTION(UNIVERSE, rep_stos_im_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ECXREGI) && STATE__VALID_CHILD(_kids[1], EDIREGP) &&
        (
#line 11666 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
(UseAVX > 2) && ((ClearArrayNode*)n)->is_large()
#line 4094 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ECXREGI]+_kids[1]->_cost[EDIREGP]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_large_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ECXREGI) && STATE__VALID_CHILD(_kids[1], EDIREGP) &&
        (
#line 11616 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
(UseAVX <= 2) && ((ClearArrayNode*)n)->is_large()
#line 4105 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ECXREGI]+_kids[1]->_cost[EDIREGP]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_large_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ECXREGI) && STATE__VALID_CHILD(_kids[1], EDIREGP) &&
        (
#line 11555 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!((ClearArrayNode*)n)->is_large() && (UseAVX > 2)
#line 4116 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ECXREGI]+_kids[1]->_cost[EDIREGP]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], ECXREGI) && STATE__VALID_CHILD(_kids[1], EDIREGP) &&
        (
#line 11495 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!((ClearArrayNode*)n)->is_large() && (UseAVX <= 2)
#line 4127 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ECXREGI]+_kids[1]->_cost[EDIREGP]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, rep_stos_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 13521 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt 
#line 4140 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
        DFA_PRODUCTION(REGD, cmovDD_reg_LEGT_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_REGDPR_REGDPR) &&
        (
#line 13511 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt 
#line 4151 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_REGDPR_REGDPR]+200;
        DFA_PRODUCTION(REGDPR, cmovDDPR_reg_LEGT_rule, c)
        DFA_PRODUCTION(REGDPR1, cmovDDPR_reg_LEGT_rule, c)
        DFA_PRODUCTION(REGDPR2, cmovDDPR_reg_LEGT_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, cmovDDPR_reg_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 13326 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne 
#line 4163 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, cmovDD_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGDPR_REGDPR) &&
        (
#line 13316 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne 
#line 4180 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_REGDPR_REGDPR]+200;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, cmovDDPR_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, cmovDDPR_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, cmovDDPR_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, cmovDDPR_reg_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 13163 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge 
#line 4200 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, cmovDD_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGDPR_REGDPR) &&
        (
#line 13153 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge 
#line 4217 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_REGDPR_REGDPR]+200;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, cmovDDPR_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, cmovDDPR_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, cmovDDPR_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, cmovDDPR_reg_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_EFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 6974 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 4237 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_EFLAGSREGUCF]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, fcmovD_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 6957 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 4254 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_EFLAGSREGU]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, fcmovD_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 6912 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 4271 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_REGD_REGD]+200;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, fcmovD_regS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_REGDPR_REGDPR) &&
        (
#line 6868 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 4288 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_REGDPR_REGDPR]+200;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, fcmovDPR_regS_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, fcmovDPR_regS_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, fcmovDPR_regS_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, fcmovDPR_regS_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FCMOV_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_REGDPR1_REGDPR) &&
        (
#line 6846 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 4308 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FCMOV_EFLAGSREGU]+_kids[1]->_cost[_BINARY_REGDPR1_REGDPR]+200;
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, fcmovDPR_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, fcmovDPR_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, fcmovDPR_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, fcmovDPR_regU_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_VCMPPD_IMMI8) && STATE__VALID_CHILD(_kids[1], _BINARY_LEGVEC_LEGVEC) &&
        (
#line 5594 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 4
#line 4330 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_VCMPPD_IMMI8]+_kids[1]->_cost[_BINARY_LEGVEC_LEGVEC]+100;
        DFA_PRODUCTION(LEGVEC, vcmov4D_reg_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
}
void  State::_sub_Op_CMoveF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 13540 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=1 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt 
#line 4342 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
        DFA_PRODUCTION(REGF, cmovFF_reg_LEGT_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_REGFPR_REGFPR) &&
        (
#line 13530 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt 
#line 4353 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_REGFPR_REGFPR]+200;
        DFA_PRODUCTION(REGFPR, cmovFFPR_reg_LEGT_rule, c)
        DFA_PRODUCTION(REGFPR1, cmovFFPR_reg_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 13344 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=1 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne 
#line 4363 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, cmovFF_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGFPR_REGFPR) &&
        (
#line 13335 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne 
#line 4380 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_REGFPR_REGFPR]+200;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, cmovFFPR_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, cmovFFPR_reg_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 13181 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=1 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge 
#line 4394 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, cmovFF_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_REGFPR_REGFPR) &&
        (
#line 13172 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge 
#line 4411 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_REGFPR_REGFPR]+200;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, cmovFFPR_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, cmovFFPR_reg_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_EFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 6947 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 4425 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_EFLAGSREGUCF]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, fcmovF_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 6930 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 4442 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_EFLAGSREGU]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, fcmovF_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 6894 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 4459 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_REGF_REGF]+200;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, fcmovF_regS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_REGFPR_REGFPR) &&
        (
#line 6881 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 4476 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_REGFPR_REGFPR]+200;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, fcmovFPR_regS_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, fcmovFPR_regS_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FCMOV_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_REGFPR1_REGFPR) &&
        (
#line 6857 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 4490 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FCMOV_EFLAGSREGU]+_kids[1]->_cost[_BINARY_REGFPR1_REGFPR]+200;
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, fcmovFPR_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, fcmovFPR_regU_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_VCMPPD_IMMI8) && STATE__VALID_CHILD(_kids[1], _BINARY_LEGVEC_LEGVEC) &&
        (
#line 5576 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 8
#line 4506 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_VCMPPD_IMMI8]+_kids[1]->_cost[_BINARY_LEGVEC_LEGVEC]+100;
        DFA_PRODUCTION(LEGVEC, vcmov8F_reg_rule, c)
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
    }
}
void  State::_sub_Op_CMoveI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) &&
        (
#line 13489 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt )
#line 4518 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
        DFA_PRODUCTION(RREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(EAXREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(NCXREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(EBXREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(NADXREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(ECXREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(NAXREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(EDXREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(EDIREGI, cmovII_mem_LEGT_rule, c)
        DFA_PRODUCTION(ESIREGI, cmovII_mem_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 13479 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt )
#line 4538 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovII_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovII_reg_LEGT_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) &&
        (
#line 13294 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne )
#line 4582 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovII_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovII_mem_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 13284 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne )
#line 4626 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovII_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovII_reg_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) &&
        (
#line 13131 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge )
#line 4670 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovII_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovII_mem_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 13121 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge )
#line 4714 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovII_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovII_reg_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_EFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) &&
        (
#line 6763 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 4758 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_EFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovI_memUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovI_memUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) &&
        (
#line 6753 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 4802 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_EFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovI_memU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovI_memU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI__LOADI_MEMORY_) &&
        (
#line 6742 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 4846 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_RREGI__LOADI_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_EFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 6732 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 4890 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_EFLAGSREGUCF]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovI_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovI_regUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 6722 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 4934 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_EFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovI_regU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 6712 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 4978 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmovI_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 6695 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_cmov() 
#line 5022 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_EFLAGSREGU]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, jmovI_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, jmovI_regU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) &&
        (
#line 6678 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_cmov() 
#line 5066 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+200;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, jmovI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, jmovI_reg_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_COMMUTE_FLAGSREG_ULONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_) &&
        (
#line 13468 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt )
#line 5112 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_COMMUTE_FLAGSREG_ULONG_LEGT]+_kids[1]->_cost[_BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_]+500;
        DFA_PRODUCTION(EREGL, cmovLL_mem_LEGT_U_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, cmovLL_mem_LEGT_U_rule, c)
        DFA_PRODUCTION(EBCXREGL, cmovLL_mem_LEGT_U_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_COMMUTE_FLAGSREG_ULONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL_EREGL) &&
        (
#line 13457 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt )
#line 5124 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_COMMUTE_FLAGSREG_ULONG_LEGT]+_kids[1]->_cost[_BINARY_EREGL_EREGL]+400;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovLL_reg_LEGT_U_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovLL_reg_LEGT_U_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovLL_reg_LEGT_U_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_) &&
        (
#line 13446 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt )
#line 5144 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovLL_mem_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovLL_mem_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovLL_mem_LEGT_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL_EREGL) &&
        (
#line 13435 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt )
#line 5164 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_EREGL_EREGL]+400;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovLL_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovLL_reg_LEGT_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovLL_reg_LEGT_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_) &&
        (
#line 13273 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne )
#line 5184 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovLL_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovLL_mem_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovLL_mem_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL_EREGL) &&
        (
#line 13262 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne )
#line 5204 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_EREGL_EREGL]+400;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovLL_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovLL_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovLL_reg_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_) &&
        (
#line 13110 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge )
#line 5224 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovLL_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovLL_mem_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovLL_mem_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL_EREGL) &&
        (
#line 13099 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge )
#line 5244 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_EREGL_EREGL]+400;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovLL_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovLL_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovLL_reg_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_EFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL_EREGL) &&
        (
#line 7005 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 5264 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_EFLAGSREGUCF]+_kids[1]->_cost[_BINARY_EREGL_EREGL]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovL_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovL_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovL_regUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL_EREGL) &&
        (
#line 6994 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 5284 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_EFLAGSREGU]+_kids[1]->_cost[_BINARY_EREGL_EREGL]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovL_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovL_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovL_regU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGL_EREGL) &&
        (
#line 6983 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 5304 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_EREGL_EREGL]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, cmovL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, cmovL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, cmovL_reg_rule, c)
      }
    }
}
void  State::_sub_Op_CMoveP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGP_EREGP) &&
        (
#line 13500 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt )
#line 5326 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT]+_kids[1]->_cost[_BINARY_EREGP_EREGP]+200;
        DFA_PRODUCTION(EREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(EAXREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(RREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, cmovPP_reg_LEGT_rule, c+100)
        DFA_PRODUCTION(EBXREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(NAXREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(PREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(ECXREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(NABXREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(EDXREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(ESIREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, cmovPP_reg_LEGT_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, cmovPP_reg_LEGT_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(INDIRECT, cmovPP_reg_LEGT_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_EQNE) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGP_EREGP) &&
        (
#line 13305 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne )
#line 5354 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_EQNE]+_kids[1]->_cost[_BINARY_EREGP_EREGP]+200;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, cmovPP_reg_EQNE_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, cmovPP_reg_EQNE_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, cmovPP_reg_EQNE_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovPP_reg_EQNE_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_FLAGSREG_LONG_LTGE) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGP_EREGP) &&
        (
#line 13142 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && ( _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge )
#line 5422 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_FLAGSREG_LONG_LTGE]+_kids[1]->_cost[_BINARY_EREGP_EREGP]+200;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, cmovPP_reg_LTGE_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, cmovPP_reg_LTGE_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, cmovPP_reg_LTGE_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovPP_reg_LTGE_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPUCF_EFLAGSREGUCF) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGP_EREGP) &&
        (
#line 6809 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 5490 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPUCF_EFLAGSREGUCF]+_kids[1]->_cost[_BINARY_EREGP_EREGP]+200;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, cmovP_regUCF_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, cmovP_regUCF_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, cmovP_regUCF_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_regUCF_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOPU_EFLAGSREGU) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGP_EREGP) &&
        (
#line 6799 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 5558 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOPU_EFLAGSREGU]+_kids[1]->_cost[_BINARY_EREGP_EREGP]+200;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, cmovP_regU_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, cmovP_regU_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, cmovP_regU_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_regU_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGP_EREGP) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_EREGP_EREGP]+300;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, cmovP_reg_nonP6_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, cmovP_reg_nonP6_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, cmovP_reg_nonP6_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_reg_nonP6_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_CMPOP_EFLAGSREG) && STATE__VALID_CHILD(_kids[1], _BINARY_EREGP_EREGP) &&
        (
#line 6773 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() 
#line 5689 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_CMPOP_EFLAGSREG]+_kids[1]->_cost[_BINARY_EREGP_EREGP]+200;
      if (STATE__NOT_YET_VALID(EREGP) || _cost[EREGP] > c) {
        DFA_PRODUCTION(EREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTP) || _cost[STACKSLOTP] > c+100) {
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ANYREGP) || _cost[ANYREGP] > c) {
        DFA_PRODUCTION(ANYREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGP) || _cost[EAXREGP] > c) {
        DFA_PRODUCTION(EAXREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGP) || _cost[RREGP] > c) {
        DFA_PRODUCTION(RREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGP_NO_EBP) || _cost[EREGP_NO_EBP] > c+100) {
        DFA_PRODUCTION(EREGP_NO_EBP, cmovP_reg_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGP) || _cost[EBXREGP] > c) {
        DFA_PRODUCTION(EBXREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGP) || _cost[NAXREGP] > c) {
        DFA_PRODUCTION(NAXREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(PREGP) || _cost[PREGP] > c) {
        DFA_PRODUCTION(PREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGP) || _cost[ECXREGP] > c) {
        DFA_PRODUCTION(ECXREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NABXREGP) || _cost[NABXREGP] > c) {
        DFA_PRODUCTION(NABXREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGP) || _cost[EDXREGP] > c) {
        DFA_PRODUCTION(EDXREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGP) || _cost[ESIREGP] > c) {
        DFA_PRODUCTION(ESIREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_REGP) || _cost[LOAD_LONG_REGP] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_REGP, cmovP_reg_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_INDIRECT) || _cost[LOAD_LONG_INDIRECT] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, cmovP_reg_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(LOAD_LONG_MEMORY) || _cost[LOAD_LONG_MEMORY] > c+100) {
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGP) || _cost[EDIREGP] > c) {
        DFA_PRODUCTION(EDIREGP, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(INDIRECT) || _cost[INDIRECT] > c) {
        DFA_PRODUCTION(INDIRECT, cmovP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(MEMORY) || _cost[MEMORY] > c) {
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
      }
      if (STATE__NOT_YET_VALID(LONG_MEMORY) || _cost[LONG_MEMORY] > c) {
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
      }
    }
}
void  State::_sub_Op_CmpD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 9595 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 5759 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+100;
        DFA_PRODUCTION(EFLAGSREGUCF, cmpD_ccmemCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 9578 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 5768 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+145;
        DFA_PRODUCTION(EFLAGSREGU, cmpD_ccmem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 9566 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 5777 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREGUCF) || _cost[EFLAGSREGUCF] > c) {
        DFA_PRODUCTION(EFLAGSREGUCF, cmpD_ccCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 9549 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 5788 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+145;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, cmpD_cc_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9501 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 5799 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+200;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, cmpDPR_cc_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9488 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && UseSSE <=1
#line 5810 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+150;
      if (STATE__NOT_YET_VALID(EFLAGSREGUCF) || _cost[EFLAGSREGUCF] > c) {
        DFA_PRODUCTION(EFLAGSREGUCF, cmpDPR_cc_P6CF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9470 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && UseSSE <=1
#line 5821 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+150;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, cmpDPR_cc_P6_rule, c)
      }
    }
}
void  State::_sub_Op_CmpD3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 9627 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 5834 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+275;
        DFA_PRODUCTION(XREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(RREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(EAXREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(NCXREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(EBXREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(NADXREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(ECXREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(NAXREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(EDXREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(EDIREGI, cmpD_regmem_rule, c)
        DFA_PRODUCTION(ESIREGI, cmpD_regmem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 9607 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 5854 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+255;
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmpD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmpD_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9535 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 5898 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmpDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmpDPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], IMMDPR0) &&
        (
#line 9521 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 5942 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[IMMDPR0]+280;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmpDPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmpDPR_0_rule, c)
      }
    }
}
void  State::_sub_Op_CmpF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10178 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 5988 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+100;
        DFA_PRODUCTION(EFLAGSREGUCF, cmpF_ccmemCF_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10161 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 5997 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+165;
        DFA_PRODUCTION(EFLAGSREGU, cmpF_ccmem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 10149 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 6006 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREGUCF) || _cost[EFLAGSREGUCF] > c) {
        DFA_PRODUCTION(EFLAGSREGUCF, cmpF_ccCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 10132 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 6017 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+145;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, cmpF_cc_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10084 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE == 0
#line 6028 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+200;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, cmpFPR_cc_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10070 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && UseSSE == 0
#line 6039 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREGUCF) || _cost[EFLAGSREGUCF] > c) {
        DFA_PRODUCTION(EFLAGSREGUCF, cmpFPR_cc_P6CF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10052 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cmov() && UseSSE == 0
#line 6050 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+150;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, cmpFPR_cc_P6_rule, c)
      }
    }
}
void  State::_sub_Op_CmpF3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10210 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 6063 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+275;
        DFA_PRODUCTION(XREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(RREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(EAXREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(NCXREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(EBXREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(NADXREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(ECXREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(NAXREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(EDXREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(EDIREGI, cmpF_regmem_rule, c)
        DFA_PRODUCTION(ESIREGI, cmpF_regmem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 10190 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 6083 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+255;
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmpF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmpF_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10118 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE == 0
#line 6127 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmpFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmpFPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], IMMFPR0) &&
        (
#line 10104 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE == 0
#line 6171 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[IMMFPR0]+280;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmpFPR_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmpFPR_0_rule, c)
      }
    }
}
void  State::_sub_Op_CmpI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI_MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI_MEMORY]+_kids[1]->_cost[IMMI_0]+100;
        DFA_PRODUCTION(EFLAGSREG, testI_reg_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI_RREGI_IMMI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_ANDI_RREGI_IMMI]+_kids[1]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, testI_reg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, testI_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, compI_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, compI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, compI_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+300;
        DFA_PRODUCTION(FLAGSREG_LONG_LEGT, cmpL_reg_flags_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML0]+300;
      if (STATE__NOT_YET_VALID(FLAGSREG_LONG_LEGT) || _cost[FLAGSREG_LONG_LEGT] > c) {
        DFA_PRODUCTION(FLAGSREG_LONG_LEGT, cmpL_zero_flags_LEGT_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+200+300;
        DFA_PRODUCTION(FLAGSREG_LONG_EQNE, cmpL_reg_flags_EQNE_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML0]+200;
      if (STATE__NOT_YET_VALID(FLAGSREG_LONG_EQNE) || _cost[FLAGSREG_LONG_EQNE] > c) {
        DFA_PRODUCTION(FLAGSREG_LONG_EQNE, cmpL_zero_flags_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+300;
        DFA_PRODUCTION(FLAGSREG_LONG_LTGE, cmpL_reg_flags_LTGE_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(FLAGSREG_LONG_LTGE) || _cost[FLAGSREG_LONG_LTGE] > c) {
        DFA_PRODUCTION(FLAGSREG_LONG_LTGE, cmpL_zero_flags_LTGE_rule, c)
      }
    }
}
void  State::_sub_Op_CmpL3(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+1000;
        DFA_PRODUCTION(ESIREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(RREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(EAXREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(NCXREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(EBXREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(NADXREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(ECXREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(NAXREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(EDXREGI, cmpL3_reg_reg_rule, c)
        DFA_PRODUCTION(EDIREGI, cmpL3_reg_reg_rule, c)
    }
}
void  State::_sub_Op_CmpLTMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_CMPLTMASK_RREGI_RREGI, _CmpLTMask_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_0]+100;
        DFA_PRODUCTION(RREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(EAXREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(NCXREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(EBXREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(NADXREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(ECXREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(NAXREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(EDXREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(EDIREGI, cmpLTMask0_rule, c)
        DFA_PRODUCTION(ESIREGI, cmpLTMask0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], NCXREGI) && STATE__VALID_CHILD(_kids[1], NCXREGI) ) {
      unsigned int c = _kids[0]->_cost[NCXREGI]+_kids[1]->_cost[NCXREGI]+400;
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, cmpLTMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, cmpLTMask_rule, c)
      }
    }
}
void  State::_sub_Op_CmpP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _PARTIALSUBTYPECHECK_ESIREGP_EAXREGP) && STATE__VALID_CHILD(_kids[1], IMMP0) ) {
      unsigned int c = _kids[0]->_cost[_PARTIALSUBTYPECHECK_ESIREGP_EAXREGP]+_kids[1]->_cost[IMMP0]+1000;
        DFA_PRODUCTION(EFLAGSREG, partialSubtypeCheck_vs_Zero_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADP_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[_LOADP_MEMORY_]+_kids[1]->_cost[IMMI_0]+500;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, testP_Reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], IMMP0) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[IMMP0]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, testP_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], _LOADP_MEMORY_) &&
        (
#line 12394 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 n->in(2)->in(2)->bottom_type()->reloc() == relocInfo::none 
#line 6378 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[_LOADP_MEMORY_]+100;
        DFA_PRODUCTION(EFLAGSREGU, compP_mem_eReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], _LOADP_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[_LOADP_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, compP_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], IMMP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[IMMP]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, compP_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[EREGP]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, compP_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpU(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_0]+100;
        DFA_PRODUCTION(EFLAGSREGU, testU_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+500;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, compU_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, compU_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREGU) || _cost[EFLAGSREGU] > c) {
        DFA_PRODUCTION(EFLAGSREGU, compU_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_CmpUL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+300;
        DFA_PRODUCTION(FLAGSREG_ULONG_LEGT, cmpUL_reg_flags_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML0]+300;
      if (STATE__NOT_YET_VALID(FLAGSREG_ULONG_LEGT) || _cost[FLAGSREG_ULONG_LEGT] > c) {
        DFA_PRODUCTION(FLAGSREG_ULONG_LEGT, cmpUL_zero_flags_LEGT_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+200+300;
        DFA_PRODUCTION(FLAGSREG_ULONG_EQNE, cmpUL_reg_flags_EQNE_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML0]+200;
      if (STATE__NOT_YET_VALID(FLAGSREG_ULONG_EQNE) || _cost[FLAGSREG_ULONG_EQNE] > c) {
        DFA_PRODUCTION(FLAGSREG_ULONG_EQNE, cmpUL_zero_flags_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+300;
        DFA_PRODUCTION(FLAGSREG_ULONG_LTGE, cmpUL_reg_flags_LTGE_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML0) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(FLAGSREG_ULONG_LTGE) || _cost[FLAGSREG_ULONG_LTGE] > c) {
        DFA_PRODUCTION(FLAGSREG_ULONG_LTGE, cmpUL_zero_flags_LTGE_rule, c)
      }
    }
}
void  State::_sub_Op_CompareAndSwapB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapB_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapB_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapS_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapS_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapI_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapI_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EADXREGL_EBCXREGL) &&
        (
#line 7287 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cx8()
#line 6514 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EADXREGL_EBCXREGL]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapL_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapL_rule, c)
    }
}
void  State::_sub_Op_CompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGP_ECXREGP) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGP_ECXREGP]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapP_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapP_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapB_0_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapB_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapS_0_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapS_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapI_0_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapI_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EADXREGL_EBCXREGL) &&
        (
#line 7287 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cx8()
#line 6604 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EADXREGL_EBCXREGL]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapL_0_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapL_0_rule, c)
    }
}
void  State::_sub_Op_WeakCompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGP_ECXREGP) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGP_ECXREGP]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapP_0_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapP_0_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(EAXREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(RREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndExchangeB_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndExchangeB_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(EAXREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(RREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndExchangeS_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndExchangeS_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGI_ECXREGI]+100;
        DFA_PRODUCTION(EAXREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(RREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndExchangeI_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndExchangeI_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EADXREGL_EBCXREGL) &&
        (
#line 7356 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_cx8()
#line 6694 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EADXREGL_EBCXREGL]+100;
        DFA_PRODUCTION(EADXREGL, compareAndExchangeL_rule, c)
        DFA_PRODUCTION(EREGL, compareAndExchangeL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EBCXREGL, compareAndExchangeL_rule, c)
    }
}
void  State::_sub_Op_CompareAndExchangeP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], PREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGP_ECXREGP) ) {
      unsigned int c = _kids[0]->_cost[PREGP]+_kids[1]->_cost[_BINARY_EAXREGP_ECXREGP]+100;
        DFA_PRODUCTION(EAXREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(ANYREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(EREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(RREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, compareAndExchangeP_rule, c+100)
        DFA_PRODUCTION(NAXREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(PREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(ECXREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(NABXREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(EDXREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(ESIREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, compareAndExchangeP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, compareAndExchangeP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(INDIRECT, compareAndExchangeP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_GetAndAddB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], XREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[XREGI]+100;
        DFA_PRODUCTION(XREGI, xaddB_rule, c)
        DFA_PRODUCTION(RREGI, xaddB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(EAXREGI, xaddB_rule, c)
        DFA_PRODUCTION(NCXREGI, xaddB_rule, c)
        DFA_PRODUCTION(EBXREGI, xaddB_rule, c)
        DFA_PRODUCTION(NADXREGI, xaddB_rule, c)
        DFA_PRODUCTION(ECXREGI, xaddB_rule, c)
        DFA_PRODUCTION(NAXREGI, xaddB_rule, c)
        DFA_PRODUCTION(EDXREGI, xaddB_rule, c)
        DFA_PRODUCTION(EDIREGI, xaddB_rule, c)
        DFA_PRODUCTION(ESIREGI, xaddB_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7397 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
n->as_LoadStore()->result_not_used()
#line 6748 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(UNIVERSE, xaddB_no_res_rule, c)
    }
}
void  State::_sub_Op_GetAndAddS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xaddS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, xaddS_rule, c)
        DFA_PRODUCTION(EAXREGI, xaddS_rule, c)
        DFA_PRODUCTION(NCXREGI, xaddS_rule, c)
        DFA_PRODUCTION(EBXREGI, xaddS_rule, c)
        DFA_PRODUCTION(NADXREGI, xaddS_rule, c)
        DFA_PRODUCTION(ECXREGI, xaddS_rule, c)
        DFA_PRODUCTION(NAXREGI, xaddS_rule, c)
        DFA_PRODUCTION(EDXREGI, xaddS_rule, c)
        DFA_PRODUCTION(EDIREGI, xaddS_rule, c)
        DFA_PRODUCTION(ESIREGI, xaddS_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7421 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
n->as_LoadStore()->result_not_used()
#line 6774 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(UNIVERSE, xaddS_no_res_rule, c)
    }
}
void  State::_sub_Op_GetAndAddI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xaddI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, xaddI_rule, c)
        DFA_PRODUCTION(EAXREGI, xaddI_rule, c)
        DFA_PRODUCTION(NCXREGI, xaddI_rule, c)
        DFA_PRODUCTION(EBXREGI, xaddI_rule, c)
        DFA_PRODUCTION(NADXREGI, xaddI_rule, c)
        DFA_PRODUCTION(ECXREGI, xaddI_rule, c)
        DFA_PRODUCTION(NAXREGI, xaddI_rule, c)
        DFA_PRODUCTION(EDXREGI, xaddI_rule, c)
        DFA_PRODUCTION(EDIREGI, xaddI_rule, c)
        DFA_PRODUCTION(ESIREGI, xaddI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7444 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
n->as_LoadStore()->result_not_used()
#line 6800 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(UNIVERSE, xaddI_no_res_rule, c)
    }
}
void  State::_sub_Op_GetAndSetB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], XREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[XREGI]+100;
        DFA_PRODUCTION(XREGI, xchgB_rule, c)
        DFA_PRODUCTION(RREGI, xchgB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(EAXREGI, xchgB_rule, c)
        DFA_PRODUCTION(NCXREGI, xchgB_rule, c)
        DFA_PRODUCTION(EBXREGI, xchgB_rule, c)
        DFA_PRODUCTION(NADXREGI, xchgB_rule, c)
        DFA_PRODUCTION(ECXREGI, xchgB_rule, c)
        DFA_PRODUCTION(NAXREGI, xchgB_rule, c)
        DFA_PRODUCTION(EDXREGI, xchgB_rule, c)
        DFA_PRODUCTION(EDIREGI, xchgB_rule, c)
        DFA_PRODUCTION(ESIREGI, xchgB_rule, c)
    }
}
void  State::_sub_Op_GetAndSetS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xchgS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, xchgS_rule, c)
        DFA_PRODUCTION(EAXREGI, xchgS_rule, c)
        DFA_PRODUCTION(NCXREGI, xchgS_rule, c)
        DFA_PRODUCTION(EBXREGI, xchgS_rule, c)
        DFA_PRODUCTION(NADXREGI, xchgS_rule, c)
        DFA_PRODUCTION(ECXREGI, xchgS_rule, c)
        DFA_PRODUCTION(NAXREGI, xchgS_rule, c)
        DFA_PRODUCTION(EDXREGI, xchgS_rule, c)
        DFA_PRODUCTION(EDIREGI, xchgS_rule, c)
        DFA_PRODUCTION(ESIREGI, xchgS_rule, c)
    }
}
void  State::_sub_Op_GetAndSetI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, xchgI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, xchgI_rule, c)
        DFA_PRODUCTION(EAXREGI, xchgI_rule, c)
        DFA_PRODUCTION(NCXREGI, xchgI_rule, c)
        DFA_PRODUCTION(EBXREGI, xchgI_rule, c)
        DFA_PRODUCTION(NADXREGI, xchgI_rule, c)
        DFA_PRODUCTION(ECXREGI, xchgI_rule, c)
        DFA_PRODUCTION(NAXREGI, xchgI_rule, c)
        DFA_PRODUCTION(EDXREGI, xchgI_rule, c)
        DFA_PRODUCTION(EDIREGI, xchgI_rule, c)
        DFA_PRODUCTION(ESIREGI, xchgI_rule, c)
    }
}
void  State::_sub_Op_GetAndSetP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], PREGP) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[PREGP]+100;
        DFA_PRODUCTION(PREGP, xchgP_rule, c)
    }
}
void  State::_sub_Op_ConD(const Node *n){
    if(         
#line 3474 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 && jlong_cast(n->getd()) == 0 
#line 6867 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMD0, immD0_rule, c)
        DFA_PRODUCTION(REGD, loadConD0_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
    }
    if(         
#line 3461 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 6878 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMD, immD_rule, c)
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+125) {
        DFA_PRODUCTION(REGD, loadConD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+125+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+125+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+125+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+125+100)
      }
    }
    if(         
#line 3452 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 6895 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMDPR, immDPR_rule, c)
        DFA_PRODUCTION(REGDPR, loadConDPR_rule, c+125)
        DFA_PRODUCTION(REGDPR1, loadConDPR_rule, c+125)
        DFA_PRODUCTION(REGDPR2, loadConDPR_rule, c+125)
        DFA_PRODUCTION(REGNOTDPR1, loadConDPR_rule, c+125)
    }
    if(         
#line 3442 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && n->getd() == 1.0 
#line 6907 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMDPR1, immDPR1_rule, c)
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c+125) {
        DFA_PRODUCTION(REGDPR, loadConDPR1_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c+125) {
        DFA_PRODUCTION(REGDPR1, loadConDPR1_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c+125) {
        DFA_PRODUCTION(REGDPR2, loadConDPR1_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c+125) {
        DFA_PRODUCTION(REGNOTDPR1, loadConDPR1_rule, c+125)
      }
    }
    if(         
#line 3432 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && n->getd() == 0.0 && !g_isnan(n->getd()) 
#line 6927 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMDPR0, immDPR0_rule, c)
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c+125) {
        DFA_PRODUCTION(REGDPR, loadConDPR0_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c+125) {
        DFA_PRODUCTION(REGDPR1, loadConDPR0_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c+125) {
        DFA_PRODUCTION(REGDPR2, loadConDPR0_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c+125) {
        DFA_PRODUCTION(REGNOTDPR1, loadConDPR0_rule, c+125)
      }
    }
}
void  State::_sub_Op_ConF(const Node *n){
    if(         
#line 3523 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE >= 1 && jint_cast(n->getf()) == 0 
#line 6949 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMF0, immF0_rule, c)
        DFA_PRODUCTION(REGF, loadConF0_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
    }
    if(         
#line 3513 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE >= 1
#line 6960 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMF, immF_rule, c)
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+125) {
        DFA_PRODUCTION(REGF, loadConF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+125+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+125+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+125+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+125+100)
      }
    }
    if(         
#line 3503 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE == 0 
#line 6977 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMFPR, immFPR_rule, c)
        DFA_PRODUCTION(REGFPR, loadConFPR_rule, c+125)
        DFA_PRODUCTION(REGFPR1, loadConFPR_rule, c+125)
    }
    if(         
#line 3493 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE == 0 && n->getf() == 1.0F
#line 6987 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMFPR1, immFPR1_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadConFPR1_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadConFPR1_rule, c+125)
      }
    }
    if(         
#line 3483 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE == 0 && n->getf() == 0.0F
#line 7001 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMFPR0, immFPR0_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadConFPR0_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadConFPR0_rule, c+125)
      }
    }
}
void  State::_sub_Op_ConI(const Node *n){
    int _n_get_int__ = n->get_int();
    if(         
#line 3561 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_int__ == 65535
#line 7018 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_65535, immI_65535_rule, c)
    }
    if(         
#line 3552 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ == 255 
#line 7026 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_255, immI_255_rule, c)
    }
    if(         
#line 3543 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ == 24 
#line 7034 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_24, immI_24_rule, c)
    }
    if(         
#line 3535 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ == 16 
#line 7042 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_16, immI_16_rule, c)
    }
    if(         
#line 3341 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_int__ == 8
#line 7050 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_8, immI_8_rule, c)
    }
    if(         
#line 3331 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_int__ == 4
#line 7058 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_4, immI_4_rule, c)
    }
    if(         
#line 3321 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ == 3 
#line 7066 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_3, immI_3_rule, c)
    }
    if(         
#line 3312 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ == 2 
#line 7074 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_2, immI_2_rule, c)
    }
    if(         
#line 3303 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ >= 32 && _n_get_int__ <= 63 
#line 7082 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_32_63, immI_32_63_rule, c)
    }
    if(         
#line 3294 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ >= 1 && _n_get_int__ <= 31 
#line 7090 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_1_31, immI_1_31_rule, c)
    }
    if(         
#line 3285 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_int__ == 32 
#line 7098 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_32, immI_32_rule, c)
    }
    if(         
#line 3275 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_int__ >= 0
#line 7106 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMU31, immU31_rule, c)
    }
    if(         
#line 3264 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
(-32768 <= _n_get_int__) && (_n_get_int__ <= 32767)
#line 7114 "dfa_x86.cpp"
 ) {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMI16, immI16_rule, c)
    }
    if(         
#line 3255 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
(0 <= _n_get_int__) && (_n_get_int__ <= 255)
#line 7122 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMU8, immU8_rule, c)
    }
    if(         
#line 3246 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
(-128 <= _n_get_int__) && (_n_get_int__ <= 127)
#line 7130 "dfa_x86.cpp"
 ) {
      unsigned int c = 5;
        DFA_PRODUCTION(IMMI8, immI8_rule, c)
    }
    if(         
#line 3238 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
0 <= _n_get_int__ && (_n_get_int__ <= 3)
#line 7138 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI2, immI2_rule, c)
    }
    if(         
#line 3228 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_int__ == -1
#line 7146 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_M1, immI_M1_rule, c)
    }
    if(         
#line 3218 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_int__ == 1
#line 7154 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_1, immI_1_rule, c)
    }
    if(         
#line 3208 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_int__ == 0
#line 7162 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMI_0, immI_0_rule, c)
        DFA_PRODUCTION(RREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+50+100)
        DFA_PRODUCTION(XREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(EAXREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(NCXREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(EBXREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(NADXREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(ECXREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(NAXREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(EDXREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(EDIREGI, loadConI0_rule, c+50)
        DFA_PRODUCTION(ESIREGI, loadConI0_rule, c+50)
    }
    {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMI, immI_rule, c)
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c+100) {
        DFA_PRODUCTION(RREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c+100) {
        DFA_PRODUCTION(XREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c+100) {
        DFA_PRODUCTION(EAXREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c+100) {
        DFA_PRODUCTION(NCXREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c+100) {
        DFA_PRODUCTION(EBXREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c+100) {
        DFA_PRODUCTION(NADXREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c+100) {
        DFA_PRODUCTION(ECXREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c+100) {
        DFA_PRODUCTION(NAXREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c+100) {
        DFA_PRODUCTION(EDXREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c+100) {
        DFA_PRODUCTION(EDIREGI, loadConI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c+100) {
        DFA_PRODUCTION(ESIREGI, loadConI_rule, c+100)
      }
    }
   if ( /* RREGI KNOWN_VALID || */ _cost[RREGI] > 100) {
     DFA_PRODUCTION(RREGI, loadConI_rule, 100)
   }
   if ( /* STACKSLOTI KNOWN_VALID || */ _cost[STACKSLOTI] > 100+100) {
     DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, 100+100)
   }
   if ( /* XREGI KNOWN_VALID || */ _cost[XREGI] > 100) {
     DFA_PRODUCTION(XREGI, loadConI_rule, 100)
   }
   if ( /* EAXREGI KNOWN_VALID || */ _cost[EAXREGI] > 100) {
     DFA_PRODUCTION(EAXREGI, loadConI_rule, 100)
   }
   if ( /* NCXREGI KNOWN_VALID || */ _cost[NCXREGI] > 100) {
     DFA_PRODUCTION(NCXREGI, loadConI_rule, 100)
   }
   if ( /* EBXREGI KNOWN_VALID || */ _cost[EBXREGI] > 100) {
     DFA_PRODUCTION(EBXREGI, loadConI_rule, 100)
   }
   if ( /* NADXREGI KNOWN_VALID || */ _cost[NADXREGI] > 100) {
     DFA_PRODUCTION(NADXREGI, loadConI_rule, 100)
   }
   if ( /* ECXREGI KNOWN_VALID || */ _cost[ECXREGI] > 100) {
     DFA_PRODUCTION(ECXREGI, loadConI_rule, 100)
   }
   if ( /* NAXREGI KNOWN_VALID || */ _cost[NAXREGI] > 100) {
     DFA_PRODUCTION(NAXREGI, loadConI_rule, 100)
   }
   if ( /* EDXREGI KNOWN_VALID || */ _cost[EDXREGI] > 100) {
     DFA_PRODUCTION(EDXREGI, loadConI_rule, 100)
   }
   if ( /* EDIREGI KNOWN_VALID || */ _cost[EDIREGI] > 100) {
     DFA_PRODUCTION(EDIREGI, loadConI_rule, 100)
   }
   if ( /* ESIREGI KNOWN_VALID || */ _cost[ESIREGI] > 100) {
     DFA_PRODUCTION(ESIREGI, loadConI_rule, 100)
   }
}
void  State::_sub_Op_ConL(const Node *n){
    jlong _n_get_long__ = n->get_long();
    if(         
#line 3420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_long__ == (int)(_n_get_long__)
#line 7261 "dfa_x86.cpp"
 ) {
      unsigned int c = 20;
        DFA_PRODUCTION(IMML32, immL32_rule, c)
        DFA_PRODUCTION(EADXREGL_LOW_ONLY, loadConL_low_only_rule, c+250)
    }
    if(         
#line 3410 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_n_get_long__ == 0xFFFFFFFFL
#line 7270 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML_32BITS, immL_32bits_rule, c)
    }
    if(         
#line 3400 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
(0 <= _n_get_long__) && (_n_get_long__ <= 127)
#line 7278 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML_127, immL_127_rule, c)
    }
    if(         
#line 3389 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_long__ == -1L 
#line 7286 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML_M1, immL_M1_rule, c)
    }
    if(         
#line 3379 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _n_get_long__ == 0L 
#line 7294 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMML0, immL0_rule, c)
        DFA_PRODUCTION(EREGL, loadConL0_rule, c+150)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+150+200)
        DFA_PRODUCTION(EADXREGL, loadConL0_rule, c+150)
        DFA_PRODUCTION(EBCXREGL, loadConL0_rule, c+150)
    }
    {
      unsigned int c = 20;
        DFA_PRODUCTION(IMML, immL_rule, c)
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c+200) {
        DFA_PRODUCTION(EREGL, loadConL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c+200) {
        DFA_PRODUCTION(EADXREGL, loadConL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c+200) {
        DFA_PRODUCTION(EBCXREGL, loadConL_rule, c+200)
      }
    }
   if ( /* EREGL KNOWN_VALID || */ _cost[EREGL] > 200) {
     DFA_PRODUCTION(EREGL, loadConL_rule, 200)
   }
   if ( /* STACKSLOTL KNOWN_VALID || */ _cost[STACKSLOTL] > 200+200) {
     DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, 200+200)
   }
   if ( /* EADXREGL KNOWN_VALID || */ _cost[EADXREGL] > 200) {
     DFA_PRODUCTION(EADXREGL, loadConL_rule, 200)
   }
   if ( /* EBCXREGL KNOWN_VALID || */ _cost[EBCXREGL] > 200) {
     DFA_PRODUCTION(EBCXREGL, loadConL_rule, 200)
   }
}
void  State::_sub_Op_ConP(const Node *n){
    if(         
#line 3360 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 n->get_ptr() == 0 
#line 7336 "dfa_x86.cpp"
 ) {
      unsigned int c = 0;
        DFA_PRODUCTION(IMMP0, immP0_rule, c)
    }
    {
      unsigned int c = 10;
        DFA_PRODUCTION(IMMP, immP_rule, c)
        DFA_PRODUCTION(EREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100+100)
        DFA_PRODUCTION(ANYREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(EAXREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(RREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(EREGP_NO_EBP, loadConP_rule, c+100+100)
        DFA_PRODUCTION(EBXREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(NAXREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(PREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(ECXREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(NABXREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(EDXREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(ESIREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_REGP, loadConP_rule, c+100+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, loadConP_rule, c+100+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100+100)
        DFA_PRODUCTION(EDIREGP, loadConP_rule, c+100)
        DFA_PRODUCTION(INDIRECT, loadConP_rule, c+100)
        DFA_PRODUCTION(MEMORY, indirect_rule, c+100)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c+100)
        DFA_PRODUCTION(DIRECT, direct_rule, c)
        DFA_PRODUCTION(MEMORY, direct_rule, c)	  // overwrites higher cost rule
        DFA_PRODUCTION(LONG_MEMORY, direct_rule, c)	  // overwrites higher cost rule
    }
     DFA_PRODUCTION(EREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, 100+100)	  // overwrites higher cost rule
     DFA_PRODUCTION(ANYREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(EAXREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(RREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(EREGP_NO_EBP, loadConP_rule, 100+100)	  // overwrites higher cost rule
     DFA_PRODUCTION(EBXREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(NAXREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(PREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(ECXREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(NABXREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(EDXREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(ESIREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(LOAD_LONG_REGP, loadConP_rule, 100+100)	  // overwrites higher cost rule
     DFA_PRODUCTION(LOAD_LONG_INDIRECT, loadConP_rule, 100+100)	  // overwrites higher cost rule
     DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, 100+100)	  // overwrites higher cost rule
     DFA_PRODUCTION(EDIREGP, loadConP_rule, 100)	  // overwrites higher cost rule
     DFA_PRODUCTION(INDIRECT, loadConP_rule, 100)	  // overwrites higher cost rule
}
void  State::_sub_Op_Conv2B(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+100;
        DFA_PRODUCTION(RREGI, convP2B_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, convP2B_rule, c)
        DFA_PRODUCTION(EAXREGI, convP2B_rule, c)
        DFA_PRODUCTION(NCXREGI, convP2B_rule, c)
        DFA_PRODUCTION(EBXREGI, convP2B_rule, c)
        DFA_PRODUCTION(NADXREGI, convP2B_rule, c)
        DFA_PRODUCTION(ECXREGI, convP2B_rule, c)
        DFA_PRODUCTION(NAXREGI, convP2B_rule, c)
        DFA_PRODUCTION(EDXREGI, convP2B_rule, c)
        DFA_PRODUCTION(EDIREGI, convP2B_rule, c)
        DFA_PRODUCTION(ESIREGI, convP2B_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, convI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, convI2B_rule, c)
      }
    }
}
void  State::_sub_Op_ConvD2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 10717 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 7448 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(REGF, convD2F_reg_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 10694 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==1
#line 7459 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, convDPR2F_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 10684 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 7476 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+100;
        DFA_PRODUCTION(STACKSLOTF, convDPR2FPR_reg_rule, c)
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR1) ) {
      unsigned int c = _kids[0]->_cost[REGDPR1];
        DFA_PRODUCTION(_CONVD2F_REGDPR1_, _ConvD2F_regDPR1__rule, c)
    }
}
void  State::_sub_Op_ConvD2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 10794 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 7493 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(EAXREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(RREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(EBXREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(NADXREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(ECXREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(NAXREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(EDXREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(NCXREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(EDIREGI, convD2I_reg_reg_rule, c)
        DFA_PRODUCTION(ESIREGI, convD2I_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 10774 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 7513 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, convDPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, convDPR2I_reg_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ConvD2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 10845 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 7559 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(EADXREGL, convD2L_reg_reg_rule, c)
        DFA_PRODUCTION(EREGL, convD2L_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EBCXREGL, convD2L_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 10822 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 7571 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+100;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, convDPR2L_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, convDPR2L_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, convDPR2L_reg_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ConvF2D(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 10763 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 7593 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(REGD, convF2D_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 10744 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==1
#line 7604 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(REGDPR, convF2DPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR1, convF2DPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, convF2DPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, convF2DPR_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) &&
        (
#line 10735 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==1
#line 7616 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+100;
        DFA_PRODUCTION(STACKSLOTD, convFPR2D_reg_rule, c)
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c+125) {
        DFA_PRODUCTION(REGDPR, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c+125) {
        DFA_PRODUCTION(REGDPR1, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c+125) {
        DFA_PRODUCTION(REGDPR2, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c+125) {
        DFA_PRODUCTION(REGNOTDPR1, loadSSD_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) &&
        (
#line 10727 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 7637 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, convFPR2DPR_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, convFPR2DPR_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, convFPR2DPR_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, convFPR2DPR_reg_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ConvF2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 10924 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 7659 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(EAXREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(RREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(EBXREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(NADXREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(ECXREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(NAXREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(EDXREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(NCXREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(EDIREGI, convF2I_reg_rule, c)
        DFA_PRODUCTION(ESIREGI, convF2I_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) &&
        (
#line 10903 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 7679 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, convFPR2I_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, convFPR2I_reg_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ConvF2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 10976 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 7725 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(EADXREGL, convF2L_reg_reg_rule, c)
        DFA_PRODUCTION(EREGL, convF2L_reg_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EBCXREGL, convF2L_reg_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) &&
        (
#line 10952 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 7737 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, convFPR2L_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, convFPR2L_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, convFPR2L_reg_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ConvI2D(const Node *n){
    bool Compile__current____select_24_bit_instr__ = Compile::current()->select_24_bit_instr();
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 11072 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && !Compile__current____select_24_bit_instr__
#line 7760 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
        DFA_PRODUCTION(REGDPR, convI2DPR_mem_rule, c)
        DFA_PRODUCTION(REGDPR1, convI2DPR_mem_rule, c)
        DFA_PRODUCTION(REGDPR2, convI2DPR_mem_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, convI2DPR_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11059 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 && UseXmmI2D 
#line 7772 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(REGD, convXI2D_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 11048 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 
#line 7783 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, convI2D_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11038 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 && !UseXmmI2D 
#line 7800 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, convI2D_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTI) &&
        (
#line 11028 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 
#line 7817 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTI]+100;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, convI2DPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, convI2DPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, convI2DPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, convI2DPR_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ConvI2F(const Node *n){
    bool Compile__current____select_24_bit_instr__ = Compile::current()->select_24_bit_instr();
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11157 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE>=2 && UseXmmI2F 
#line 7840 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(REGF, convXI2F_reg_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11146 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==1 || UseSSE>=2 && !UseXmmI2F 
#line 7851 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, convI2F_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 11134 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 7868 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
        DFA_PRODUCTION(REGFPR, convI2FPR_mem_rule, c)
        DFA_PRODUCTION(REGFPR1, convI2FPR_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTI) &&
        (
#line 11122 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 7878 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTI]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, convI2FPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, convI2FPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 11109 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && Compile__current____select_24_bit_instr__
#line 7892 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+200;
        DFA_PRODUCTION(STACKSLOTF, convI2FPR_SSF_mem_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTI) &&
        (
#line 11096 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && Compile__current____select_24_bit_instr__
#line 7907 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTI]+200;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, convI2FPR_SSF_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTI) &&
        (
#line 11084 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && n->in(1)->Opcode() == Op_AndI && n->in(1)->in(2)->is_Con() && n->in(1)->in(2)->get_int() == 255 
#line 7924 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTI]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, conv24I2FPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, conv24I2FPR_reg_rule, c)
      }
    }
}
void  State::_sub_Op_ConvI2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI];
        DFA_PRODUCTION(_CONVI2L_RREGI_, _ConvI2L_rRegI__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+375;
        DFA_PRODUCTION(EREGL, convI2L_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, convI2L_reg_rule, c)
        DFA_PRODUCTION(EBCXREGL, convI2L_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI];
        DFA_PRODUCTION(_CONVI2L_EAXREGI_, _ConvI2L_eAXRegI__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], NADXREGI) ) {
      unsigned int c = _kids[0]->_cost[NADXREGI];
        DFA_PRODUCTION(_CONVI2L_NADXREGI_, _ConvI2L_nadxRegI__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_CONVI2L__LOADI_MEMORY__, _ConvI2L__LoadI_memory___rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADI_MEMORY__IMMU31) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADI_MEMORY__IMMU31]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadI2L_immU31_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadI2L_immU31_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadI2L_immU31_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADI_MEMORY__IMMI_65535) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADI_MEMORY__IMMI_65535]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadI2L_immI_65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadI2L_immI_65535_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadI2L_immI_65535_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADI_MEMORY__IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADI_MEMORY__IMMI_255]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadI2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadI2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadI2L_immI_255_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+375;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadI2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADUS_MEMORY__IMMI) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADUS_MEMORY__IMMI]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadUS2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadUS2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadUS2L_immI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADUS_MEMORY__IMMI_255) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADUS_MEMORY__IMMI_255]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadUS2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadUS2L_immI_255_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadUS2L_immI_255_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadUS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadUS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadUS2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADS_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADS_MEMORY_]+375;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadS2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadS2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDI__LOADUB_MEMORY__IMMI) ) {
      unsigned int c = _kids[0]->_cost[_ANDI__LOADUB_MEMORY__IMMI]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadUB2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadUB2L_immI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadUB2L_immI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUB_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADUB_MEMORY_]+250;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadUB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadUB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadUB2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+375;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadB2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadB2L_rule, c)
      }
    }
}
void  State::_sub_Op_ConvL2D(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 11219 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 8130 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
        DFA_PRODUCTION(REGD, convL2D_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 11205 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 8141 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
        DFA_PRODUCTION(STACKSLOTD, convL2DPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR, loadSSD_rule, c+125)
        DFA_PRODUCTION(REGDPR1, loadSSD_rule, c+125)
        DFA_PRODUCTION(REGDPR2, loadSSD_rule, c+125)
        DFA_PRODUCTION(REGNOTDPR1, loadSSD_rule, c+125)
    }
}
void  State::_sub_Op_ConvL2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
        DFA_PRODUCTION(STACKSLOTF, convL2FPR_reg_rule, c)
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 11234 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 8162 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
        DFA_PRODUCTION(REGF, convL2F_reg_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
}
void  State::_sub_Op_ConvL2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
        DFA_PRODUCTION(RREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(EAXREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(NCXREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(EBXREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(NADXREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(ECXREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(NAXREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(EDXREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(EDIREGI, convL2I_reg_rule, c)
        DFA_PRODUCTION(ESIREGI, convL2I_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32_63) &&
        (
#line 7631 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _kids[0]->_kids[0]->_kids[1]->_leaf->Opcode() == Op_ConL &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() >= min_jint &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() <= max_jint 
#line 8192 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32_63]+1*100 + 1*400 - 150;
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_imm_RShift_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_imm_RShift_high_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32_63) &&
        (
#line 7631 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _kids[0]->_kids[0]->_kids[1]->_leaf->Opcode() == Op_ConL &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() >= min_jint &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() <= max_jint 
#line 8238 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32_63]+1*100 + 1*400 - 150;
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_imm_RShift_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_imm_RShift_high_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32) &&
        (
#line 7616 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _kids[0]->_kids[0]->_kids[1]->_leaf->Opcode() == Op_ConL &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() >= min_jint &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() <= max_jint 
#line 8284 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32]+0*100 + 1*400 - 150;
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_imm_high_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_imm_high_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32) &&
        (
#line 7616 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _kids[0]->_kids[0]->_kids[1]->_leaf->Opcode() == Op_ConL &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() >= min_jint &&
             _kids[0]->_kids[0]->_kids[1]->_leaf->as_Type()->type()->is_long()->get_con() <= max_jint 
#line 8330 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32]+0*100 + 1*400 - 150;
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_imm_high_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_imm_high_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL];
        DFA_PRODUCTION(_CONVL2I_EREGL_, _ConvL2I_eRegL__rule, c)
    }
}
void  State::_sub_Op_CountedLoopEnd(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF) && STATE__VALID_CHILD(_kids[1], EFLAGSREGUCF) &&
        (
#line 12688 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
PostLoopMultiversioning && n->has_vector_mask_set()
#line 8380 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF]+_kids[1]->_cost[EFLAGSREGUCF]+300;
        DFA_PRODUCTION(UNIVERSE, jmpLoopEndUCF_and_restoreMask_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], EFLAGSREGU) &&
        (
#line 12669 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
PostLoopMultiversioning && n->has_vector_mask_set()
#line 8389 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[EFLAGSREGU]+400;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpLoopEndU_and_restoreMask_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], EFLAGSREG) &&
        (
#line 12649 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
PostLoopMultiversioning && n->has_vector_mask_set()
#line 8400 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[EFLAGSREG]+400;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpLoopEnd_and_restoreMask_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF) && STATE__VALID_CHILD(_kids[1], EFLAGSREGUCF) &&
        (
#line 12630 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!n->has_vector_mask_set()
#line 8411 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF]+_kids[1]->_cost[EFLAGSREGUCF]+200;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpLoopEndUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], EFLAGSREGU) &&
        (
#line 12615 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!n->has_vector_mask_set()
#line 8422 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[EFLAGSREGU]+300;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpLoopEndU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], EFLAGSREG) &&
        (
#line 12599 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!n->has_vector_mask_set()
#line 8433 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[EFLAGSREG]+300;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpLoopEnd_rule, c)
      }
    }
}
void  State::_sub_Op_CountLeadingZerosI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 5079 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!UseCountLeadingZerosInstruction
#line 8446 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(EAXREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(NCXREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(EBXREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(NADXREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(ECXREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(NAXREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(EDXREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(EDIREGI, countLeadingZerosI_bsr_rule, c)
        DFA_PRODUCTION(ESIREGI, countLeadingZerosI_bsr_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 5067 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseCountLeadingZerosInstruction
#line 8466 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, countLeadingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, countLeadingZerosI_rule, c)
      }
    }
}
void  State::_sub_Op_CountLeadingZerosL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 5127 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!UseCountLeadingZerosInstruction
#line 8512 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
        DFA_PRODUCTION(RREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(EAXREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(NCXREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(EBXREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(NADXREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(ECXREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(NAXREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(EDXREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(EDIREGI, countLeadingZerosL_bsr_rule, c)
        DFA_PRODUCTION(ESIREGI, countLeadingZerosL_bsr_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 5104 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseCountLeadingZerosInstruction
#line 8532 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, countLeadingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, countLeadingZerosL_rule, c)
      }
    }
}
void  State::_sub_Op_CountTrailingZerosI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 5175 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!UseCountTrailingZerosInstruction
#line 8578 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(EAXREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(NCXREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(EBXREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(NADXREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(ECXREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(NAXREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(EDXREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(EDIREGI, countTrailingZerosI_bsf_rule, c)
        DFA_PRODUCTION(ESIREGI, countTrailingZerosI_bsf_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 5163 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseCountTrailingZerosInstruction
#line 8598 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, countTrailingZerosI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, countTrailingZerosI_rule, c)
      }
    }
}
void  State::_sub_Op_CountTrailingZerosL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 5218 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!UseCountTrailingZerosInstruction
#line 8644 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
        DFA_PRODUCTION(RREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(EAXREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(NCXREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(EBXREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(NADXREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(ECXREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(NAXREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(EDXREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(EDIREGI, countTrailingZerosL_bsf_rule, c)
        DFA_PRODUCTION(ESIREGI, countTrailingZerosL_bsf_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 5195 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseCountTrailingZerosInstruction
#line 8664 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, countTrailingZerosL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, countTrailingZerosL_rule, c)
      }
    }
}
void  State::_sub_Op_CreateEx(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(EAXREGP, CreateException_rule, c)
        DFA_PRODUCTION(ANYREGP, CreateException_rule, c)
        DFA_PRODUCTION(EREGP, CreateException_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, CreateException_rule, c)
        DFA_PRODUCTION(RREGP, CreateException_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, CreateException_rule, c+100)
        DFA_PRODUCTION(NAXREGP, CreateException_rule, c)
        DFA_PRODUCTION(PREGP, CreateException_rule, c)
        DFA_PRODUCTION(ECXREGP, CreateException_rule, c)
        DFA_PRODUCTION(NABXREGP, CreateException_rule, c)
        DFA_PRODUCTION(EDXREGP, CreateException_rule, c)
        DFA_PRODUCTION(ESIREGP, CreateException_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, CreateException_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, CreateException_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, CreateException_rule, c)
        DFA_PRODUCTION(INDIRECT, CreateException_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_DivD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3208 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 8735 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, divD_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3196 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 8746 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3184 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 8763 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3173 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 8780 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3161 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 8797 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3149 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 8814 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, divD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR1) && STATE__VALID_CHILD(_kids[1], REGNOTDPR1) &&
        (
#line 9947 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && Compile::current()->has_method() 
#line 8831 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR1]+_kids[1]->_cost[REGNOTDPR1]+01;
        DFA_PRODUCTION(REGDPR1, strictfp_divDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR, strictfp_divDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, strictfp_divDPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, strictfp_divDPR_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9924 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 
#line 8843 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+150;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, divDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, divDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, divDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, divDPR_reg_rule, c)
      }
    }
}
void  State::_sub_Op_DivF(const Node *n){
    bool Compile__current____select_24_bit_instr__ = Compile::current()->select_24_bit_instr();
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3137 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 8866 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, divF_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3125 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 8877 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3113 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 8894 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 3102 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 8911 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 3090 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 8928 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 3078 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 8945 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, divF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10597 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 8962 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
        DFA_PRODUCTION(REGFPR, divFPR_reg_rule, c)
        DFA_PRODUCTION(REGFPR1, divFPR_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10584 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 8972 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
        DFA_PRODUCTION(STACKSLOTF, divFPR24_reg_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBF_REGFPR_REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10568 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 8987 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_SUBF_REGFPR_REGFPR]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, subFPR_divFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, subFPR_divFPR_reg_rule, c)
      }
    }
}
void  State::_sub_Op_DivI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[ECXREGI]+30*100+10*100;
        DFA_PRODUCTION(EAXREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(RREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(EBXREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(NADXREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(ECXREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(NAXREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(EDXREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(NCXREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(EDIREGI, divI_eReg_rule, c)
        DFA_PRODUCTION(ESIREGI, divI_eReg_rule, c)
    }
}
void  State::_sub_Op_DivL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[IMML32]+1000;
        DFA_PRODUCTION(EADXREGL, divL_eReg_imm32_rule, c)
        DFA_PRODUCTION(EREGL, divL_eReg_imm32_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EBCXREGL, divL_eReg_imm32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+10000;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, divL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, divL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, divL_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_DivModI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[ECXREGI]+30*100+10*100;
        DFA_PRODUCTION(UNIVERSE, divModI_eReg_divmod_rule, c)
    }
}
void  State::_sub_Op_EncodeISOArray(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_EDXREGI) &&
        (
#line 12227 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
((EncodeISOArrayNode*)n)->is_ascii()
#line 9050 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EDIREGP_EDXREGI]+100;
        DFA_PRODUCTION(EAXREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(RREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(EBXREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(NADXREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(ECXREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(NAXREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(EDXREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(NCXREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(EDIREGI, encode_ascii_array_rule, c)
        DFA_PRODUCTION(ESIREGI, encode_ascii_array_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_EDXREGI) &&
        (
#line 12210 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!((EncodeISOArrayNode*)n)->is_ascii()
#line 9070 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EDIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, encode_iso_array_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, encode_iso_array_rule, c)
      }
    }
}
void  State::_sub_Op_FastLock(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], EBXREGP) &&
        (
#line 13715 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!Compile::current()->use_rtm()
#line 9116 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[EBXREGP]+300;
        DFA_PRODUCTION(EFLAGSREG, cmpFastLock_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], EBXREGP) &&
        (
#line 13699 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
Compile::current()->use_rtm()
#line 9125 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[EBXREGP]+300;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, cmpFastLockRTM_rule, c)
      }
    }
}
void  State::_sub_Op_FastUnlock(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP) && STATE__VALID_CHILD(_kids[1], EAXREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP]+_kids[1]->_cost[EAXREGP]+300;
        DFA_PRODUCTION(EFLAGSREG, cmpFastUnlock_rule, c)
    }
}
void  State::_sub_Op_FmaD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) &&
        (
#line 3527 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseFMA
#line 9144 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_BINARY_REGD_REGD]+150;
        DFA_PRODUCTION(REGD, fmaD_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
}
void  State::_sub_Op_FmaF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) &&
        (
#line 3539 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseFMA
#line 9157 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_BINARY_REGF_REGF]+150;
        DFA_PRODUCTION(REGF, fmaF_reg_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
}
void  State::_sub_Op_Goto(const Node *n){
    {
      unsigned int c = 300;
        DFA_PRODUCTION(UNIVERSE, jmpDir_rule, c)
    }
}
void  State::_sub_Op_Halt(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, ShouldNotReachHere_rule, c)
    }
}
void  State::_sub_Op_HasNegatives(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], ECXREGI) &&
        (
#line 12130 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && VM_Version::supports_bmi2()
#line 9182 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[ECXREGI]+100;
        DFA_PRODUCTION(EAXREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(RREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(EBXREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(NADXREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(ECXREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(NAXREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(EDXREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(NCXREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(EDIREGI, has_negatives_evex_rule, c)
        DFA_PRODUCTION(ESIREGI, has_negatives_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], ECXREGI) &&
        (
#line 12114 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() || !VM_Version::supports_bmi2()
#line 9202 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[ECXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, has_negatives_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, has_negatives_rule, c)
      }
    }
}
void  State::_sub_Op_If(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], CMPOPU_COMMUTE) && STATE__VALID_CHILD(_kids[1], FLAGSREG_ULONG_LEGT) &&
        (
#line 13425 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt || _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le
#line 9248 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU_COMMUTE]+_kids[1]->_cost[FLAGSREG_ULONG_LEGT]+300;
        DFA_PRODUCTION(UNIVERSE, cmpUL_LEGT_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP_COMMUTE) && STATE__VALID_CHILD(_kids[1], FLAGSREG_LONG_LEGT) &&
        (
#line 13385 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::gt || _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::le 
#line 9257 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOP_COMMUTE]+_kids[1]->_cost[FLAGSREG_LONG_LEGT]+300;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, cmpL_LEGT_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], FLAGSREG_ULONG_EQNE) &&
        (
#line 13253 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne
#line 9268 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[FLAGSREG_ULONG_EQNE]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, cmpUL_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], FLAGSREG_LONG_EQNE) &&
        (
#line 13218 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::eq || _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ne 
#line 9279 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[FLAGSREG_LONG_EQNE]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, cmpL_EQNE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], FLAGSREG_ULONG_LTGE) &&
        (
#line 13090 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
_kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge
#line 9290 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[FLAGSREG_ULONG_LTGE]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, cmpUL_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], FLAGSREG_LONG_LTGE) &&
        (
#line 13052 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::lt || _kids[0]->_leaf->as_Bool()->_test._test == BoolTest::ge 
#line 9301 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[FLAGSREG_LONG_LTGE]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, cmpL_LTGE_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF2) && STATE__VALID_CHILD(_kids[1], EFLAGSREGUCF) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF2]+_kids[1]->_cost[EFLAGSREGUCF]+200;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpConUCF2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPUCF) && STATE__VALID_CHILD(_kids[1], EFLAGSREGUCF) ) {
      unsigned int c = _kids[0]->_cost[CMPOPUCF]+_kids[1]->_cost[EFLAGSREGUCF]+200;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpConUCF_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOPU) && STATE__VALID_CHILD(_kids[1], EFLAGSREGU) ) {
      unsigned int c = _kids[0]->_cost[CMPOPU]+_kids[1]->_cost[EFLAGSREGU]+300;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpConU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], CMPOP) && STATE__VALID_CHILD(_kids[1], EFLAGSREG) ) {
      unsigned int c = _kids[0]->_cost[CMPOP]+_kids[1]->_cost[EFLAGSREG]+300;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, jmpCon_rule, c)
      }
    }
}
void  State::_sub_Op_Jump(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+350;
        DFA_PRODUCTION(UNIVERSE, jumpXtnd_rule, c)
    }
}
void  State::_sub_Op_LShiftI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], NCXREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_32_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[NCXREGI]+_kids[1]->_cost[_SUBI_IMMI_32_ECXREGI];
        DFA_PRODUCTION(_LSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI, _LShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], NCXREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[NCXREGI]+_kids[1]->_cost[_SUBI_IMMI_0_ECXREGI];
        DFA_PRODUCTION(_LSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI, _LShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_LSHIFTI_RREGI_IMMI_M1, _LShiftI_rRegI_immI_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], NCXREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[NCXREGI]+_kids[1]->_cost[ECXREGI];
        DFA_PRODUCTION(_LSHIFTI_NCXREGI_ECXREGI, _LShiftI_ncxRegI_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_LSHIFTI_RREGI_IMMI8, _LShiftI_rRegI_immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1];
        DFA_PRODUCTION(_LSHIFTI_RREGI_IMMI_1, _LShiftI_rRegI_immI_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], XREGI) && STATE__VALID_CHILD(_kids[1], IMMI_16) ) {
      unsigned int c = _kids[0]->_cost[XREGI]+_kids[1]->_cost[IMMI_16];
        DFA_PRODUCTION(_LSHIFTI_XREGI_IMMI_16, _LShiftI_xRegI_immI_16_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], XREGI) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[XREGI]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI_XREGI_IMMI_24, _LShiftI_xRegI_immI_24_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[ECXREGI]+100;
        DFA_PRODUCTION(RREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(EAXREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(NCXREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(EBXREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(NADXREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(ECXREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(NAXREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(EDXREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(EDIREGI, salI_eReg_CL_rule, c)
        DFA_PRODUCTION(ESIREGI, salI_eReg_CL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, salI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, salI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, shlI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, shlI_eReg_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_16) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_16];
        DFA_PRODUCTION(_LSHIFTI__LOADI_MEMORY__IMMI_16, _LShiftI__LoadI_memory__immI_16_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI__LOADI_MEMORY__IMMI_24, _LShiftI__LoadI_memory__immI_24_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADUS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[_LOADUS_MEMORY_]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI__LOADUS_MEMORY__IMMI_24, _LShiftI__LoadUS_memory__immI_24_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADS_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_24) ) {
      unsigned int c = _kids[0]->_cost[_LOADS_MEMORY_]+_kids[1]->_cost[IMMI_24];
        DFA_PRODUCTION(_LSHIFTI__LOADS_MEMORY__IMMI_24, _LShiftI__LoadS_memory__immI_24_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI2) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI2];
        DFA_PRODUCTION(_LSHIFTI_RREGI_IMMI2, _LShiftI_rRegI_immI2_rule, c)
    }
}
void  State::_sub_Op_LShiftL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[ECXREGI]+500+200;
        DFA_PRODUCTION(EREGL, salL_eReg_CL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, salL_eReg_CL_rule, c)
        DFA_PRODUCTION(EBCXREGL, salL_eReg_CL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_32_63) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_32_63]+300;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, shlL_eReg_32_63_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, shlL_eReg_32_63_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, shlL_eReg_32_63_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_1_31) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_1_31]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, shlL_eReg_1_31_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, shlL_eReg_1_31_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, shlL_eReg_1_31_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_3) &&
        (
#line 9318 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseNewLongLShift
#line 9528 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_3]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, shlL_eReg_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, shlL_eReg_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, shlL_eReg_3_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_2) &&
        (
#line 9299 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseNewLongLShift
#line 9548 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_2]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, shlL_eReg_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, shlL_eReg_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, shlL_eReg_2_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_1) &&
        (
#line 9284 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseNewLongLShift
#line 9568 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, shlL_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, shlL_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, shlL_eReg_1_rule, c)
      }
    }
}
void  State::_sub_Op_LoadB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADB_MEMORY_, _LoadB_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(XREGI, loadB_rule, c)
        DFA_PRODUCTION(RREGI, loadB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(EAXREGI, loadB_rule, c)
        DFA_PRODUCTION(NCXREGI, loadB_rule, c)
        DFA_PRODUCTION(EBXREGI, loadB_rule, c)
        DFA_PRODUCTION(NADXREGI, loadB_rule, c)
        DFA_PRODUCTION(ECXREGI, loadB_rule, c)
        DFA_PRODUCTION(NAXREGI, loadB_rule, c)
        DFA_PRODUCTION(EDXREGI, loadB_rule, c)
        DFA_PRODUCTION(EDIREGI, loadB_rule, c)
        DFA_PRODUCTION(ESIREGI, loadB_rule, c)
    }
}
void  State::_sub_Op_LoadUB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADUB_MEMORY_, _LoadUB_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(XREGI, loadUB_rule, c)
        DFA_PRODUCTION(RREGI, loadUB_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(EAXREGI, loadUB_rule, c)
        DFA_PRODUCTION(NCXREGI, loadUB_rule, c)
        DFA_PRODUCTION(EBXREGI, loadUB_rule, c)
        DFA_PRODUCTION(NADXREGI, loadUB_rule, c)
        DFA_PRODUCTION(ECXREGI, loadUB_rule, c)
        DFA_PRODUCTION(NAXREGI, loadUB_rule, c)
        DFA_PRODUCTION(EDXREGI, loadUB_rule, c)
        DFA_PRODUCTION(EDIREGI, loadUB_rule, c)
        DFA_PRODUCTION(ESIREGI, loadUB_rule, c)
    }
}
void  State::_sub_Op_LoadUS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADUS_MEMORY_, _LoadUS_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadUS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, loadUS_rule, c)
        DFA_PRODUCTION(EAXREGI, loadUS_rule, c)
        DFA_PRODUCTION(NCXREGI, loadUS_rule, c)
        DFA_PRODUCTION(EBXREGI, loadUS_rule, c)
        DFA_PRODUCTION(NADXREGI, loadUS_rule, c)
        DFA_PRODUCTION(ECXREGI, loadUS_rule, c)
        DFA_PRODUCTION(NAXREGI, loadUS_rule, c)
        DFA_PRODUCTION(EDXREGI, loadUS_rule, c)
        DFA_PRODUCTION(EDIREGI, loadUS_rule, c)
        DFA_PRODUCTION(ESIREGI, loadUS_rule, c)
    }
}
void  State::_sub_Op_LoadD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADD_MEMORY_, _LoadD_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5827 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && !UseXmmLoadAndClearUpper
#line 9657 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+145;
        DFA_PRODUCTION(REGD, loadD_partial_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5816 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && UseXmmLoadAndClearUpper
#line 9668 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+145;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, loadD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5802 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 9685 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+150;
        DFA_PRODUCTION(REGDPR, loadDPR_rule, c)
        DFA_PRODUCTION(REGDPR1, loadDPR_rule, c)
        DFA_PRODUCTION(REGDPR2, loadDPR_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, loadDPR_rule, c)
    }
}
void  State::_sub_Op_LoadF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADF_MEMORY_, _LoadF_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5852 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 9703 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+150;
        DFA_PRODUCTION(REGFPR, loadFPR_rule, c)
        DFA_PRODUCTION(REGFPR1, loadFPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5840 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 9713 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+145;
        DFA_PRODUCTION(REGF, loadF_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
}
void  State::_sub_Op_LoadI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, loadI_rule, c)
        DFA_PRODUCTION(EAXREGI, loadI_rule, c)
        DFA_PRODUCTION(NCXREGI, loadI_rule, c)
        DFA_PRODUCTION(EBXREGI, loadI_rule, c)
        DFA_PRODUCTION(NADXREGI, loadI_rule, c)
        DFA_PRODUCTION(ECXREGI, loadI_rule, c)
        DFA_PRODUCTION(NAXREGI, loadI_rule, c)
        DFA_PRODUCTION(EDXREGI, loadI_rule, c)
        DFA_PRODUCTION(EDIREGI, loadI_rule, c)
        DFA_PRODUCTION(ESIREGI, loadI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADI_MEMORY_, _LoadI_memory__rule, c)
    }
}
void  State::_sub_Op_LoadKlass(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(EREGP, loadKlass_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, loadKlass_rule, c)
        DFA_PRODUCTION(EAXREGP, loadKlass_rule, c)
        DFA_PRODUCTION(RREGP, loadKlass_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, loadKlass_rule, c+100)
        DFA_PRODUCTION(EBXREGP, loadKlass_rule, c)
        DFA_PRODUCTION(NAXREGP, loadKlass_rule, c)
        DFA_PRODUCTION(PREGP, loadKlass_rule, c)
        DFA_PRODUCTION(ECXREGP, loadKlass_rule, c)
        DFA_PRODUCTION(NABXREGP, loadKlass_rule, c)
        DFA_PRODUCTION(EDXREGP, loadKlass_rule, c)
        DFA_PRODUCTION(ESIREGP, loadKlass_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, loadKlass_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, loadKlass_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, loadKlass_rule, c)
        DFA_PRODUCTION(INDIRECT, loadKlass_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_LoadL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LOAD_LONG_MEMORY) ) {
      unsigned int c = _kids[0]->_cost[LOAD_LONG_MEMORY];
        DFA_PRODUCTION(_LOADL_LOAD_LONG_MEMORY_, _LoadL_load_long_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5709 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && ((LoadLNode*)n)->require_atomic_access()
#line 9776 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+160;
        DFA_PRODUCTION(EREGL, loadLX_reg_volatile_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, loadLX_reg_volatile_rule, c)
        DFA_PRODUCTION(EBCXREGL, loadLX_reg_volatile_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5695 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && ((LoadLNode*)n)->require_atomic_access()
#line 9788 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+180;
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c) {
        DFA_PRODUCTION(STACKSLOTL, loadLX_volatile_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c+200) {
        DFA_PRODUCTION(EREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c+200) {
        DFA_PRODUCTION(EADXREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c+200) {
        DFA_PRODUCTION(EBCXREGL, loadSSL_rule, c+200)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 5684 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1 && ((LoadLNode*)n)->require_atomic_access()
#line 9808 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+200;
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c) {
        DFA_PRODUCTION(STACKSLOTL, loadL_volatile_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c+200) {
        DFA_PRODUCTION(EREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c+200) {
        DFA_PRODUCTION(EADXREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c+200) {
        DFA_PRODUCTION(EBCXREGL, loadSSL_rule, c+200)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LOAD_LONG_MEMORY) &&
        (
#line 5663 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!((LoadLNode*)n)->require_atomic_access()
#line 9828 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LOAD_LONG_MEMORY]+250;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, loadL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, loadL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, loadL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADL_MEMORY_, _LoadL_memory__rule, c)
    }
}
void  State::_sub_Op_LoadPLocked(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(EREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(EAXREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(RREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, loadPLocked_rule, c+100)
        DFA_PRODUCTION(EBXREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(NAXREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(PREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(ECXREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(NABXREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(EDXREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(ESIREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, loadPLocked_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, loadPLocked_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, loadPLocked_rule, c)
        DFA_PRODUCTION(INDIRECT, loadPLocked_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_LoadP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADP_MEMORY_, _LoadP_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(EREGP, loadP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, loadP_rule, c)
        DFA_PRODUCTION(EAXREGP, loadP_rule, c)
        DFA_PRODUCTION(RREGP, loadP_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, loadP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, loadP_rule, c)
        DFA_PRODUCTION(NAXREGP, loadP_rule, c)
        DFA_PRODUCTION(PREGP, loadP_rule, c)
        DFA_PRODUCTION(ECXREGP, loadP_rule, c)
        DFA_PRODUCTION(NABXREGP, loadP_rule, c)
        DFA_PRODUCTION(EDXREGP, loadP_rule, c)
        DFA_PRODUCTION(ESIREGP, loadP_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, loadP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, loadP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, loadP_rule, c)
        DFA_PRODUCTION(INDIRECT, loadP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_LoadRange(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadRange_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, loadRange_rule, c)
        DFA_PRODUCTION(EAXREGI, loadRange_rule, c)
        DFA_PRODUCTION(NCXREGI, loadRange_rule, c)
        DFA_PRODUCTION(EBXREGI, loadRange_rule, c)
        DFA_PRODUCTION(NADXREGI, loadRange_rule, c)
        DFA_PRODUCTION(ECXREGI, loadRange_rule, c)
        DFA_PRODUCTION(NAXREGI, loadRange_rule, c)
        DFA_PRODUCTION(EDXREGI, loadRange_rule, c)
        DFA_PRODUCTION(EDIREGI, loadRange_rule, c)
        DFA_PRODUCTION(ESIREGI, loadRange_rule, c)
    }
}
void  State::_sub_Op_LoadS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADS_MEMORY_, _LoadS_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(RREGI, loadS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, loadS_rule, c)
        DFA_PRODUCTION(EAXREGI, loadS_rule, c)
        DFA_PRODUCTION(NCXREGI, loadS_rule, c)
        DFA_PRODUCTION(EBXREGI, loadS_rule, c)
        DFA_PRODUCTION(NADXREGI, loadS_rule, c)
        DFA_PRODUCTION(ECXREGI, loadS_rule, c)
        DFA_PRODUCTION(NAXREGI, loadS_rule, c)
        DFA_PRODUCTION(EDXREGI, loadS_rule, c)
        DFA_PRODUCTION(EDIREGI, loadS_rule, c)
        DFA_PRODUCTION(ESIREGI, loadS_rule, c)
    }
}
void  State::_sub_Op_LoopLimit(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_NADXREGI_EAXREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_NADXREGI_EAXREGI]+_kids[1]->_cost[IMMI]+300;
        DFA_PRODUCTION(EAXREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(RREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(EBXREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(NADXREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(ECXREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(NAXREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(EDXREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(NCXREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(EDIREGI, loopLimit_eReg_rule, c)
        DFA_PRODUCTION(ESIREGI, loopLimit_eReg_rule, c)
    }
}
void  State::_sub_Op_MulAddS2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_RREGI_RREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_RREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_RREGI_RREGI]+_kids[1]->_cost[_BINARY_RREGI_RREGI]+100;
        DFA_PRODUCTION(RREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(EAXREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(NCXREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(EBXREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(NADXREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(ECXREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(NAXREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(EDXREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(EDIREGI, mulAddS2I_rReg_rule, c)
        DFA_PRODUCTION(ESIREGI, mulAddS2I_rReg_rule, c)
    }
}
void  State::_sub_Op_MaxI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+300;
        DFA_PRODUCTION(RREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(EAXREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(NCXREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(EBXREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(NADXREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(ECXREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(NAXREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(EDXREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(EDIREGI, maxI_eReg_rule, c)
        DFA_PRODUCTION(ESIREGI, maxI_eReg_rule, c)
    }
}
void  State::_sub_Op_MemBarAcquire(const Node *n){
    {
      unsigned int c = 400;
        DFA_PRODUCTION(UNIVERSE, membar_acquire_rule, c)
    }
}
void  State::_sub_Op_LoadFence(const Node *n){
    {
      unsigned int c = 400;
        DFA_PRODUCTION(UNIVERSE, membar_acquire_0_rule, c)
    }
}
void  State::_sub_Op_SetVectMaskI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 2639 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
PostLoopMultiversioning && Matcher::has_predicated_vectors()
#line 10009 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, setMask_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, setMask_rule, c)
        DFA_PRODUCTION(EAXREGI, setMask_rule, c)
        DFA_PRODUCTION(NCXREGI, setMask_rule, c)
        DFA_PRODUCTION(EBXREGI, setMask_rule, c)
        DFA_PRODUCTION(NADXREGI, setMask_rule, c)
        DFA_PRODUCTION(ECXREGI, setMask_rule, c)
        DFA_PRODUCTION(NAXREGI, setMask_rule, c)
        DFA_PRODUCTION(EDXREGI, setMask_rule, c)
        DFA_PRODUCTION(EDIREGI, setMask_rule, c)
        DFA_PRODUCTION(ESIREGI, setMask_rule, c)
    }
}
void  State::_sub_Op_MemBarAcquireLock(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_acquire_lock_rule, c)
    }
}
void  State::_sub_Op_MemBarRelease(const Node *n){
    {
      unsigned int c = 400;
        DFA_PRODUCTION(UNIVERSE, membar_release_rule, c)
    }
}
void  State::_sub_Op_StoreFence(const Node *n){
    {
      unsigned int c = 400;
        DFA_PRODUCTION(UNIVERSE, membar_release_0_rule, c)
    }
}
void  State::_sub_Op_StoreStoreFence(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_storestore_0_rule, c)
    }
}
void  State::_sub_Op_MemBarReleaseLock(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_release_lock_rule, c)
    }
}
void  State::_sub_Op_MemBarVolatile(const Node *n){
    if(         (
#line 6638 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
Matcher::post_store_load_barrier(n)
#line 10060 "dfa_x86.cpp"
) ) {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, unnecessary_membar_volatile_rule, c)
    }
    {
      unsigned int c = 400;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, membar_volatile_rule, c)
      }
    }
}
void  State::_sub_Op_MemBarStoreStore(const Node *n){
    {
      unsigned int c = 0;
        DFA_PRODUCTION(UNIVERSE, membar_storestore_rule, c)
    }
}
void  State::_sub_Op_MinI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+300;
        DFA_PRODUCTION(RREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(EAXREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(NCXREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(EBXREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(NADXREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(ECXREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(NAXREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(EDXREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(EDIREGI, minI_eReg_rule, c)
        DFA_PRODUCTION(ESIREGI, minI_eReg_rule, c)
    }
}
void  State::_sub_Op_ModD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 9979 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 10100 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+250;
        DFA_PRODUCTION(REGD, modD_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9965 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 10111 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+250;
        DFA_PRODUCTION(REGDPR, modDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR1, modDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, modDPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, modDPR_reg_rule, c)
    }
}
void  State::_sub_Op_ModF(const Node *n){
    bool Compile__current____select_24_bit_instr__ = Compile::current()->select_24_bit_instr();
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 10637 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 10126 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+250;
        DFA_PRODUCTION(REGF, modF_reg_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10624 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 10137 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
        DFA_PRODUCTION(REGFPR, modFPR_reg_rule, c)
        DFA_PRODUCTION(REGFPR1, modFPR_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10610 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE==0 && Compile__current____select_24_bit_instr__
#line 10147 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
        DFA_PRODUCTION(STACKSLOTF, modFPR24_reg_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
}
void  State::_sub_Op_ModI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[ECXREGI]+300;
        DFA_PRODUCTION(EDXREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(RREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(EAXREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(NCXREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(EBXREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(NADXREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(ECXREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(NAXREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(EDIREGI, modI_eReg_rule, c)
        DFA_PRODUCTION(ESIREGI, modI_eReg_rule, c)
    }
}
void  State::_sub_Op_ModL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], IMML32) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[IMML32]+1000;
        DFA_PRODUCTION(EADXREGL, modL_eReg_imm32_rule, c)
        DFA_PRODUCTION(EREGL, modL_eReg_imm32_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EBCXREGL, modL_eReg_imm32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+10000;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, modL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, modL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, modL_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_MoveI2F(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 11357 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 10205 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+85;
        DFA_PRODUCTION(REGF, MoveI2F_reg_reg_sse_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTI) &&
        (
#line 11344 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 10216 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTI]+95;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, MoveI2F_stack_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTI) &&
        (
#line 11330 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 10233 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTI]+125;
        DFA_PRODUCTION(REGFPR, MoveI2FPR_stack_reg_rule, c)
        DFA_PRODUCTION(REGFPR1, MoveI2FPR_stack_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(STACKSLOTF, MoveI2F_reg_stack_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
}
void  State::_sub_Op_MoveF2I(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 11305 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 10255 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+85;
        DFA_PRODUCTION(RREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(EAXREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(NCXREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(EBXREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(NADXREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(ECXREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(NAXREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(EDXREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(EDIREGI, MoveF2I_reg_reg_sse_rule, c)
        DFA_PRODUCTION(ESIREGI, MoveF2I_reg_reg_sse_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 11292 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 10275 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+95;
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c) {
        DFA_PRODUCTION(STACKSLOTI, MoveF2I_reg_stack_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c+125) {
        DFA_PRODUCTION(RREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c+125) {
        DFA_PRODUCTION(XREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c+125) {
        DFA_PRODUCTION(EAXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c+125) {
        DFA_PRODUCTION(NCXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c+125) {
        DFA_PRODUCTION(EBXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c+125) {
        DFA_PRODUCTION(NADXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c+125) {
        DFA_PRODUCTION(ECXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c+125) {
        DFA_PRODUCTION(NAXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c+125) {
        DFA_PRODUCTION(EDXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c+125) {
        DFA_PRODUCTION(EDIREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c+125) {
        DFA_PRODUCTION(ESIREGI, loadSSI_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) &&
        (
#line 11281 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 10319 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+125;
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c) {
        DFA_PRODUCTION(STACKSLOTI, MoveFPR2I_reg_stack_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c+125) {
        DFA_PRODUCTION(RREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c+125) {
        DFA_PRODUCTION(XREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c+125) {
        DFA_PRODUCTION(EAXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c+125) {
        DFA_PRODUCTION(NCXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c+125) {
        DFA_PRODUCTION(EBXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c+125) {
        DFA_PRODUCTION(NADXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c+125) {
        DFA_PRODUCTION(ECXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c+125) {
        DFA_PRODUCTION(NAXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c+125) {
        DFA_PRODUCTION(EDXREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c+125) {
        DFA_PRODUCTION(EDIREGI, loadSSI_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c+125) {
        DFA_PRODUCTION(ESIREGI, loadSSI_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTF) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTF]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, MoveF2I_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, MoveF2I_stack_reg_rule, c)
      }
    }
}
void  State::_sub_Op_MoveL2D(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 11475 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 10404 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+85;
        DFA_PRODUCTION(REGD, MoveL2D_reg_reg_sse_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTL) &&
        (
#line 11462 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && !UseXmmLoadAndClearUpper
#line 10415 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTL]+95;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, MoveL2D_stack_reg_sse_partial_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTL) &&
        (
#line 11449 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && UseXmmLoadAndClearUpper
#line 10432 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTL]+95;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, MoveL2D_stack_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTL) &&
        (
#line 11434 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 10449 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTL]+125;
        DFA_PRODUCTION(REGDPR, MoveL2DPR_stack_reg_rule, c)
        DFA_PRODUCTION(REGDPR1, MoveL2DPR_stack_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, MoveL2DPR_stack_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, MoveL2DPR_stack_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+200;
        DFA_PRODUCTION(STACKSLOTD, MoveL2D_reg_stack_rule, c)
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c+125) {
        DFA_PRODUCTION(REGDPR, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c+125) {
        DFA_PRODUCTION(REGDPR1, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c+125) {
        DFA_PRODUCTION(REGDPR2, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c+125) {
        DFA_PRODUCTION(REGNOTDPR1, loadSSD_rule, c+125)
      }
    }
}
void  State::_sub_Op_MoveD2L(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 11405 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 10479 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+85;
        DFA_PRODUCTION(EREGL, MoveD2L_reg_reg_sse_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, MoveD2L_reg_reg_sse_rule, c)
        DFA_PRODUCTION(EBCXREGL, MoveD2L_reg_reg_sse_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 11393 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 10491 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+95;
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c) {
        DFA_PRODUCTION(STACKSLOTL, MoveD2L_reg_stack_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c+200) {
        DFA_PRODUCTION(EREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c+200) {
        DFA_PRODUCTION(EADXREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c+200) {
        DFA_PRODUCTION(EBCXREGL, loadSSL_rule, c+200)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 11382 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 10511 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+125;
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c) {
        DFA_PRODUCTION(STACKSLOTL, MoveDPR2L_reg_stack_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c+200) {
        DFA_PRODUCTION(EREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c+200) {
        DFA_PRODUCTION(EADXREGL, loadSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c+200) {
        DFA_PRODUCTION(EBCXREGL, loadSSL_rule, c+200)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], STACKSLOTD) ) {
      unsigned int c = _kids[0]->_cost[STACKSLOTD]+250;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, MoveD2L_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, MoveD2L_stack_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, MoveD2L_stack_reg_rule, c)
      }
    }
}
void  State::_sub_Op_MulD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3066 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10548 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, mulD_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3054 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10559 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3054 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10576 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3042 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10593 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 3031 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 10610 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3019 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 10627 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 3019 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 10644 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 3007 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 10661 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, mulD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR];
        DFA_PRODUCTION(_MULD_REGDPR_REGDPR, _MulD_regDPR_regDPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9861 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 
#line 10682 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+_kids[1]->_cost[REGDPR]+200;
        DFA_PRODUCTION(REGDPR, mulDPR_reg_mem_0_rule, c)
        DFA_PRODUCTION(REGDPR1, mulDPR_reg_mem_0_rule, c)
        DFA_PRODUCTION(REGDPR2, mulDPR_reg_mem_0_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, mulDPR_reg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 9861 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 
#line 10694 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[_LOADD_MEMORY_]+200;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, mulDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, mulDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, mulDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, mulDPR_reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], IMMDPR) &&
        (
#line 9847 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && _kids[1]->_leaf->getd() != 0.0 && _kids[1]->_leaf->getd() != 1.0 
#line 10714 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[IMMDPR]+200;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, mulDPR_reg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, mulDPR_reg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, mulDPR_reg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, mulDPR_reg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR1) && STATE__VALID_CHILD(_kids[1], REGNOTDPR1) &&
        (
#line 9828 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 && Compile::current()->has_method() 
#line 10734 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR1]+_kids[1]->_cost[REGNOTDPR1]+1;
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, strictfp_mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, strictfp_mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, strictfp_mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, strictfp_mulDPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9808 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 10754 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+150;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, mulDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, mulDPR_reg_rule, c)
      }
    }
}
void  State::_sub_Op_MulF(const Node *n){
    bool Compile__current____select_24_bit_instr__ = Compile::current()->select_24_bit_instr();
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2995 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10777 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, mulF_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2983 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10788 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2983 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10805 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2971 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 10822 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2960 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 10839 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2948 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 10856 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2948 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 10873 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2936 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 10890 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, mulF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR];
        DFA_PRODUCTION(_MULF_REGFPR_REGFPR, _MulF_regFPR_regFPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_LOADF_MEMORY_];
        DFA_PRODUCTION(_MULF_REGFPR__LOADF_MEMORY_, _MulF_regFPR__LoadF_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGFPR) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGFPR];
        DFA_PRODUCTION(_MULF__LOADF_MEMORY__REGFPR, _MulF__LoadF_memory__regFPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], IMMFPR) &&
        (
#line 10495 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 10919 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[IMMFPR]+100;
        DFA_PRODUCTION(REGFPR, mulFPR_reg_imm_rule, c)
        DFA_PRODUCTION(REGFPR1, mulFPR_reg_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], IMMFPR) &&
        (
#line 10479 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 10929 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[IMMFPR]+100;
        DFA_PRODUCTION(STACKSLOTF, mulFPR24_reg_imm_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], MEMORY) &&
        (
#line 10465 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 10944 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[MEMORY]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, mulFPR24_mem_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10452 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 10961 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, mulFPR_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, mulFPR_reg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10452 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 10975 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, mulFPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, mulFPR_reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10436 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 10989 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, mulFPR24_reg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 10436 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 11006 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, mulFPR24_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10419 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 11023 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c) {
        DFA_PRODUCTION(REGFPR, mulFPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c) {
        DFA_PRODUCTION(REGFPR1, mulFPR_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10404 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 11037 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
      if (STATE__NOT_YET_VALID(STACKSLOTF) || _cost[STACKSLOTF] > c) {
        DFA_PRODUCTION(STACKSLOTF, mulFPR24_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
}
void  State::_sub_Op_MulI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+350;
        DFA_PRODUCTION(RREGI, mulI_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, mulI_0_rule, c)
        DFA_PRODUCTION(EAXREGI, mulI_0_rule, c)
        DFA_PRODUCTION(NCXREGI, mulI_0_rule, c)
        DFA_PRODUCTION(EBXREGI, mulI_0_rule, c)
        DFA_PRODUCTION(NADXREGI, mulI_0_rule, c)
        DFA_PRODUCTION(ECXREGI, mulI_0_rule, c)
        DFA_PRODUCTION(NAXREGI, mulI_0_rule, c)
        DFA_PRODUCTION(EDXREGI, mulI_0_rule, c)
        DFA_PRODUCTION(EDIREGI, mulI_0_rule, c)
        DFA_PRODUCTION(ESIREGI, mulI_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+350;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_mem_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+300;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mulI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mulI_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_MulL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], IMML_127) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[IMML_127]+2*100+2*400;
        DFA_PRODUCTION(EADXREGL, mulL_eReg_con_rule, c)
        DFA_PRODUCTION(EREGL, mulL_eReg_con_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EBCXREGL, mulL_eReg_con_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 7765 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
is_operand_hi32_zero(n->in(1)) && is_operand_hi32_zero(n->in(2))
#line 11236 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[EREGL]+1*400;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulL_eReg_hi0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulL_eReg_hi0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulL_eReg_hi0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 7744 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
is_operand_hi32_zero(n->in(2))
#line 11256 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[EREGL]+2*100+2*400;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulL_eReg_rhi0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulL_eReg_rhi0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulL_eReg_rhi0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 7723 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
is_operand_hi32_zero(n->in(1))
#line 11276 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[EREGL]+2*100+2*400;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulL_eReg_lhi0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulL_eReg_lhi0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulL_eReg_lhi0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EADXREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL]+_kids[1]->_cost[EREGL]+4*100+3*400;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulL_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDL__CONVI2L_NADXREGI__IMML_32BITS) && STATE__VALID_CHILD(_kids[1], _ANDL__CONVI2L_EAXREGI__IMML_32BITS) &&
        /*mask*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ANDL__CONVI2L_NADXREGI__IMML_32BITS]+_kids[1]->_cost[_ANDL__CONVI2L_EAXREGI__IMML_32BITS]+300;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulIS_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulIS_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulIS_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ANDL__CONVI2L_EAXREGI__IMML_32BITS) && STATE__VALID_CHILD(_kids[1], _ANDL__CONVI2L_NADXREGI__IMML_32BITS) &&
        /*mask*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ANDL__CONVI2L_EAXREGI__IMML_32BITS]+_kids[1]->_cost[_ANDL__CONVI2L_NADXREGI__IMML_32BITS]+300;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulIS_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulIS_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulIS_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_NADXREGI_) && STATE__VALID_CHILD(_kids[1], _CONVI2L_EAXREGI_) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_NADXREGI_]+_kids[1]->_cost[_CONVI2L_EAXREGI_]+300;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulI2L_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulI2L_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulI2L_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_EAXREGI_) && STATE__VALID_CHILD(_kids[1], _CONVI2L_NADXREGI_) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_EAXREGI_]+_kids[1]->_cost[_CONVI2L_NADXREGI_]+300;
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, mulI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, mulI2L_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, mulI2L_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EADXREGL_LOW_ONLY) && STATE__VALID_CHILD(_kids[1], _CONVI2L_NADXREGI_) ) {
      unsigned int c = _kids[0]->_cost[EADXREGL_LOW_ONLY]+_kids[1]->_cost[_CONVI2L_NADXREGI_];
        DFA_PRODUCTION(_MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI_, _MulL_eADXRegL_low_only__ConvI2L_nadxRegI__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _CONVI2L_NADXREGI_) && STATE__VALID_CHILD(_kids[1], EADXREGL_LOW_ONLY) ) {
      unsigned int c = _kids[0]->_cost[_CONVI2L_NADXREGI_]+_kids[1]->_cost[EADXREGL_LOW_ONLY];
        DFA_PRODUCTION(_MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY, _MulL__ConvI2L_nadxRegI__eADXRegL_low_only_rule, c)
    }
}
void  State::_sub_Op_NegD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGD) &&
        (
#line 3305 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11383 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGD]+150;
        DFA_PRODUCTION(VLREGD, negD_reg_reg_rule, c)
        DFA_PRODUCTION(REGD, MoveVL2D_rule, c+100)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 3293 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 11394 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, negD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR1) &&
        (
#line 9698 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 11411 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR1]+100;
        DFA_PRODUCTION(REGDPR1, negDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR, negDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, negDPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, negDPR_reg_rule, c)
    }
}
void  State::_sub_Op_NegF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VLREGF) &&
        (
#line 3281 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 11425 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VLREGF]+150;
        DFA_PRODUCTION(VLREGF, negF_reg_reg_rule, c)
        DFA_PRODUCTION(REGF, MoveVL2F_rule, c+100)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 3270 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 11436 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, negF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR1) &&
        (
#line 10290 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 11453 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR1]+100;
        DFA_PRODUCTION(REGFPR1, negFPR_reg_rule, c)
        DFA_PRODUCTION(REGFPR, negFPR_reg_rule, c)
    }
}
void  State::_sub_Op_OnSpinWait(const Node *n){
    {
      unsigned int c = 200;
        DFA_PRODUCTION(UNIVERSE, onspinwait_rule, c)
    }
}
void  State::_sub_Op_OrI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI) && STATE__VALID_CHILD(_kids[1], _URSHIFTI_NCXREGI_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI]+_kids[1]->_cost[_URSHIFTI_NCXREGI_ECXREGI]+100;
        DFA_PRODUCTION(NCXREGI, rorI_eReg_Var_C32_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _URSHIFTI_NCXREGI_ECXREGI) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_URSHIFTI_NCXREGI_ECXREGI]+_kids[1]->_cost[_LSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rorI_eReg_Var_C32_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI) && STATE__VALID_CHILD(_kids[1], _URSHIFTI_NCXREGI_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI]+_kids[1]->_cost[_URSHIFTI_NCXREGI_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rorI_eReg_Var_C0_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _URSHIFTI_NCXREGI_ECXREGI) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_URSHIFTI_NCXREGI_ECXREGI]+_kids[1]->_cost[_LSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rorI_eReg_Var_C0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], _URSHIFTI_RREGI_IMMI_1) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI_M1]+_kids[1]->_cost[_URSHIFTI_RREGI_IMMI_1]+100;
        DFA_PRODUCTION(RREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(EAXREGI, rorI_eReg_i1_0_rule, c)
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rorI_eReg_i1_0_rule, c)
      }
        DFA_PRODUCTION(EBXREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(NADXREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(ECXREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(NAXREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(EDXREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(EDIREGI, rorI_eReg_i1_0_rule, c)
        DFA_PRODUCTION(ESIREGI, rorI_eReg_i1_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _URSHIFTI_RREGI_IMMI_1) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_RREGI_IMMI_M1) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_URSHIFTI_RREGI_IMMI_1]+_kids[1]->_cost[_LSHIFTI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, rorI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, rorI_eReg_i1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _URSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_NCXREGI_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_URSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI]+_kids[1]->_cost[_LSHIFTI_NCXREGI_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_Var_C32_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_NCXREGI_ECXREGI) && STATE__VALID_CHILD(_kids[1], _URSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_NCXREGI_ECXREGI]+_kids[1]->_cost[_URSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_Var_C32_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _URSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_NCXREGI_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_kids[1]->_leaf == _kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_URSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI]+_kids[1]->_cost[_LSHIFTI_NCXREGI_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_Var_C0_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_NCXREGI_ECXREGI) && STATE__VALID_CHILD(_kids[1], _URSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) && /*shift*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_kids[1]->_kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_NCXREGI_ECXREGI]+_kids[1]->_cost[_URSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_Var_C0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _URSHIFTI_RREGI_IMMI8) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_RREGI_IMMI8) &&
        (
#line 8469 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
  0 == ((n->in(1)->in(2)->get_int() + n->in(2)->in(2)->get_int()) & 0x1f)
#line 11583 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_URSHIFTI_RREGI_IMMI8]+_kids[1]->_cost[_LSHIFTI_RREGI_IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, rolI_eReg_i8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, rolI_eReg_i8_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI8) && STATE__VALID_CHILD(_kids[1], _URSHIFTI_RREGI_IMMI8) &&
        (
#line 8469 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
  0 == ((n->in(1)->in(2)->get_int() + n->in(2)->in(2)->get_int()) & 0x1f)
#line 11627 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI8]+_kids[1]->_cost[_URSHIFTI_RREGI_IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, rolI_eReg_i8_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, rolI_eReg_i8_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _URSHIFTI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], _LSHIFTI_RREGI_IMMI_1) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_URSHIFTI_RREGI_IMMI_M1]+_kids[1]->_cost[_LSHIFTI_RREGI_IMMI_1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, rolI_eReg_i1_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, rolI_eReg_i1_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_RREGI_IMMI_1) && STATE__VALID_CHILD(_kids[1], _URSHIFTI_RREGI_IMMI_M1) &&
        /*dst*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_RREGI_IMMI_1]+_kids[1]->_cost[_URSHIFTI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, rolI_eReg_i1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, rolI_eReg_i1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_ORI__LOADI_MEMORY__IMMI, _OrI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_ORI_RREGI__LOADI_MEMORY_, _OrI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_ORI__LOADI_MEMORY__RREGI, _OrI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, orI_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, orI_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, orI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, orI_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, orI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, orI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _CASTP2X_EREGP_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_CASTP2X_EREGP_]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, orI_eReg_castP2X_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, orI_eReg_castP2X_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _CASTP2X_EREGP_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_CASTP2X_EREGP_]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, orI_eReg_castP2X_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, orI_eReg_castP2X_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, orI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, orI_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_OrL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_LOAD_LONG_MEMORY_) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_LOAD_LONG_MEMORY_]+_kids[1]->_cost[EREGL]+125;
        DFA_PRODUCTION(EREGL, orl_eReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, orl_eReg_mem_0_rule, c)
        DFA_PRODUCTION(EBCXREGL, orl_eReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_LOAD_LONG_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_LOADL_LOAD_LONG_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, orl_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, orl_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, orl_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, orl_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, orl_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, orl_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, orl_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, orl_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, orl_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowAddI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(EFLAGSREG, overflowAddI_rReg_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, overflowAddI_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowSubI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], EAXREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[EAXREGI]+100;
        DFA_PRODUCTION(EFLAGSREG, overflowNegI_rReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, overflowSubI_rReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, overflowSubI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_OverflowMulI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(EFLAGSREG, overflowMulI_rReg_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EAXREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[EAXREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(EFLAGSREG) || _cost[EFLAGSREG] > c) {
        DFA_PRODUCTION(EFLAGSREG, overflowMulI_rReg_rule, c)
      }
    }
}
void  State::_sub_Op_PartialSubtypeCheck(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], EAXREGP) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[EAXREGP];
        DFA_PRODUCTION(_PARTIALSUBTYPECHECK_ESIREGP_EAXREGP, _PartialSubtypeCheck_eSIRegP_eAXRegP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], EAXREGP) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[EAXREGP]+1100;
        DFA_PRODUCTION(EDIREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(ANYREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(EREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(EAXREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(RREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, partialSubtypeCheck_rule, c+100)
        DFA_PRODUCTION(EBXREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(NAXREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(PREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(ECXREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(NABXREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(EDXREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(ESIREGP, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, partialSubtypeCheck_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, partialSubtypeCheck_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(INDIRECT, partialSubtypeCheck_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_PopCountI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) &&
        (
#line 5263 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UsePopCountInstruction
#line 12124 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
        DFA_PRODUCTION(RREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(EAXREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(NCXREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(EBXREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(NADXREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(ECXREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(NAXREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(EDXREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(EDIREGI, popCountI_mem_rule, c)
        DFA_PRODUCTION(ESIREGI, popCountI_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) &&
        (
#line 5251 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UsePopCountInstruction
#line 12144 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, popCountI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, popCountI_rule, c)
      }
    }
}
void  State::_sub_Op_PopCountL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) &&
        (
#line 5293 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UsePopCountInstruction
#line 12190 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+100;
        DFA_PRODUCTION(RREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(EAXREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(NCXREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(EBXREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(NADXREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(ECXREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(NAXREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(EDXREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(EDIREGI, popCountL_mem_rule, c)
        DFA_PRODUCTION(ESIREGI, popCountL_mem_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 5276 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UsePopCountInstruction
#line 12210 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, popCountL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, popCountL_rule, c)
      }
    }
}
void  State::_sub_Op_PopCountVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vpopcountI_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_PrefetchAllocation(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 6201 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1 && AllocatePrefetchInstr==2
#line 12263 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+100;
        DFA_PRODUCTION(UNIVERSE, prefetchAllocT2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 6189 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1 && AllocatePrefetchInstr==1
#line 12272 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, prefetchAllocT0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 6177 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1 && AllocatePrefetchInstr==0
#line 12283 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, prefetchAllocNTA_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 6165 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
AllocatePrefetchInstr==3
#line 12294 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, prefetchAlloc_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) &&
        (
#line 6155 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && AllocatePrefetchInstr!=3
#line 12305 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, prefetchAlloc0_rule, c)
      }
    }
}
void  State::_sub_Op_RShiftI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_XREGI_IMMI_16) && STATE__VALID_CHILD(_kids[1], IMMI_16) &&
        /*sixteen*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_XREGI_IMMI_16]+_kids[1]->_cost[IMMI_16]+100;
        DFA_PRODUCTION(RREGI, i2s_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, i2s_rule, c)
        DFA_PRODUCTION(EAXREGI, i2s_rule, c)
        DFA_PRODUCTION(NCXREGI, i2s_rule, c)
        DFA_PRODUCTION(EBXREGI, i2s_rule, c)
        DFA_PRODUCTION(NADXREGI, i2s_rule, c)
        DFA_PRODUCTION(ECXREGI, i2s_rule, c)
        DFA_PRODUCTION(NAXREGI, i2s_rule, c)
        DFA_PRODUCTION(EDXREGI, i2s_rule, c)
        DFA_PRODUCTION(EDIREGI, i2s_rule, c)
        DFA_PRODUCTION(ESIREGI, i2s_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI_XREGI_IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI_XREGI_IMMI_24]+_kids[1]->_cost[IMMI_24]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, i2b_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, i2b_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[ECXREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, sarI_eReg_CL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, sarI_eReg_CL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_RSHIFTI__LOADI_MEMORY__IMMI8, _RShiftI__LoadI_memory__immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, sarI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, sarI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI_1];
        DFA_PRODUCTION(_RSHIFTI__LOADI_MEMORY__IMMI_1, _RShiftI__LoadI_memory__immI_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, sarI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, sarI_eReg_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADI_MEMORY__IMMI_16) && STATE__VALID_CHILD(_kids[1], IMMI_16) &&
        /*sixteen*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADI_MEMORY__IMMI_16]+_kids[1]->_cost[IMMI_16]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, loadI2S_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, loadI2S_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADI_MEMORY__IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADI_MEMORY__IMMI_24]+_kids[1]->_cost[IMMI_24]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, loadI2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, loadI2B_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADUS_MEMORY__IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADUS_MEMORY__IMMI_24]+_kids[1]->_cost[IMMI_24]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, loadUS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, loadUS2B_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LSHIFTI__LOADS_MEMORY__IMMI_24) && STATE__VALID_CHILD(_kids[1], IMMI_24) &&
        /*twentyfour*/(_kids[0]->_kids[1]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LSHIFTI__LOADS_MEMORY__IMMI_24]+_kids[1]->_cost[IMMI_24]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, loadS2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, loadS2B_rule, c)
      }
    }
}
void  State::_sub_Op_RShiftL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[ECXREGI]+600;
        DFA_PRODUCTION(EREGL, sarL_eReg_CL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, sarL_eReg_CL_rule, c)
        DFA_PRODUCTION(EBCXREGL, sarL_eReg_CL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_32_63) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_32_63]+300;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, sarL_eReg_32_63_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, sarL_eReg_32_63_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, sarL_eReg_32_63_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_1_31) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_1_31]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, sarL_eReg_1_31_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, sarL_eReg_1_31_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, sarL_eReg_1_31_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI_) && STATE__VALID_CHILD(_kids[1], IMMI_32_63) ) {
      unsigned int c = _kids[0]->_cost[_MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI_]+_kids[1]->_cost[IMMI_32_63];
        DFA_PRODUCTION(_RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32_63, _RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32_63_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY) && STATE__VALID_CHILD(_kids[1], IMMI_32_63) ) {
      unsigned int c = _kids[0]->_cost[_MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY]+_kids[1]->_cost[IMMI_32_63];
        DFA_PRODUCTION(_RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32_63, _RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32_63_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI_) && STATE__VALID_CHILD(_kids[1], IMMI_32) ) {
      unsigned int c = _kids[0]->_cost[_MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI_]+_kids[1]->_cost[IMMI_32];
        DFA_PRODUCTION(_RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32, _RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY) && STATE__VALID_CHILD(_kids[1], IMMI_32) ) {
      unsigned int c = _kids[0]->_cost[_MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY]+_kids[1]->_cost[IMMI_32];
        DFA_PRODUCTION(_RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32, _RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32_rule, c)
    }
}
void  State::_sub_Op_Rethrow(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, RethrowException_rule, c)
    }
}
void  State::_sub_Op_Return(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(UNIVERSE, Ret_rule, c)
    }
}
void  State::_sub_Op_RoundDouble(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 10674 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 12728 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+125;
        DFA_PRODUCTION(STACKSLOTD, roundDouble_mem_reg_rule, c)
        DFA_PRODUCTION(REGDPR, loadSSD_rule, c+125)
        DFA_PRODUCTION(REGDPR1, loadSSD_rule, c+125)
        DFA_PRODUCTION(REGDPR2, loadSSD_rule, c+125)
        DFA_PRODUCTION(REGNOTDPR1, loadSSD_rule, c+125)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDD_REGDPR_IMMDPR) &&
        (
#line 9793 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1 && _kids[0]->_kids[1]->_leaf->getd() != 0.0 && _kids[0]->_kids[1]->_leaf->getd() != 1.0 
#line 12741 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDD_REGDPR_IMMDPR]+200;
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c) {
        DFA_PRODUCTION(STACKSLOTD, addDPR_reg_imm_round_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c+125) {
        DFA_PRODUCTION(REGDPR, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c+125) {
        DFA_PRODUCTION(REGDPR1, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c+125) {
        DFA_PRODUCTION(REGDPR2, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c+125) {
        DFA_PRODUCTION(REGNOTDPR1, loadSSD_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDD_REGDPR__LOADD_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_ADDD_REGDPR__LOADD_MEMORY_];
        DFA_PRODUCTION(_ROUNDDOUBLE__ADDD_REGDPR__LOADD_MEMORY__, _RoundDouble__AddD_regDPR__LoadD_memory___rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDD__LOADD_MEMORY__REGDPR) ) {
      unsigned int c = _kids[0]->_cost[_ADDD__LOADD_MEMORY__REGDPR];
        DFA_PRODUCTION(_ROUNDDOUBLE__ADDD__LOADD_MEMORY__REGDPR_, _RoundDouble__AddD__LoadD_memory__regDPR__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDD_REGDPR_REGDPR) &&
        (
#line 9722 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 12772 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_ADDD_REGDPR_REGDPR]+250;
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c) {
        DFA_PRODUCTION(STACKSLOTD, addDPR_reg_round_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c+125) {
        DFA_PRODUCTION(REGDPR, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c+125) {
        DFA_PRODUCTION(REGDPR1, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c+125) {
        DFA_PRODUCTION(REGDPR2, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c+125) {
        DFA_PRODUCTION(REGNOTDPR1, loadSSD_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _SUBD_REGDPR_REGDPR) &&
        (
#line 9660 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE <=1
#line 12795 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_SUBD_REGDPR_REGDPR]+250;
      if (STATE__NOT_YET_VALID(STACKSLOTD) || _cost[STACKSLOTD] > c) {
        DFA_PRODUCTION(STACKSLOTD, subDPR_reg_round_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c+125) {
        DFA_PRODUCTION(REGDPR, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c+125) {
        DFA_PRODUCTION(REGDPR1, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c+125) {
        DFA_PRODUCTION(REGDPR2, loadSSD_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c+125) {
        DFA_PRODUCTION(REGNOTDPR1, loadSSD_rule, c+125)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR1) ) {
      unsigned int c = _kids[0]->_cost[REGDPR1];
        DFA_PRODUCTION(_ROUNDDOUBLE_REGDPR1_, _RoundDouble_regDPR1__rule, c)
    }
}
void  State::_sub_Op_RoundFloat(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGFPR) &&
        (
#line 10665 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 12824 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+125;
        DFA_PRODUCTION(STACKSLOTF, roundFloat_mem_reg_rule, c)
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR1) ) {
      unsigned int c = _kids[0]->_cost[REGFPR1];
        DFA_PRODUCTION(_ROUNDFLOAT_REGFPR1_, _RoundFloat_regFPR1__rule, c)
    }
}
void  State::_sub_Op_RotateLeftV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vprorate_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vprotate_immI8_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RotateRightV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vprorate_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vprotate_immI8_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SafePoint(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP_NO_EBP) ) {
      unsigned int c = _kids[0]->_cost[EREGP_NO_EBP]+125;
        DFA_PRODUCTION(UNIVERSE, safePoint_poll_tls_rule, c)
    }
}
void  State::_sub_Op_ShenandoahCompareAndExchangeP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGP_EREGP) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_EAXREGP_EREGP]+1000;
        DFA_PRODUCTION(EAXREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(ANYREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(EREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(RREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, compareAndExchangeP_shenandoah_rule, c+100)
        DFA_PRODUCTION(NAXREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(PREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(ECXREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(NABXREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(EDXREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(ESIREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, compareAndExchangeP_shenandoah_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, compareAndExchangeP_shenandoah_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(INDIRECT, compareAndExchangeP_shenandoah_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_ShenandoahCompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGP_EREGP) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_EAXREGP_EREGP]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapP_shenandoah_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapP_shenandoah_rule, c)
    }
}
void  State::_sub_Op_ShenandoahWeakCompareAndSwapP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGP_EREGP) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_EAXREGP_EREGP]+100;
        DFA_PRODUCTION(RREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(EAXREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(NCXREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(EBXREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(NADXREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(ECXREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(NAXREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(EDXREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(EDIREGI, compareAndSwapP_shenandoah_0_rule, c)
        DFA_PRODUCTION(ESIREGI, compareAndSwapP_shenandoah_0_rule, c)
    }
}
void  State::_sub_Op_SignumD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _BINARY_REGD_REGD) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_BINARY_REGD_REGD]+100;
        DFA_PRODUCTION(REGD, signumD_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
}
void  State::_sub_Op_SignumF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _BINARY_REGF_REGF) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_BINARY_REGF_REGF]+100;
        DFA_PRODUCTION(REGF, signumF_reg_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
}
void  State::_sub_Op_SqrtD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) &&
        (
#line 3332 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseSSE>=2
#line 12954 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+100;
        DFA_PRODUCTION(REGD, sqrtD_reg_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) &&
        (
#line 10025 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 12965 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+100;
        DFA_PRODUCTION(REGDPR, sqrtDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR1, sqrtDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, sqrtDPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, sqrtDPR_reg_rule, c)
    }
}
void  State::_sub_Op_SqrtF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) &&
        (
#line 3320 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseSSE>=1
#line 12979 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+100;
        DFA_PRODUCTION(REGF, sqrtF_reg_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
}
void  State::_sub_Op_StoreB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI8]+150;
        DFA_PRODUCTION(UNIVERSE, storeImmB_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], XREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[XREGI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeB_rule, c)
      }
    }
}
void  State::_sub_Op_StoreC(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI16) &&
        (
#line 6348 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseStoreImmI16
#line 13004 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI16]+150;
        DFA_PRODUCTION(UNIVERSE, storeImmI16_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeC_rule, c)
      }
    }
}
void  State::_sub_Op_StoreCM(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI8]+150;
        DFA_PRODUCTION(UNIVERSE, storeImmCM_rule, c)
    }
}
void  State::_sub_Op_StorePConditional(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGP_EREGP) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_EAXREGP_EREGP]+100;
        DFA_PRODUCTION(EFLAGSREG, storePConditional_rule, c)
    }
}
void  State::_sub_Op_StoreIConditional(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_EAXREGI_RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_EAXREGI_RREGI]+100;
        DFA_PRODUCTION(EFLAGSREG, storeIConditional_rule, c)
    }
}
void  State::_sub_Op_StoreLConditional(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_EADXREGL_EBCXREGL) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_EADXREGL_EBCXREGL]+100;
        DFA_PRODUCTION(EFLAGSREG, storeLConditional_rule, c)
    }
}
void  State::_sub_Op_StoreD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ROUNDDOUBLE__ADDD_REGDPR__LOADD_MEMORY__) &&
        (
#line 9751 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 13045 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ROUNDDOUBLE__ADDD_REGDPR__LOADD_MEMORY__]+150;
        DFA_PRODUCTION(UNIVERSE, addDPR_mem_reg_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ROUNDDOUBLE__ADDD__LOADD_MEMORY__REGDPR_) &&
        (
#line 9751 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 13054 "dfa_x86.cpp"
) && /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ROUNDDOUBLE__ADDD__LOADD_MEMORY__REGDPR_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addDPR_mem_reg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 6419 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2
#line 13065 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[REGD]+95;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeD_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ROUNDDOUBLE_REGDPR1_) &&
        (
#line 6406 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 13076 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ROUNDDOUBLE_REGDPR1_]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeDPR_rounded_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], REGDPR1) &&
        (
#line 6394 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 13087 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[REGDPR1]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeDPR_rule, c)
      }
    }
}
void  State::_sub_Op_StoreF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMF) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMF]+50;
        DFA_PRODUCTION(UNIVERSE, storeF_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMFPR) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMFPR]+50;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeFPR_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _CONVD2F_REGDPR1_) &&
        (
#line 6508 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1
#line 13110 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_CONVD2F_REGDPR1_]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeFPR_Drounded_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ROUNDFLOAT_REGFPR1_) &&
        (
#line 6496 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 13121 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ROUNDFLOAT_REGFPR1_]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeFPR_rounded_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], REGFPR1) &&
        (
#line 6484 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0
#line 13132 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[REGFPR1]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeFPR_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 6452 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=1
#line 13143 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[REGF]+95;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeF_rule, c)
      }
    }
}
void  State::_sub_Op_StoreI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI__LOADI_MEMORY__IMMI]+125;
        DFA_PRODUCTION(UNIVERSE, xorI_mem_imm_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, xorI_mem_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _XORI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_XORI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, xorI_mem_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI__LOADI_MEMORY__IMMI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orI_mem_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ORI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ORI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, orI_mem_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI__LOADI_MEMORY__IMMI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andI_mem_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ANDI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ANDI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, andI_mem_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _RSHIFTI__LOADI_MEMORY__IMMI8) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_RSHIFTI__LOADI_MEMORY__IMMI8]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, sarI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _RSHIFTI__LOADI_MEMORY__IMMI_1) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_RSHIFTI__LOADI_MEMORY__IMMI_1]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, sarI_mem_1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _SUBI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_SUBI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, subI_mem_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_M1) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, decI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_1) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_1]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, incI_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addI_mem_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI_RREGI__LOADI_MEMORY_) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI_RREGI__LOADI_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addI_mem_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__RREGI) &&
        /*dst*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__RREGI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, addI_mem_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMI]+150;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeImmI_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _CONVL2I_EREGL_) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_CONVL2I_EREGL_]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeL2I_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[RREGI]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeI_rule, c)
      }
    }
}
void  State::_sub_Op_StoreL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 6305 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && ((StoreLNode*)n)->require_atomic_access()
#line 13293 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[EREGL]+360;
        DFA_PRODUCTION(UNIVERSE, storeLX_reg_volatile_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], STACKSLOTL) &&
        (
#line 6289 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE>=2 && ((StoreLNode*)n)->require_atomic_access()
#line 13302 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[STACKSLOTL]+380;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeLX_volatile_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], STACKSLOTL) &&
        (
#line 6276 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE<=1 && ((StoreLNode*)n)->require_atomic_access()
#line 13313 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[STACKSLOTL]+400;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeL_volatile_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LONG_MEMORY) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 6249 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!((StoreLNode*)n)->require_atomic_access()
#line 13324 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LONG_MEMORY]+_kids[1]->_cost[EREGL]+200;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeL_rule, c)
      }
    }
}
void  State::_sub_Op_StoreP(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], IMMP) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[IMMP]+150;
        DFA_PRODUCTION(UNIVERSE, storeImmP_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], ANYREGP) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[ANYREGP]+125;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, storeP_rule, c)
      }
    }
}
void  State::_sub_Op_StrComp(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_ESIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_ECXREGI) &&
        (
#line 11836 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UL
#line 13349 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_ESIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_EDIREGP_ECXREGI]+100;
        DFA_PRODUCTION(EAXREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(RREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(EBXREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(NADXREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(ECXREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(NAXREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(EDXREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(NCXREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(EDIREGI, string_compareUL_evex_rule, c)
        DFA_PRODUCTION(ESIREGI, string_compareUL_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_ESIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_ECXREGI) &&
        (
#line 11821 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UL
#line 13369 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_ESIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_EDIREGP_ECXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compareUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compareUL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ECXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EDXREGI) &&
        (
#line 11806 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LU
#line 13413 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ECXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compareLU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compareLU_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ECXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EDXREGI) &&
        (
#line 11791 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LU
#line 13457 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ECXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compareLU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compareLU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ECXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EDXREGI) &&
        (
#line 11776 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UU
#line 13501 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ECXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compareU_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compareU_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ECXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EDXREGI) &&
        (
#line 11761 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::UU
#line 13545 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ECXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compareU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compareU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ECXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EDXREGI) &&
        (
#line 11746 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LL
#line 13589 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ECXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compareL_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compareL_evex_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ECXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EDXREGI) &&
        (
#line 11731 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() && ((StrCompNode*)n)->encoding() == StrIntrinsicNode::LL
#line 13633 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ECXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compareL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compareL_rule, c)
      }
    }
}
void  State::_sub_Op_StrCompressedCopy(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_EDXREGI) &&
        (
#line 12163 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && VM_Version::supports_bmi2()
#line 13679 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EDIREGP_EDXREGI]+100;
        DFA_PRODUCTION(EAXREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(RREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(EBXREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(NADXREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(ECXREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(NAXREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(EDXREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(NCXREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(EDIREGI, string_compress_evex_rule, c)
        DFA_PRODUCTION(ESIREGI, string_compress_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_EDXREGI) &&
        (
#line 12147 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() || !VM_Version::supports_bmi2()
#line 13699 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EDIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_compress_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_compress_rule, c)
      }
    }
}
void  State::_sub_Op_StrEquals(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ESIREGP) && STATE__VALID_CHILD(_kids[1], ECXREGI) &&
        (
#line 11868 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw()
#line 13745 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ESIREGP]+_kids[1]->_cost[ECXREGI]+100;
        DFA_PRODUCTION(EAXREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(RREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(EBXREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(NADXREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(ECXREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(NAXREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(EDXREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(NCXREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(EDIREGI, string_equals_evex_rule, c)
        DFA_PRODUCTION(ESIREGI, string_equals_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_ESIREGP) && STATE__VALID_CHILD(_kids[1], ECXREGI) &&
        (
#line 11852 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw()
#line 13765 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_ESIREGP]+_kids[1]->_cost[ECXREGI]+100;
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_equals_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_equals_rule, c)
      }
    }
}
void  State::_sub_Op_StrIndexOf(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EAXREGI) &&
        (
#line 12001 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UL)
#line 13811 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EAXREGI]+100;
        DFA_PRODUCTION(EBXREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(RREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(EAXREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(NCXREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(ECXREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(NAXREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(NADXREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(EDXREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(EDIREGI, string_indexofUL_rule, c)
        DFA_PRODUCTION(ESIREGI, string_indexofUL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EAXREGI) &&
        (
#line 11985 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UU)
#line 13831 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EAXREGI]+100;
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_indexofU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_indexofU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_EAXREGI) &&
        (
#line 11969 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::LL)
#line 13875 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_EAXREGI]+100;
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_indexofL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_indexofL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_IMMI) &&
        (
#line 11942 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UL)
#line 13919 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_IMMI]+100;
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_indexof_conUL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_indexof_conUL_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_IMMI) &&
        (
#line 11914 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::UU)
#line 13963 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_IMMI]+100;
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_indexof_conU_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_indexof_conU_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], _BINARY_ESIREGP_IMMI) &&
        (
#line 11886 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfNode*)n)->encoding() == StrIntrinsicNode::LL)
#line 14007 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[_BINARY_ESIREGP_IMMI]+100;
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_indexof_conL_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_indexof_conL_rule, c)
      }
    }
}
void  State::_sub_Op_StrIndexOfChar(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], EAXREGI) &&
        (
#line 12030 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfCharNode*)n)->encoding() == StrIntrinsicNode::L)
#line 14053 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[EAXREGI]+100;
        DFA_PRODUCTION(EBXREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(RREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(EAXREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(NCXREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(ECXREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(NAXREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(NADXREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(EDXREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(EDIREGI, stringL_indexof_char_rule, c)
        DFA_PRODUCTION(ESIREGI, stringL_indexof_char_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_EDIREGP_EDXREGI) && STATE__VALID_CHILD(_kids[1], EAXREGI) &&
        (
#line 12017 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE42Intrinsics && (((StrIndexOfCharNode*)n)->encoding() == StrIntrinsicNode::U)
#line 14073 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_EDIREGP_EDXREGI]+_kids[1]->_cost[EAXREGI]+100;
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, string_indexof_char_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, string_indexof_char_rule, c)
      }
    }
}
void  State::_sub_Op_StrInflatedCopy(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_EDXREGI) &&
        (
#line 12194 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
VM_Version::supports_avx512vlbw() && VM_Version::supports_bmi2()
#line 14119 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EDIREGP_EDXREGI]+100;
        DFA_PRODUCTION(UNIVERSE, string_inflate_evex_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], ESIREGP) && STATE__VALID_CHILD(_kids[1], _BINARY_EDIREGP_EDXREGI) &&
        (
#line 12180 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
!VM_Version::supports_avx512vlbw() || !VM_Version::supports_bmi2()
#line 14128 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[ESIREGP]+_kids[1]->_cost[_BINARY_EDIREGP_EDXREGI]+100;
      if (STATE__NOT_YET_VALID(UNIVERSE) || _cost[UNIVERSE] > c) {
        DFA_PRODUCTION(UNIVERSE, string_inflate_rule, c)
      }
    }
}
void  State::_sub_Op_SubD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 2924 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 14141 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
        DFA_PRODUCTION(REGD, subD_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 2912 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 14152 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 2900 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 14169 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], IMMD) &&
        (
#line 2889 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 14186 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[IMMD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 2877 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 14203 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], REGD) &&
        (
#line 2865 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=2) && (UseAVX == 0)
#line 14220 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[REGD]+150;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, subD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _MULD_REGDPR_REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9910 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
 UseSSE<=1 
#line 14237 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_MULD_REGDPR_REGDPR]+_kids[1]->_cost[REGDPR]+250;
        DFA_PRODUCTION(REGDPR, subDPR_mulDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR1, subDPR_mulDPR_reg_rule, c)
        DFA_PRODUCTION(REGDPR2, subDPR_mulDPR_reg_rule, c)
        DFA_PRODUCTION(REGNOTDPR1, subDPR_mulDPR_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], _LOADD_MEMORY_) &&
        (
#line 9675 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE <=1
#line 14249 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[_LOADD_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, subDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, subDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, subDPR_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, subDPR_reg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR];
        DFA_PRODUCTION(_SUBD_REGDPR_REGDPR, _SubD_regDPR_regDPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGDPR) && STATE__VALID_CHILD(_kids[1], REGDPR) &&
        (
#line 9647 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE <=1
#line 14273 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGDPR]+_kids[1]->_cost[REGDPR]+150;
      if (STATE__NOT_YET_VALID(REGDPR) || _cost[REGDPR] > c) {
        DFA_PRODUCTION(REGDPR, subDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR1) || _cost[REGDPR1] > c) {
        DFA_PRODUCTION(REGDPR1, subDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGDPR2) || _cost[REGDPR2] > c) {
        DFA_PRODUCTION(REGDPR2, subDPR_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGNOTDPR1) || _cost[REGNOTDPR1] > c) {
        DFA_PRODUCTION(REGNOTDPR1, subDPR_reg_rule, c)
      }
    }
}
void  State::_sub_Op_SubF(const Node *n){
    bool Compile__current____select_24_bit_instr__ = Compile::current()->select_24_bit_instr();
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2853 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 14296 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
        DFA_PRODUCTION(REGF, subF_reg_imm_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2841 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 14307 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_reg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2829 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 14324 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_reg_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], IMMF) &&
        (
#line 2818 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 14341 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[IMMF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], _LOADF_MEMORY_) &&
        (
#line 2806 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 14358 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[_LOADF_MEMORY_]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], REGF) &&
        (
#line 2794 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseSSE>=1) && (UseAVX == 0)
#line 14375 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[REGF]+150;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, subF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR];
        DFA_PRODUCTION(_SUBF_REGFPR_REGFPR, _SubF_regFPR_regFPR_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10243 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && !Compile__current____select_24_bit_instr__
#line 14396 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
        DFA_PRODUCTION(REGFPR, subFPR_reg_rule, c)
        DFA_PRODUCTION(REGFPR1, subFPR_reg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], REGFPR) && STATE__VALID_CHILD(_kids[1], REGFPR) &&
        (
#line 10230 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseSSE==0 && Compile__current____select_24_bit_instr__
#line 14406 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGFPR]+_kids[1]->_cost[REGFPR]+100;
        DFA_PRODUCTION(STACKSLOTF, subFPR24_reg_rule, c)
      if (STATE__NOT_YET_VALID(REGFPR) || _cost[REGFPR] > c+125) {
        DFA_PRODUCTION(REGFPR, loadSSF_rule, c+125)
      }
      if (STATE__NOT_YET_VALID(REGFPR1) || _cost[REGFPR1] > c+125) {
        DFA_PRODUCTION(REGFPR1, loadSSF_rule, c+125)
      }
    }
}
void  State::_sub_Op_SubI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_SUBI_RREGI_RREGI, _SubI_rRegI_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_32) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_32]+_kids[1]->_cost[ECXREGI];
        DFA_PRODUCTION(_SUBI_IMMI_32_ECXREGI, _SubI_immI_32_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[ECXREGI];
        DFA_PRODUCTION(_SUBI_IMMI_0_ECXREGI, _SubI_immI_0_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_SUBI_IMMI_0__LOADI_MEMORY_, _SubI_immI_0__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[RREGI]+100;
        DFA_PRODUCTION(RREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(EAXREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(NCXREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(EBXREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(NADXREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(ECXREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(NAXREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(EDXREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(EDIREGI, negI_eReg_rule, c)
        DFA_PRODUCTION(ESIREGI, negI_eReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_SUBI_IMMI_0_RREGI, _SubI_immI_0_rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_SUBI__LOADI_MEMORY__RREGI, _SubI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, subI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, subI_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, subI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, subI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, subI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, subI_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_SubL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMML0) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+_kids[1]->_cost[_LOADL_MEMORY_];
        DFA_PRODUCTION(_SUBL_IMML0__LOADL_MEMORY_, _SubL_immL0__LoadL_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMML0) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+_kids[1]->_cost[EREGL];
        DFA_PRODUCTION(_SUBL_IMML0_EREGL, _SubL_immL0_eRegL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], IMML0) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+_kids[1]->_cost[EREGL]+300;
        DFA_PRODUCTION(EREGL, negL_eReg_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, negL_eReg_rule, c)
        DFA_PRODUCTION(EBCXREGL, negL_eReg_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_LOAD_LONG_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_LOADL_LOAD_LONG_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, subL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, subL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, subL_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, subL_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, subL_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, subL_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, subL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, subL_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, subL_eReg_rule, c)
      }
    }
}
void  State::_sub_Op_TailCall(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP_NO_EBP) && STATE__VALID_CHILD(_kids[1], EBXREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP_NO_EBP]+_kids[1]->_cost[EBXREGP]+300;
        DFA_PRODUCTION(UNIVERSE, TailCalljmpInd_rule, c)
    }
}
void  State::_sub_Op_TailJump(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGP_NO_EBP) && STATE__VALID_CHILD(_kids[1], EAXREGP) ) {
      unsigned int c = _kids[0]->_cost[EREGP_NO_EBP]+_kids[1]->_cost[EAXREGP]+300;
        DFA_PRODUCTION(UNIVERSE, tailjmpInd_rule, c)
    }
}
void  State::_sub_Op_MacroLogicV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY__LOADVECTOR_MEMORY__IMMU8) &&
        (
#line 8120 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)->in(1)) > 8
#line 14655 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY__LOADVECTOR_MEMORY__IMMU8]+100;
        DFA_PRODUCTION(VEC, vpternlog_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_IMMU8) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[_BINARY_VEC_IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vpternlog_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ThreadLocal(const Node *n){
    {
      unsigned int c = 100;
        DFA_PRODUCTION(EREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(STACKSLOTP, storeSSP_rule, c+100)
        DFA_PRODUCTION(ANYREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(EAXREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(RREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(EREGP_NO_EBP, tlsLoadP_rule, c+100)
        DFA_PRODUCTION(EBXREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(NAXREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(PREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(ECXREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(NABXREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(EDXREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(ESIREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(LOAD_LONG_REGP, tlsLoadP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_INDIRECT, tlsLoadP_rule, c+100)
        DFA_PRODUCTION(LOAD_LONG_MEMORY, load_long_indirect_rule, c+100)
        DFA_PRODUCTION(EDIREGP, tlsLoadP_rule, c)
        DFA_PRODUCTION(INDIRECT, tlsLoadP_rule, c)
        DFA_PRODUCTION(MEMORY, indirect_rule, c)
        DFA_PRODUCTION(LONG_MEMORY, indirect_rule, c)
    }
}
void  State::_sub_Op_URShiftI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], NCXREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[NCXREGI]+_kids[1]->_cost[ECXREGI];
        DFA_PRODUCTION(_URSHIFTI_NCXREGI_ECXREGI, _URShiftI_ncxRegI_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1];
        DFA_PRODUCTION(_URSHIFTI_RREGI_IMMI_1, _URShiftI_rRegI_immI_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], NCXREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_32_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[NCXREGI]+_kids[1]->_cost[_SUBI_IMMI_32_ECXREGI];
        DFA_PRODUCTION(_URSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI, _URShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], NCXREGI) && STATE__VALID_CHILD(_kids[1], _SUBI_IMMI_0_ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[NCXREGI]+_kids[1]->_cost[_SUBI_IMMI_0_ECXREGI];
        DFA_PRODUCTION(_URSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI, _URShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8];
        DFA_PRODUCTION(_URSHIFTI_RREGI_IMMI8, _URShiftI_rRegI_immI8_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_URSHIFTI_RREGI_IMMI_M1, _URShiftI_rRegI_immI_M1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[ECXREGI]+100;
        DFA_PRODUCTION(RREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(EAXREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(NCXREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(EBXREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(NADXREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(ECXREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(NAXREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(EDXREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(EDIREGI, shrI_eReg_CL_rule, c)
        DFA_PRODUCTION(ESIREGI, shrI_eReg_CL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, shrI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, shrI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, shrI_eReg_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, shrI_eReg_1_rule, c)
      }
    }
}
void  State::_sub_Op_URShiftL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], ECXREGI) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[ECXREGI]+600;
        DFA_PRODUCTION(EREGL, shrL_eReg_CL_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, shrL_eReg_CL_rule, c)
        DFA_PRODUCTION(EBCXREGL, shrL_eReg_CL_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_32_63) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_32_63]+300;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, shrL_eReg_32_63_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, shrL_eReg_32_63_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, shrL_eReg_32_63_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMMI_1_31) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMMI_1_31]+200;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, shrL_eReg_1_31_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, shrL_eReg_1_31_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, shrL_eReg_1_31_rule, c)
      }
    }
}
void  State::_sub_Op_XorI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[IMMI];
        DFA_PRODUCTION(_XORI__LOADI_MEMORY__IMMI, _XorI__LoadI_memory__immI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_];
        DFA_PRODUCTION(_XORI_RREGI__LOADI_MEMORY_, _XorI_rRegI__LoadI_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI];
        DFA_PRODUCTION(_XORI__LOADI_MEMORY__RREGI, _XorI__LoadI_memory__rRegI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[RREGI]+125;
        DFA_PRODUCTION(RREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(EAXREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(NCXREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(EBXREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(NADXREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(ECXREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(NAXREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(EDXREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(EDIREGI, xorI_eReg_mem_0_rule, c)
        DFA_PRODUCTION(ESIREGI, xorI_eReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, xorI_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, xorI_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, xorI_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, xorI_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, xorI_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, xorI_eReg_im1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, xorI_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, xorI_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDI__LOADI_MEMORY__IMMI_M1) &&
        (
#line 8310 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15042 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+_kids[1]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsmskI_rReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsmskI_rReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI__LOADI_MEMORY__IMMI_M1) && STATE__VALID_CHILD(_kids[1], _LOADI_MEMORY_) &&
        (
#line 8310 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15086 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI__LOADI_MEMORY__IMMI_M1]+_kids[1]->_cost[_LOADI_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsmskI_rReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsmskI_rReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], _ADDI_RREGI_IMMI_M1) &&
        (
#line 8295 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15130 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[_ADDI_RREGI_IMMI_M1]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsmskI_rReg_rReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsmskI_rReg_rReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDI_RREGI_IMMI_M1) && STATE__VALID_CHILD(_kids[1], RREGI) &&
        (
#line 8295 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15174 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDI_RREGI_IMMI_M1]+_kids[1]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, blsmskI_rReg_rReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, blsmskI_rReg_rReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], IMMI_M1) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[IMMI_M1];
        DFA_PRODUCTION(_XORI_RREGI_IMMI_M1, _XorI_rRegI_immI_M1_rule, c)
    }
}
void  State::_sub_Op_XorL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADL_LOAD_LONG_MEMORY_) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_LOAD_LONG_MEMORY_]+_kids[1]->_cost[EREGL]+125;
        DFA_PRODUCTION(EREGL, xorl_eReg_mem_0_rule, c)
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
        DFA_PRODUCTION(EADXREGL, xorl_eReg_mem_0_rule, c)
        DFA_PRODUCTION(EBCXREGL, xorl_eReg_mem_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _LOADL_LOAD_LONG_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_LOADL_LOAD_LONG_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, xorl_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, xorl_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, xorl_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, xorl_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, xorl_eReg_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, xorl_eReg_imm_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML_M1]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, xorl_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, xorl_eReg_im1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, xorl_eReg_im1_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], EREGL) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, xorl_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, xorl_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, xorl_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) && STATE__VALID_CHILD(_kids[1], _ADDL__LOADL_MEMORY__IMML_M1) &&
        (
#line 9121 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15291 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+_kids[1]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsmskL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsmskL_eReg_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsmskL_eReg_mem_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL__LOADL_MEMORY__IMML_M1) && STATE__VALID_CHILD(_kids[1], _LOADL_MEMORY_) &&
        (
#line 9121 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15311 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL__LOADL_MEMORY__IMML_M1]+_kids[1]->_cost[_LOADL_MEMORY_]+125;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsmskL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsmskL_eReg_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsmskL_eReg_mem_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], _ADDL_EREGL_IMML_M1) &&
        (
#line 9094 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15331 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_leaf == _kids[1]->_kids[0]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[_ADDL_EREGL_IMML_M1]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsmskL_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsmskL_eReg_eReg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsmskL_eReg_eReg_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _ADDL_EREGL_IMML_M1) && STATE__VALID_CHILD(_kids[1], EREGL) &&
        (
#line 9094 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
UseBMI1Instructions
#line 15351 "dfa_x86.cpp"
) && /*src*/(_kids[0]->_kids[0]->_leaf == _kids[1]->_leaf) ) {
      unsigned int c = _kids[0]->_cost[_ADDL_EREGL_IMML_M1]+_kids[1]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(EREGL) || _cost[EREGL] > c) {
        DFA_PRODUCTION(EREGL, blsmskL_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTL) || _cost[STACKSLOTL] > c+200) {
        DFA_PRODUCTION(STACKSLOTL, storeSSL_rule, c+200)
      }
      if (STATE__NOT_YET_VALID(EADXREGL) || _cost[EADXREGL] > c) {
        DFA_PRODUCTION(EADXREGL, blsmskL_eReg_eReg_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBCXREGL) || _cost[EBCXREGL] > c) {
        DFA_PRODUCTION(EBCXREGL, blsmskL_eReg_eReg_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) && STATE__VALID_CHILD(_kids[1], IMML_M1) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+_kids[1]->_cost[IMML_M1];
        DFA_PRODUCTION(_XORL_EREGL_IMML_M1, _XorL_eRegL_immL_M1_rule, c)
    }
}
void  State::_sub_Op_AddVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4856 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15378 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vaddB_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 4856 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15389 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddB_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4845 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15403 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4835 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15417 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4890 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15434 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vaddS_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 4890 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15445 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddS_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4879 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15459 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4869 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15473 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _MULADDVS2VI_VEC_VEC) &&
        (
#line 8080 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512_vnni()
#line 15489 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_MULADDVS2VI_VEC_VEC]+10;
        DFA_PRODUCTION(VEC, vmuladdaddS2I_reg_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _MULADDVS2VI_VEC_VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8080 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512_vnni()
#line 15499 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_MULADDVS2VI_VEC_VEC]+_kids[1]->_cost[VEC]+10;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmuladdaddS2I_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4925 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15514 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 4925 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15529 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4913 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15543 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4903 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15557 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddReductionVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4611 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_SHORT
#line 15573 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, reductionS_rule, c)
        DFA_PRODUCTION(EAXREGI, reductionS_rule, c)
        DFA_PRODUCTION(NCXREGI, reductionS_rule, c)
        DFA_PRODUCTION(EBXREGI, reductionS_rule, c)
        DFA_PRODUCTION(NADXREGI, reductionS_rule, c)
        DFA_PRODUCTION(ECXREGI, reductionS_rule, c)
        DFA_PRODUCTION(NAXREGI, reductionS_rule, c)
        DFA_PRODUCTION(EDXREGI, reductionS_rule, c)
        DFA_PRODUCTION(EDIREGI, reductionS_rule, c)
        DFA_PRODUCTION(ESIREGI, reductionS_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_INT
#line 15593 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionI_rule, c)
      }
    }
}
void  State::_sub_Op_AddVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4959 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15640 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vaddL_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 4959 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15651 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4948 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15665 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4938 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15679 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4993 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15696 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vaddF_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 4993 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15707 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4982 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15721 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4972 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15735 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddReductionVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4511 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 16
#line 15751 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGF, reduction16F_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4497 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 8
#line 15762 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reduction8F_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4483 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) <= 4
#line 15779 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reductionF128_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5027 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15799 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vaddD_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5027 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15810 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5016 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15824 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5006 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15838 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vaddD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AddReductionVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4555 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 8
#line 15854 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGD, reduction8D_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4541 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 4
#line 15865 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction4D_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4527 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 2
#line 15882 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction2D_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5063 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15902 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsubB_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5052 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15912 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5042 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15926 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5098 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15943 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsubS_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5087 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15953 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5076 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 15967 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5132 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 15984 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsubI_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5121 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 15994 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5111 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16008 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5167 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16025 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsubL_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5155 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16035 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5145 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16049 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5201 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16066 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsubF_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5190 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16076 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5180 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16090 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SubVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5235 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16107 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsubD_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5224 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16117 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5214 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16131 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsubD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5335 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 64
#line 16147 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmul64B_reg_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5309 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 32
#line 16157 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul32B_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5291 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && UseAVX > 1
#line 16171 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmul16B_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5268 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && UseAVX <= 1
#line 16185 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, mul16B_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5250 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 4 ||
            vector_length(n) == 8
#line 16200 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, mulB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5384 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16217 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmulS_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5384 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16228 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulS_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5373 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16242 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5363 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16256 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5419 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16273 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmulI_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5419 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16284 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5408 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16298 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5397 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16312 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulReductionVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4646 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_BYTE &&
            vector_length(n->in(2)) == 64
#line 16329 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(EAXREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(NCXREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(EBXREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(NADXREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(ECXREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(NAXREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(EDXREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(EDIREGI, mul_reduction64B_rule, c)
        DFA_PRODUCTION(ESIREGI, mul_reduction64B_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4632 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_BYTE &&
            vector_length(n->in(2)) <= 32
#line 16350 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, mul_reductionB_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, mul_reductionB_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4611 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_SHORT
#line 16394 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionS_0_rule, c)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_INT
#line 16438 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionI_0_rule, c)
      }
    }
}
void  State::_sub_Op_MulVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5483 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 4 && !VM_Version::supports_avx512dq()
#line 16484 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmul4L_reg_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5457 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 2 && !VM_Version::supports_avx512dq()
#line 16494 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, mul2L_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5444 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512dq() &&
              (vector_length_in_bytes(n->in(1)) > 8)
#line 16509 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulL_mem_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5444 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512dq() &&
              (vector_length_in_bytes(n->in(1)) > 8)
#line 16524 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5432 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512dq()
#line 16538 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5530 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16555 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmulF_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5530 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16566 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5519 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16580 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5509 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16594 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulReductionVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4511 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 16
#line 16610 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGF, reduction16F_0_rule, c)
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4497 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 8
#line 16621 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reduction8F_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGF) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4483 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) <= 4
#line 16638 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGF]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c) {
        DFA_PRODUCTION(REGF, reductionF128_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c+100) {
        DFA_PRODUCTION(LEGREGF, MoveF2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5564 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16658 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmulD_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5564 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16669 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5553 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16683 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5543 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16697 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmulD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulReductionVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4555 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 8
#line 16713 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(REGD, reduction8D_0_rule, c)
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4541 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 4
#line 16724 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction4D_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], REGD) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 4527 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(2)) == 2
#line 16741 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[REGD]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c) {
        DFA_PRODUCTION(REGD, reduction2D_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c+100) {
        DFA_PRODUCTION(LEGREGD, MoveD2LEG_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100)
      }
    }
}
void  State::_sub_Op_MulAddVS2VI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC];
        DFA_PRODUCTION(_MULADDVS2VI_VEC_VEC, _MulAddVS2VI_vec_vec_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8067 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16764 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vmuladdS2I_reg_avx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 8057 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16774 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vmuladdS2I_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_FmaVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__LOADVECTOR_MEMORY_) &&
        (
#line 8042 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) > 8
#line 16790 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+150;
        DFA_PRODUCTION(VEC, vfmaD_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfmaD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_FmaVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC__LOADVECTOR_MEMORY_) &&
        (
#line 8017 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) > 8
#line 16811 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC__LOADVECTOR_MEMORY_]+150;
        DFA_PRODUCTION(VEC, vfmaF_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_BINARY_VEC_VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vfmaF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_DivVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5636 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16833 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vdivF_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5625 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16843 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5615 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16857 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_DivVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 5670 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 16874 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vdivD_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5659 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 16884 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5649 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 16898 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vdivD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsB_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_AbsVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsS_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_AbsVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsI_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_AbsVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsL_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_AbsVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7297 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 4
#line 16942 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
        DFA_PRODUCTION(VEC, vabsneg4F_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7276 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) != 4
#line 16952 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsnegF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AbsVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsnegD_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_NegVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7297 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 4
#line 16975 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
        DFA_PRODUCTION(VEC, vabsneg4F_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7276 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) != 4
#line 16985 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+150;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vabsnegF_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_NegVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vabsnegD_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_SqrtVD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) &&
        (
#line 5879 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) > 8
#line 17008 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsqrtD_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsqrtD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_SqrtVF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) &&
        (
#line 5855 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) > 8
#line 17029 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+100;
        DFA_PRODUCTION(VEC, vsqrtF_mem_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vsqrtF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftCntV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[IMMI8];
        DFA_PRODUCTION(_LSHIFTCNTV_IMMI8_, _LShiftCntV_immI8__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(VEC, vshiftcnt_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_RShiftCntV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI8) ) {
      unsigned int c = _kids[0]->_cost[IMMI8];
        DFA_PRODUCTION(_RSHIFTCNTV_IMMI8_, _RShiftCntV_immI8__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
        DFA_PRODUCTION(VEC, vshiftcnt_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_LShiftVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6301 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 64 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17074 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift64B_var_evex_bw_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6282 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 32 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17086 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_var_evex_bw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6246 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 32 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17102 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6218 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17118 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6198 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17134 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8B_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5997 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 64 && VectorNode::is_vshift_cnt(n->in(2))
#line 17148 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift64B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5972 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 32 && VectorNode::is_vshift_cnt(n->in(2))
#line 17162 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5951 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX > 1
#line 17177 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5926 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX <= 1
#line 17192 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5906 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 && VectorNode::is_vshift_cnt(n->in(2))
#line 17206 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6386 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17223 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift16S_var_evex_bw_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6350 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17235 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6325 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17251 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8S_var_nobw_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6030 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17265 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6407 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2))
#line 17281 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshiftI_var_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6061 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17300 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_LShiftVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6424 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2))
#line 17316 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshiftL_var_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6115 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17335 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6301 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 64 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17353 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift64B_var_evex_bw_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6282 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 32 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17365 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_var_evex_bw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6246 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 32 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17381 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6218 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17397 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6198 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17413 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8B_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5997 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 64 && VectorNode::is_vshift_cnt(n->in(2))
#line 17427 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift64B_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5972 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 32 && VectorNode::is_vshift_cnt(n->in(2))
#line 17441 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5951 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX > 1
#line 17456 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5926 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX <= 1
#line 17471 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5906 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 && VectorNode::is_vshift_cnt(n->in(2))
#line 17485 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6386 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17502 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift16S_var_evex_bw_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6350 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17514 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6325 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17530 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8S_var_nobw_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6030 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17544 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftS_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6407 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2))
#line 17560 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshiftI_var_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _RSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_RSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_imm_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6061 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17579 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_RShiftVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6456 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX > 2
#line 17596 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshiftL_arith_var_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6440 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 4 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX == 2
#line 17608 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_arith_var_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6185 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2)) && UseAVX > 2
#line 17622 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_arith_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6156 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2)) && UseAVX <= 2
#line 17636 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_arith_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6301 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 64 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17654 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift64B_var_evex_bw_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6282 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 32 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17666 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_var_evex_bw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6246 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 32 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17682 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6218 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17698 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6198 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17714 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8B_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5997 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 64 && VectorNode::is_vshift_cnt(n->in(2))
#line 17728 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift64B_avx_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5972 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 32 && VectorNode::is_vshift_cnt(n->in(2))
#line 17742 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift32B_avx_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5951 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX > 1
#line 17757 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_avx_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5926 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && VectorNode::is_vshift_cnt(n->in(2)) &&
            UseAVX <= 1
#line 17772 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16B_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5906 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 && VectorNode::is_vshift_cnt(n->in(2))
#line 17786 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftB_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6386 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2)) &&
            VM_Version::supports_avx512bw()
#line 17803 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshift16S_var_evex_bw_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6350 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17815 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift16S_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6325 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8 &&
            !VectorNode::is_vshift_cnt(n->in(2)) &&
            !VM_Version::supports_avx512bw()
#line 17831 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshift8S_var_nobw_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6030 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17845 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftS_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6407 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2))
#line 17861 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshiftI_var_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _RSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_RSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_imm_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6061 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17880 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_URShiftVL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6424 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VectorNode::is_vshift_cnt(n->in(2))
#line 17896 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vshiftL_var_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _RSHIFTCNTV_IMMI8_) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_RSHIFTCNTV_IMMI8_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_imm_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6115 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VectorNode::is_vshift_cnt(n->in(2))
#line 17915 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vshiftL_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AndV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6492 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 17932 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vand_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 6492 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 17943 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6481 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 17957 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6471 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 17971 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vand_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_AndReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4611 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_SHORT
#line 17987 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(EAXREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(NCXREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(EBXREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(NADXREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(ECXREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(NAXREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(EDXREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(EDIREGI, reductionS_1_rule, c)
        DFA_PRODUCTION(ESIREGI, reductionS_1_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_INT
#line 18007 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionI_1_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionI_1_rule, c)
      }
    }
}
void  State::_sub_Op_OrV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6527 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 18054 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vor_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 6527 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 18065 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6516 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18079 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6506 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18093 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vor_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_OrReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4611 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_SHORT
#line 18109 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(EAXREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(NCXREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(EBXREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(NADXREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(ECXREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(NAXREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(EDXREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(EDIREGI, reductionS_2_rule, c)
        DFA_PRODUCTION(ESIREGI, reductionS_2_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_INT
#line 18129 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionI_2_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionI_2_rule, c)
      }
    }
}
void  State::_sub_Op_XorV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _LOADVECTOR_MEMORY_) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6562 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 18176 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADVECTOR_MEMORY_]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vxor_mem_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], _LOADVECTOR_MEMORY_) &&
        (
#line 6562 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 0) &&
            (vector_length_in_bytes(n->in(1)) > 8)
#line 18187 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[_LOADVECTOR_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6551 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18201 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 6541 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 18215 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vxor_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_XorReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4611 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_SHORT
#line 18231 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(EAXREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(NCXREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(EBXREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(NADXREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(ECXREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(NAXREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(EDXREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(EDIREGI, reductionS_3_rule, c)
        DFA_PRODUCTION(ESIREGI, reductionS_3_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_INT
#line 18251 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionI_3_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionI_3_rule, c)
      }
    }
}
void  State::_sub_Op_MinV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5797 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 64 &&
            is_floating_point_type(vector_element_basic_type(n))
#line 18298 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, evminmaxFP_reg_eavx_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5775 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) <= 32 &&
            is_floating_point_type(vector_element_basic_type(n)) && // T_FLOAT, T_DOUBLE
            UseAVX > 0
#line 18310 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, minmaxFP_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5755 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_length_in_bytes(n) == 64 || VM_Version::supports_avx512vl()) &&
            vector_element_basic_type(n) == T_LONG
#line 18325 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmaxL_reg_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5737 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) <= 32 && vector_element_basic_type(n) == T_LONG &&
            UseAVX > 0 && !VM_Version::supports_avx512vl()
#line 18340 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vminmaxL_reg_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5718 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 16 && vector_element_basic_type(n) == T_LONG &&
            UseAVX == 0
#line 18355 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmaxL_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5701 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_integral_type(vector_element_basic_type(n)) && vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX > 0
#line 18370 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmax_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5685 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_integral_type(vector_element_basic_type(n)) && vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX == 0
#line 18385 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmax_reg_sse_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MaxV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5797 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 64 &&
            is_floating_point_type(vector_element_basic_type(n))
#line 18402 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, evminmaxFP_reg_eavx_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5775 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) <= 32 &&
            is_floating_point_type(vector_element_basic_type(n)) && // T_FLOAT, T_DOUBLE
            UseAVX > 0
#line 18414 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, minmaxFP_reg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5755 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_length_in_bytes(n) == 64 || VM_Version::supports_avx512vl()) &&
            vector_element_basic_type(n) == T_LONG
#line 18429 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmaxL_reg_evex_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 5737 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) <= 32 && vector_element_basic_type(n) == T_LONG &&
            UseAVX > 0 && !VM_Version::supports_avx512vl()
#line 18444 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vminmaxL_reg_avx_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5718 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 16 && vector_element_basic_type(n) == T_LONG &&
            UseAVX == 0
#line 18459 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmaxL_reg_sse_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5701 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_integral_type(vector_element_basic_type(n)) && vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX > 0
#line 18474 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vminmax_reg_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 5685 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_integral_type(vector_element_basic_type(n)) && vector_element_basic_type(n) != T_LONG && // T_BYTE, T_SHORT, T_INT
            UseAVX == 0
#line 18489 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, minmax_reg_sse_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_MinReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4812 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            vector_length(n->in(2)) >= 4
#line 18506 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_av_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4792 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            vector_length(n->in(2)) == 2
#line 18518 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_av_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4769 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            vector_length(n->in(2)) >= 4
#line 18538 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4747 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            vector_length(n->in(2)) == 2
#line 18558 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4725 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            vector_length(n->in(2)) >= 4
#line 18576 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_av_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4705 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            vector_length(n->in(2)) == 2
#line 18588 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_av_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4684 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            vector_length(n->in(2)) >= 4
#line 18608 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4663 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            vector_length(n->in(2)) == 2
#line 18628 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4611 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_SHORT
#line 18645 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(EAXREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(NCXREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(EBXREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(NADXREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(ECXREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(NAXREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(EDXREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(EDIREGI, reductionS_4_rule, c)
        DFA_PRODUCTION(ESIREGI, reductionS_4_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_INT
#line 18665 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionI_4_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionI_4_rule, c)
      }
    }
}
void  State::_sub_Op_MaxReductionV(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4812 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            vector_length(n->in(2)) >= 4
#line 18712 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_av_0_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4792 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            vector_length(n->in(2)) == 2
#line 18724 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_av_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4769 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            vector_length(n->in(2)) >= 4
#line 18744 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reductionD_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMD) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4747 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_DOUBLE &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeD::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeD::NEG_INF)) &&
            vector_length(n->in(2)) == 2
#line 18764 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMD]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, minmax_reduction2D_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4725 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            vector_length(n->in(2)) >= 4
#line 18782 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_av_0_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGREGF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4705 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            vector_length(n->in(2)) == 2
#line 18794 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGREGF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_av_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4684 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            vector_length(n->in(2)) >= 4
#line 18814 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reductionF_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMF) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4663 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_FLOAT &&
            ((n->Opcode() == Op_MinReductionV && n->in(1)->bottom_type() == TypeF::POS_INF) ||
             (n->Opcode() == Op_MaxReductionV && n->in(1)->bottom_type() == TypeF::NEG_INF)) &&
            vector_length(n->in(2)) == 2
#line 18834 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMF]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, minmax_reduction2F_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4611 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_SHORT
#line 18851 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
        DFA_PRODUCTION(RREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(EAXREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(NCXREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(EBXREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(NADXREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(ECXREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(NAXREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(EDXREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(EDIREGI, reductionS_5_rule, c)
        DFA_PRODUCTION(ESIREGI, reductionS_5_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 4420 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n->in(2)) == T_INT
#line 18871 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, reductionI_5_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, reductionI_5_rule, c)
      }
    }
}
void  State::_sub_Op_LoadVector(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY];
        DFA_PRODUCTION(_LOADVECTOR_MEMORY_, _LoadVector_memory__rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+125;
        DFA_PRODUCTION(VEC, loadV_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_LoadVectorGather(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 3638 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 64
#line 18928 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, evgather_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 3613 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) <= 32
#line 18938 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, gather_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
}
void  State::_sub_Op_StoreVector(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], VEC) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[VEC]+145;
        DFA_PRODUCTION(UNIVERSE, storeV_rule, c)
    }
}
void  State::_sub_Op_StoreVectorScatter(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], MEMORY) && STATE__VALID_CHILD(_kids[1], _BINARY_VEC_VEC) &&
        (
#line 3662 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 2
#line 18960 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[MEMORY]+_kids[1]->_cost[_BINARY_VEC_VEC]+100;
        DFA_PRODUCTION(UNIVERSE, scatter_rule, c)
    }
}
void  State::_sub_Op_ReplicateB(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_M1) &&
        (
#line 3925 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 18971 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI_M1]+100;
        DFA_PRODUCTION(VEC, ReplI_M1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplB_zero_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI) ) {
      unsigned int c = _kids[0]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplB_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADB_MEMORY_) &&
        (
#line 3713 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx2()
#line 18999 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADB_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplB_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplB_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_M1) &&
        (
#line 3925 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 19024 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI_M1]+100;
        DFA_PRODUCTION(VEC, ReplI_M1_0_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplS_zero_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI) ) {
      unsigned int c = _kids[0]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplS_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADS_MEMORY_) &&
        (
#line 3795 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx2()
#line 19052 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_LOADS_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplS_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplS_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_M1) &&
        (
#line 3925 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 19077 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI_M1]+100;
        DFA_PRODUCTION(VEC, ReplI_M1_1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_zero_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMMI) ) {
      unsigned int c = _kids[0]->_cost[IMMI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADI_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADI_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], RREGI) ) {
      unsigned int c = _kids[0]->_cost[RREGI]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplI_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateL(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMML_M1) &&
        (
#line 4076 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0
#line 19125 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMML_M1]+100;
        DFA_PRODUCTION(VEC, ReplL_M1_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], IMML0) ) {
      unsigned int c = _kids[0]->_cost[IMML0]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_zero_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], IMML) ) {
      unsigned int c = _kids[0]->_cost[IMML]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_imm_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADL_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADL_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 3999 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 8
#line 19162 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, ReplL_reg_leg_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], EREGL) &&
        (
#line 3970 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 4
#line 19176 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[EREGL]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplL_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMF0) ) {
      unsigned int c = _kids[0]->_cost[IMMF0]+100;
        DFA_PRODUCTION(VEC, ReplF_zero_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADF_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADF_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplF_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VLREGF) ) {
      unsigned int c = _kids[0]->_cost[VLREGF]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplF_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ReplicateD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMD0) ) {
      unsigned int c = _kids[0]->_cost[IMMD0]+100;
        DFA_PRODUCTION(VEC, ReplD_zero_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _LOADD_MEMORY_) ) {
      unsigned int c = _kids[0]->_cost[_LOADD_MEMORY_]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplD_mem_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VLREGD) ) {
      unsigned int c = _kids[0]->_cost[VLREGD]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, ReplD_reg_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_ExtractS(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7050 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) == 32 || // src
            vector_length_in_bytes(n->in(1)) == 64
#line 19243 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(EAXREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(NCXREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(EBXREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(NADXREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(ECXREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(NAXREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(EDXREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(EDIREGI, vextractI_0_rule, c)
        DFA_PRODUCTION(ESIREGI, vextractI_0_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7033 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) <= 16
#line 19263 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, extractI_0_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, extractI_0_rule, c)
      }
    }
}
void  State::_sub_Op_ExtractI(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI) &&
        (
#line 7050 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) == 32 || // src
            vector_length_in_bytes(n->in(1)) == 64
#line 19310 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMI]+100;
        DFA_PRODUCTION(RREGI, vextractI_rule, c)
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
        DFA_PRODUCTION(XREGI, vextractI_rule, c)
        DFA_PRODUCTION(EAXREGI, vextractI_rule, c)
        DFA_PRODUCTION(NCXREGI, vextractI_rule, c)
        DFA_PRODUCTION(EBXREGI, vextractI_rule, c)
        DFA_PRODUCTION(NADXREGI, vextractI_rule, c)
        DFA_PRODUCTION(ECXREGI, vextractI_rule, c)
        DFA_PRODUCTION(NAXREGI, vextractI_rule, c)
        DFA_PRODUCTION(EDXREGI, vextractI_rule, c)
        DFA_PRODUCTION(EDIREGI, vextractI_rule, c)
        DFA_PRODUCTION(ESIREGI, vextractI_rule, c)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7033 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) <= 16
#line 19330 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(RREGI) || _cost[RREGI] > c) {
        DFA_PRODUCTION(RREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(STACKSLOTI) || _cost[STACKSLOTI] > c+100) {
        DFA_PRODUCTION(STACKSLOTI, storeSSI_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(XREGI) || _cost[XREGI] > c) {
        DFA_PRODUCTION(XREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EAXREGI) || _cost[EAXREGI] > c) {
        DFA_PRODUCTION(EAXREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NCXREGI) || _cost[NCXREGI] > c) {
        DFA_PRODUCTION(NCXREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EBXREGI) || _cost[EBXREGI] > c) {
        DFA_PRODUCTION(EBXREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NADXREGI) || _cost[NADXREGI] > c) {
        DFA_PRODUCTION(NADXREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ECXREGI) || _cost[ECXREGI] > c) {
        DFA_PRODUCTION(ECXREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(NAXREGI) || _cost[NAXREGI] > c) {
        DFA_PRODUCTION(NAXREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDXREGI) || _cost[EDXREGI] > c) {
        DFA_PRODUCTION(EDXREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(EDIREGI) || _cost[EDIREGI] > c) {
        DFA_PRODUCTION(EDIREGI, extractI_rule, c)
      }
      if (STATE__NOT_YET_VALID(ESIREGI) || _cost[ESIREGI] > c) {
        DFA_PRODUCTION(ESIREGI, extractI_rule, c)
      }
    }
}
void  State::_sub_Op_ExtractF(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7113 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(1)/*src*/) == 8 ||
            vector_length(n->in(1)/*src*/) == 16
#line 19377 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
        DFA_PRODUCTION(LEGREGF, vextractF_rule, c)
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7100 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(1)) <= 4
#line 19388 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(LEGREGF) || _cost[LEGREGF] > c) {
        DFA_PRODUCTION(LEGREGF, extractF_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGF) || _cost[REGF] > c+100) {
        DFA_PRODUCTION(REGF, MoveLEG2F_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGF) || _cost[VLREGF] > c+100+100) {
        DFA_PRODUCTION(VLREGF, MoveF2VL_rule, c+100+100)
      }
    }
}
void  State::_sub_Op_ExtractD(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7140 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(1)) == 4 || // src
            vector_length(n->in(1)) == 8
#line 19408 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
        DFA_PRODUCTION(LEGREGD, vextractD_rule, c)
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 7128 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n->in(1)) == 2
#line 19419 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(LEGREGD) || _cost[LEGREGD] > c) {
        DFA_PRODUCTION(LEGREGD, extractD_rule, c)
      }
      if (STATE__NOT_YET_VALID(REGD) || _cost[REGD] > c+100) {
        DFA_PRODUCTION(REGD, MoveLEG2D_rule, c+100)
      }
      if (STATE__NOT_YET_VALID(VLREGD) || _cost[VLREGD] > c+100+100) {
        DFA_PRODUCTION(VLREGD, MoveD2VL_rule, c+100+100)
      }
    }
}
void  State::_sub_Op_VectorMaskCmp(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 6986 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 &&
            (VM_Version::supports_avx512vl() ||
             vector_length_in_bytes(n->in(1)->in(1)) == 64) && // src1
             is_integral_type(vector_element_basic_type(n->in(1)->in(1)))
#line 19441 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[IMMI8]+100;
        DFA_PRODUCTION(VEC, evcmp_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 6968 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX == 2 || !VM_Version::supports_avx512vl()) &&
            is_unsigned_booltest_pred(n->in(2)->get_int()) &&
            vector_length_in_bytes(n->in(1)->in(1)) == 32 && // src1
            is_integral_type(vector_element_basic_type(n->in(1)->in(1)))
#line 19454 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmpu32_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 6949 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX == 2 || !VM_Version::supports_avx512vl()) &&
            is_unsigned_booltest_pred(n->in(2)->get_int()) &&
            vector_length_in_bytes(n->in(1)->in(1)) >=  8 && // src1
            vector_length_in_bytes(n->in(1)->in(1)) <= 16 && // src1
            is_integral_type(vector_element_basic_type(n->in(1)->in(1)))
#line 19472 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmpu_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 6931 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX <= 2 || !VM_Version::supports_avx512vl()) &&
            !is_unsigned_booltest_pred(n->in(2)->get_int()) &&
            vector_length_in_bytes(n->in(1)->in(1)) >=  4 && // src1
            vector_length_in_bytes(n->in(1)->in(1)) <= 32 && // src1
            is_integral_type(vector_element_basic_type(n->in(1)->in(1)))
#line 19490 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmp_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 6910 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)->in(1)) == 64 && // src1
            is_floating_point_type(vector_element_basic_type(n->in(1)->in(1)))
#line 19505 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, evcmpFD_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], IMMI8) &&
        (
#line 6892 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)->in(1)) >=  8 && // src1
            vector_length_in_bytes(n->in(1)->in(1)) <= 32 && // src1
            is_floating_point_type(vector_element_basic_type(n->in(1)->in(1)))
#line 19521 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[IMMI8]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vcmpFD_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorMaskCast(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7647 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_length(n) == vector_length(n->in(1))) &&
            (vector_length_in_bytes(n) == vector_length_in_bytes(n->in(1)))
#line 19538 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC];
        DFA_PRODUCTION(VEC, vmaskcast_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorBlend(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7199 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 64
#line 19550 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, evblendvp64_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 7186 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            vector_length_in_bytes(n) <= 32 &&
            !is_integral_type(vector_element_basic_type(n))
#line 19562 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vblendvpFD_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_LEGVEC_LEGVEC) && STATE__VALID_CHILD(_kids[1], LEGVEC) &&
        (
#line 7173 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            vector_length_in_bytes(n) <= 32 &&
            is_integral_type(vector_element_basic_type(n))
#line 19578 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_LEGVEC_LEGVEC]+_kids[1]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vblendvpI_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7157 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0
#line 19592 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, blendvp_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorRearrange(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7985 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_double_word_type(vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            (vector_length(n) == 8 || VM_Version::supports_avx512vl())
#line 19609 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, rearrangeL_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7957 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_double_word_type(vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            vector_length(n) < 8 && !VM_Version::supports_avx512vl()
#line 19620 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7913 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_element_basic_type(n) == T_INT || vector_element_basic_type(n) == T_FLOAT) &&
            UseAVX >= 2
#line 19635 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeI_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7889 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_element_basic_type(n) == T_INT || vector_element_basic_type(n) == T_FLOAT) &&
           vector_length(n) == 4 && UseAVX < 2
#line 19650 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7842 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_SHORT &&
            VM_Version::supports_avx512bw()
#line 19665 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeS_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7805 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_SHORT &&
            vector_length(n) == 16 && !VM_Version::supports_avx512bw()
#line 19680 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, rearrangeS_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7793 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_SHORT &&
            vector_length(n) <= 8 && !VM_Version::supports_avx512bw()
#line 19695 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7737 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_BYTE &&
            vector_length(n) >= 32 && VM_Version::supports_avx512_vbmi()
#line 19710 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeB_evex_vbmi_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7722 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_BYTE &&
            vector_length(n) > 32 && !VM_Version::supports_avx512_vbmi()
#line 19725 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeB_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7699 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_BYTE &&
            vector_length(n) == 32 && !VM_Version::supports_avx512_vbmi()
#line 19740 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, rearrangeB_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], VEC) &&
        (
#line 7687 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_BYTE &&
            vector_length(n) < 32
#line 19755 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, rearrangeB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorLoadMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7484 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512vlbw()
#line 19771 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, loadMask_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) &&
        (
#line 7470 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
!VM_Version::supports_avx512vlbw()
#line 19781 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+100;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, loadMask_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorLoadShuffle(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7971 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_double_word_type(vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            (vector_length(n) == 8 || VM_Version::supports_avx512vl())
#line 19798 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, loadShuffleL_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7930 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
is_double_word_type(vector_element_basic_type(n)) && // T_LONG, T_DOUBLE
            vector_length(n) < 8 && !VM_Version::supports_avx512vl()
#line 19809 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleL_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7901 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_element_basic_type(n) == T_INT || vector_element_basic_type(n) == T_FLOAT) &&
            UseAVX >= 2
#line 19824 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleI_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7859 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_element_basic_type(n) == T_INT || vector_element_basic_type(n) == T_FLOAT) &&
            vector_length(n) == 4 && UseAVX < 2
#line 19839 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleI_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7827 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_SHORT &&
            VM_Version::supports_avx512bw()
#line 19854 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleS_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7751 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_SHORT &&
            vector_length(n) <= 16 && !VM_Version::supports_avx512bw()
#line 19869 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 7677 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_BYTE
#line 19883 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, loadShuffleB_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorLoadConst(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], IMMI_0) &&
        (
#line 7661 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_BYTE
#line 19899 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[IMMI_0]+100;
        DFA_PRODUCTION(VEC, loadIotaIndices_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorStoreMask(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_8) &&
        (
#line 7631 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 2
#line 19911 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_8]+100;
        DFA_PRODUCTION(VEC, vstoreMask8B_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_8) &&
        (
#line 7614 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 4 && UseAVX <= 2
#line 19921 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, storeMask8B_avx_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_8) &&
        (
#line 7600 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 2 && UseAVX <= 2
#line 19935 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, storeMask8B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_4) &&
        (
#line 7584 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 2
#line 19949 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_4]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask4B_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_4) &&
        (
#line 7569 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 8 && UseAVX <= 2
#line 19963 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_4]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask4B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_4) &&
        (
#line 7556 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 4 && UseAVX <= 2
#line 19977 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_4]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, storeMask4B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_2) &&
        (
#line 7543 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
VM_Version::supports_avx512bw()
#line 19991 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_2]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask2B_evex_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_2) &&
        (
#line 7529 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) == 16 && !VM_Version::supports_avx512bw()
#line 20005 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_2]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vstoreMask2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_2) &&
        (
#line 7517 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) <= 8
#line 20019 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_2]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, storeMask2B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) && STATE__VALID_CHILD(_kids[1], IMMI_1) &&
        (
#line 7500 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) < 64 || VM_Version::supports_avx512vlbw()
#line 20033 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+_kids[1]->_cost[IMMI_1]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, storeMask1B_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorReinterpret(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], LEGVEC) &&
        (
#line 3411 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n->in(1)) > vector_length_in_bytes(n)
#line 20049 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[LEGVEC]+125;
        DFA_PRODUCTION(VEC, reinterpret_shrink_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3393 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            (vector_length_in_bytes(n->in(1)) > 4) && // src
            (vector_length_in_bytes(n->in(1)) < vector_length_in_bytes(n))
#line 20061 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vreinterpret_expand_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3378 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 0 &&
            (vector_length_in_bytes(n->in(1)) == 4) && // src
            (vector_length_in_bytes(n->in(1)) < vector_length_in_bytes(n))
#line 20077 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c) {
        DFA_PRODUCTION(LEGVEC, vreinterpret_expand4_rule, c)
      }
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c+100) {
        DFA_PRODUCTION(VEC, MoveLeg2Vec_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3355 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX == 0 &&
            (vector_length_in_bytes(n->in(1)) < vector_length_in_bytes(n))
#line 20092 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, reinterpret_expand_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 3344 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == vector_length_in_bytes(n->in(1))
#line 20106 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+125;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, reinterpret_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastB2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastBtoX_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorCastS2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6644 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX > 2 && VM_Version::supports_avx512vlbw()) ||
            (vector_length_in_bytes(n) >= vector_length_in_bytes(n->in(1)))
#line 20130 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastStoX_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6626 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX <= 2 || !VM_Version::supports_avx512vlbw()) &&
            vector_length(n->in(1)) == 16 && // src
            vector_element_basic_type(n) == T_BYTE
#line 20142 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastStoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6610 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(UseAVX <= 2 || !VM_Version::supports_avx512vlbw()) &&
            vector_length(n->in(1)) <= 8 && // src
            vector_element_basic_type(n) == T_BYTE
#line 20158 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castStoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastI2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6737 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 ||
            (vector_length_in_bytes(n) >= vector_length_in_bytes(n->in(1)))
#line 20175 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastItoX_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6709 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX <= 2 &&
            (vector_length_in_bytes(n->in(1)) == 32) &&
            (vector_length_in_bytes(n) < vector_length_in_bytes(n->in(1)))
#line 20187 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastItoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6683 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX <= 2 &&
            (vector_length_in_bytes(n->in(1)) <= 16) &&
            (vector_length_in_bytes(n) < vector_length_in_bytes(n->in(1)))
#line 20203 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, castItoX_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastL2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6808 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
UseAVX > 2 ||
            (vector_element_basic_type(n) == T_INT ||
             vector_element_basic_type(n) == T_FLOAT ||
             vector_element_basic_type(n) == T_DOUBLE)
#line 20222 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastLtoX_evex_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6777 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
(vector_element_basic_type(n) == T_BYTE || vector_element_basic_type(n) == T_SHORT) &&
            UseAVX <= 2
#line 20233 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, vcastLtoBS_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
void  State::_sub_Op_VectorCastF2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6868 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_DOUBLE
#line 20249 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastFtoD_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorCastD2X(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], VEC) &&
        (
#line 6879 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_element_basic_type(n) == T_FLOAT
#line 20261 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[VEC]+100;
        DFA_PRODUCTION(VEC, vcastDtoF_reg_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
}
void  State::_sub_Op_VectorInsert(const Node *n){
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_REGF) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4331 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) >= 8
#line 20273 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_REGF]+_kids[1]->_cost[IMMU8]+100;
        DFA_PRODUCTION(VEC, vinsertF_rule, c)
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_REGF) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4315 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length(n) < 8
#line 20283 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_REGF]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insertF_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGI) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4238 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 64
#line 20297 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGI]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert64_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGI) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4215 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) == 32
#line 20311 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGI]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert32_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
    if( STATE__VALID_CHILD(_kids[0], _BINARY_VEC_RREGI) && STATE__VALID_CHILD(_kids[1], IMMU8) &&
        (
#line 4197 "/home/iurt/rpmbuild/BUILD/java-17-openjdk-17.0.8.0.7-1.mga9.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
vector_length_in_bytes(n) < 32
#line 20325 "dfa_x86.cpp"
) ) {
      unsigned int c = _kids[0]->_cost[_BINARY_VEC_RREGI]+_kids[1]->_cost[IMMU8]+100;
      if (STATE__NOT_YET_VALID(VEC) || _cost[VEC] > c) {
        DFA_PRODUCTION(VEC, insert_rule, c)
      }
      if (STATE__NOT_YET_VALID(LEGVEC) || _cost[LEGVEC] > c+100) {
        DFA_PRODUCTION(LEGVEC, MoveVec2Leg_rule, c+100)
      }
    }
}
bool State::DFA(int opcode, const Node *n) {
  switch(opcode) {
  case Op_RegI: { _sub_Op_RegI(n);
    break;
  }
  case Op_RegP: { _sub_Op_RegP(n);
    break;
  }
  case Op_RegF: { _sub_Op_RegF(n);
    break;
  }
  case Op_RegD: { _sub_Op_RegD(n);
    break;
  }
  case Op_RegL: { _sub_Op_RegL(n);
    break;
  }
  case Op_VecS: { _sub_Op_VecS(n);
    break;
  }
  case Op_VecD: { _sub_Op_VecD(n);
    break;
  }
  case Op_VecX: { _sub_Op_VecX(n);
    break;
  }
  case Op_VecY: { _sub_Op_VecY(n);
    break;
  }
  case Op_VecZ: { _sub_Op_VecZ(n);
    break;
  }
  case Op_RegVectMask: { _sub_Op_RegVectMask(n);
    break;
  }
  case Op_RegFlags: { _sub_Op_RegFlags(n);
    break;
  }
  case Op_AbsD: { _sub_Op_AbsD(n);
    break;
  }
  case Op_AbsF: { _sub_Op_AbsF(n);
    break;
  }
  case Op_AbsI: { _sub_Op_AbsI(n);
    break;
  }
  case Op_AddD: { _sub_Op_AddD(n);
    break;
  }
  case Op_AddF: { _sub_Op_AddF(n);
    break;
  }
  case Op_AddI: { _sub_Op_AddI(n);
    break;
  }
  case Op_AddL: { _sub_Op_AddL(n);
    break;
  }
  case Op_AddP: { _sub_Op_AddP(n);
    break;
  }
  case Op_AndI: { _sub_Op_AndI(n);
    break;
  }
  case Op_AndL: { _sub_Op_AndL(n);
    break;
  }
  case Op_AryEq: { _sub_Op_AryEq(n);
    break;
  }
  case Op_AtanD: { _sub_Op_AtanD(n);
    break;
  }
  case Op_Binary: { _sub_Op_Binary(n);
    break;
  }
  case Op_Bool: { _sub_Op_Bool(n);
    break;
  }
  case Op_ReverseBytesI: { _sub_Op_ReverseBytesI(n);
    break;
  }
  case Op_ReverseBytesL: { _sub_Op_ReverseBytesL(n);
    break;
  }
  case Op_ReverseBytesUS: { _sub_Op_ReverseBytesUS(n);
    break;
  }
  case Op_ReverseBytesS: { _sub_Op_ReverseBytesS(n);
    break;
  }
  case Op_CallDynamicJava: { _sub_Op_CallDynamicJava(n);
    break;
  }
  case Op_CallLeaf: { _sub_Op_CallLeaf(n);
    break;
  }
  case Op_CallLeafNoFP: { _sub_Op_CallLeafNoFP(n);
    break;
  }
  case Op_CallRuntime: { _sub_Op_CallRuntime(n);
    break;
  }
  case Op_CallStaticJava: { _sub_Op_CallStaticJava(n);
    break;
  }
  case Op_CastDD: { _sub_Op_CastDD(n);
    break;
  }
  case Op_CastFF: { _sub_Op_CastFF(n);
    break;
  }
  case Op_CastII: { _sub_Op_CastII(n);
    break;
  }
  case Op_CastLL: { _sub_Op_CastLL(n);
    break;
  }
  case Op_CastVV: { _sub_Op_CastVV(n);
    break;
  }
  case Op_CastX2P: { _sub_Op_CastX2P(n);
    break;
  }
  case Op_CastP2X: { _sub_Op_CastP2X(n);
    break;
  }
  case Op_CastPP: { _sub_Op_CastPP(n);
    break;
  }
  case Op_CheckCastPP: { _sub_Op_CheckCastPP(n);
    break;
  }
  case Op_ClearArray: { _sub_Op_ClearArray(n);
    break;
  }
  case Op_CMoveD: { _sub_Op_CMoveD(n);
    break;
  }
  case Op_CMoveVD: { _sub_Op_CMoveVD(n);
    break;
  }
  case Op_CMoveF: { _sub_Op_CMoveF(n);
    break;
  }
  case Op_CMoveVF: { _sub_Op_CMoveVF(n);
    break;
  }
  case Op_CMoveI: { _sub_Op_CMoveI(n);
    break;
  }
  case Op_CMoveL: { _sub_Op_CMoveL(n);
    break;
  }
  case Op_CMoveP: { _sub_Op_CMoveP(n);
    break;
  }
  case Op_CmpD: { _sub_Op_CmpD(n);
    break;
  }
  case Op_CmpD3: { _sub_Op_CmpD3(n);
    break;
  }
  case Op_CmpF: { _sub_Op_CmpF(n);
    break;
  }
  case Op_CmpF3: { _sub_Op_CmpF3(n);
    break;
  }
  case Op_CmpI: { _sub_Op_CmpI(n);
    break;
  }
  case Op_CmpL: { _sub_Op_CmpL(n);
    break;
  }
  case Op_CmpL3: { _sub_Op_CmpL3(n);
    break;
  }
  case Op_CmpLTMask: { _sub_Op_CmpLTMask(n);
    break;
  }
  case Op_CmpP: { _sub_Op_CmpP(n);
    break;
  }
  case Op_CmpU: { _sub_Op_CmpU(n);
    break;
  }
  case Op_CmpUL: { _sub_Op_CmpUL(n);
    break;
  }
  case Op_CompareAndSwapB: { _sub_Op_CompareAndSwapB(n);
    break;
  }
  case Op_CompareAndSwapS: { _sub_Op_CompareAndSwapS(n);
    break;
  }
  case Op_CompareAndSwapI: { _sub_Op_CompareAndSwapI(n);
    break;
  }
  case Op_CompareAndSwapL: { _sub_Op_CompareAndSwapL(n);
    break;
  }
  case Op_CompareAndSwapP: { _sub_Op_CompareAndSwapP(n);
    break;
  }
  case Op_WeakCompareAndSwapB: { _sub_Op_WeakCompareAndSwapB(n);
    break;
  }
  case Op_WeakCompareAndSwapS: { _sub_Op_WeakCompareAndSwapS(n);
    break;
  }
  case Op_WeakCompareAndSwapI: { _sub_Op_WeakCompareAndSwapI(n);
    break;
  }
  case Op_WeakCompareAndSwapL: { _sub_Op_WeakCompareAndSwapL(n);
    break;
  }
  case Op_WeakCompareAndSwapP: { _sub_Op_WeakCompareAndSwapP(n);
    break;
  }
  case Op_CompareAndExchangeB: { _sub_Op_CompareAndExchangeB(n);
    break;
  }
  case Op_CompareAndExchangeS: { _sub_Op_CompareAndExchangeS(n);
    break;
  }
  case Op_CompareAndExchangeI: { _sub_Op_CompareAndExchangeI(n);
    break;
  }
  case Op_CompareAndExchangeL: { _sub_Op_CompareAndExchangeL(n);
    break;
  }
  case Op_CompareAndExchangeP: { _sub_Op_CompareAndExchangeP(n);
    break;
  }
  case Op_GetAndAddB: { _sub_Op_GetAndAddB(n);
    break;
  }
  case Op_GetAndAddS: { _sub_Op_GetAndAddS(n);
    break;
  }
  case Op_GetAndAddI: { _sub_Op_GetAndAddI(n);
    break;
  }
  case Op_GetAndSetB: { _sub_Op_GetAndSetB(n);
    break;
  }
  case Op_GetAndSetS: { _sub_Op_GetAndSetS(n);
    break;
  }
  case Op_GetAndSetI: { _sub_Op_GetAndSetI(n);
    break;
  }
  case Op_GetAndSetP: { _sub_Op_GetAndSetP(n);
    break;
  }
  case Op_ConD: { _sub_Op_ConD(n);
    break;
  }
  case Op_ConF: { _sub_Op_ConF(n);
    break;
  }
  case Op_ConI: { _sub_Op_ConI(n);
    break;
  }
  case Op_ConL: { _sub_Op_ConL(n);
    break;
  }
  case Op_ConP: { _sub_Op_ConP(n);
    break;
  }
  case Op_Conv2B: { _sub_Op_Conv2B(n);
    break;
  }
  case Op_ConvD2F: { _sub_Op_ConvD2F(n);
    break;
  }
  case Op_ConvD2I: { _sub_Op_ConvD2I(n);
    break;
  }
  case Op_ConvD2L: { _sub_Op_ConvD2L(n);
    break;
  }
  case Op_ConvF2D: { _sub_Op_ConvF2D(n);
    break;
  }
  case Op_ConvF2I: { _sub_Op_ConvF2I(n);
    break;
  }
  case Op_ConvF2L: { _sub_Op_ConvF2L(n);
    break;
  }
  case Op_ConvI2D: { _sub_Op_ConvI2D(n);
    break;
  }
  case Op_ConvI2F: { _sub_Op_ConvI2F(n);
    break;
  }
  case Op_ConvI2L: { _sub_Op_ConvI2L(n);
    break;
  }
  case Op_ConvL2D: { _sub_Op_ConvL2D(n);
    break;
  }
  case Op_ConvL2F: { _sub_Op_ConvL2F(n);
    break;
  }
  case Op_ConvL2I: { _sub_Op_ConvL2I(n);
    break;
  }
  case Op_CountedLoopEnd: { _sub_Op_CountedLoopEnd(n);
    break;
  }
  case Op_CountLeadingZerosI: { _sub_Op_CountLeadingZerosI(n);
    break;
  }
  case Op_CountLeadingZerosL: { _sub_Op_CountLeadingZerosL(n);
    break;
  }
  case Op_CountTrailingZerosI: { _sub_Op_CountTrailingZerosI(n);
    break;
  }
  case Op_CountTrailingZerosL: { _sub_Op_CountTrailingZerosL(n);
    break;
  }
  case Op_CreateEx: { _sub_Op_CreateEx(n);
    break;
  }
  case Op_DivD: { _sub_Op_DivD(n);
    break;
  }
  case Op_DivF: { _sub_Op_DivF(n);
    break;
  }
  case Op_DivI: { _sub_Op_DivI(n);
    break;
  }
  case Op_DivL: { _sub_Op_DivL(n);
    break;
  }
  case Op_DivModI: { _sub_Op_DivModI(n);
    break;
  }
  case Op_EncodeISOArray: { _sub_Op_EncodeISOArray(n);
    break;
  }
  case Op_FastLock: { _sub_Op_FastLock(n);
    break;
  }
  case Op_FastUnlock: { _sub_Op_FastUnlock(n);
    break;
  }
  case Op_FmaD: { _sub_Op_FmaD(n);
    break;
  }
  case Op_FmaF: { _sub_Op_FmaF(n);
    break;
  }
  case Op_Goto: { _sub_Op_Goto(n);
    break;
  }
  case Op_Halt: { _sub_Op_Halt(n);
    break;
  }
  case Op_HasNegatives: { _sub_Op_HasNegatives(n);
    break;
  }
  case Op_If: { _sub_Op_If(n);
    break;
  }
  case Op_Jump: { _sub_Op_Jump(n);
    break;
  }
  case Op_LShiftI: { _sub_Op_LShiftI(n);
    break;
  }
  case Op_LShiftL: { _sub_Op_LShiftL(n);
    break;
  }
  case Op_LoadB: { _sub_Op_LoadB(n);
    break;
  }
  case Op_LoadUB: { _sub_Op_LoadUB(n);
    break;
  }
  case Op_LoadUS: { _sub_Op_LoadUS(n);
    break;
  }
  case Op_LoadD: { _sub_Op_LoadD(n);
    break;
  }
  case Op_LoadF: { _sub_Op_LoadF(n);
    break;
  }
  case Op_LoadI: { _sub_Op_LoadI(n);
    break;
  }
  case Op_LoadKlass: { _sub_Op_LoadKlass(n);
    break;
  }
  case Op_LoadL: { _sub_Op_LoadL(n);
    break;
  }
  case Op_LoadPLocked: { _sub_Op_LoadPLocked(n);
    break;
  }
  case Op_LoadP: { _sub_Op_LoadP(n);
    break;
  }
  case Op_LoadRange: { _sub_Op_LoadRange(n);
    break;
  }
  case Op_LoadS: { _sub_Op_LoadS(n);
    break;
  }
  case Op_LoopLimit: { _sub_Op_LoopLimit(n);
    break;
  }
  case Op_MulAddS2I: { _sub_Op_MulAddS2I(n);
    break;
  }
  case Op_MaxI: { _sub_Op_MaxI(n);
    break;
  }
  case Op_MemBarAcquire: { _sub_Op_MemBarAcquire(n);
    break;
  }
  case Op_LoadFence: { _sub_Op_LoadFence(n);
    break;
  }
  case Op_SetVectMaskI: { _sub_Op_SetVectMaskI(n);
    break;
  }
  case Op_MemBarAcquireLock: { _sub_Op_MemBarAcquireLock(n);
    break;
  }
  case Op_MemBarRelease: { _sub_Op_MemBarRelease(n);
    break;
  }
  case Op_StoreFence: { _sub_Op_StoreFence(n);
    break;
  }
  case Op_StoreStoreFence: { _sub_Op_StoreStoreFence(n);
    break;
  }
  case Op_MemBarReleaseLock: { _sub_Op_MemBarReleaseLock(n);
    break;
  }
  case Op_MemBarVolatile: { _sub_Op_MemBarVolatile(n);
    break;
  }
  case Op_MemBarStoreStore: { _sub_Op_MemBarStoreStore(n);
    break;
  }
  case Op_MinI: { _sub_Op_MinI(n);
    break;
  }
  case Op_ModD: { _sub_Op_ModD(n);
    break;
  }
  case Op_ModF: { _sub_Op_ModF(n);
    break;
  }
  case Op_ModI: { _sub_Op_ModI(n);
    break;
  }
  case Op_ModL: { _sub_Op_ModL(n);
    break;
  }
  case Op_MoveI2F: { _sub_Op_MoveI2F(n);
    break;
  }
  case Op_MoveF2I: { _sub_Op_MoveF2I(n);
    break;
  }
  case Op_MoveL2D: { _sub_Op_MoveL2D(n);
    break;
  }
  case Op_MoveD2L: { _sub_Op_MoveD2L(n);
    break;
  }
  case Op_MulD: { _sub_Op_MulD(n);
    break;
  }
  case Op_MulF: { _sub_Op_MulF(n);
    break;
  }
  case Op_MulI: { _sub_Op_MulI(n);
    break;
  }
  case Op_MulL: { _sub_Op_MulL(n);
    break;
  }
  case Op_NegD: { _sub_Op_NegD(n);
    break;
  }
  case Op_NegF: { _sub_Op_NegF(n);
    break;
  }
  case Op_OnSpinWait: { _sub_Op_OnSpinWait(n);
    break;
  }
  case Op_OrI: { _sub_Op_OrI(n);
    break;
  }
  case Op_OrL: { _sub_Op_OrL(n);
    break;
  }
  case Op_OverflowAddI: { _sub_Op_OverflowAddI(n);
    break;
  }
  case Op_OverflowSubI: { _sub_Op_OverflowSubI(n);
    break;
  }
  case Op_OverflowMulI: { _sub_Op_OverflowMulI(n);
    break;
  }
  case Op_PartialSubtypeCheck: { _sub_Op_PartialSubtypeCheck(n);
    break;
  }
  case Op_PopCountI: { _sub_Op_PopCountI(n);
    break;
  }
  case Op_PopCountL: { _sub_Op_PopCountL(n);
    break;
  }
  case Op_PopCountVI: { _sub_Op_PopCountVI(n);
    break;
  }
  case Op_PrefetchAllocation: { _sub_Op_PrefetchAllocation(n);
    break;
  }
  case Op_RShiftI: { _sub_Op_RShiftI(n);
    break;
  }
  case Op_RShiftL: { _sub_Op_RShiftL(n);
    break;
  }
  case Op_Rethrow: { _sub_Op_Rethrow(n);
    break;
  }
  case Op_Return: { _sub_Op_Return(n);
    break;
  }
  case Op_RoundDouble: { _sub_Op_RoundDouble(n);
    break;
  }
  case Op_RoundFloat: { _sub_Op_RoundFloat(n);
    break;
  }
  case Op_RotateLeftV: { _sub_Op_RotateLeftV(n);
    break;
  }
  case Op_RotateRightV: { _sub_Op_RotateRightV(n);
    break;
  }
  case Op_SafePoint: { _sub_Op_SafePoint(n);
    break;
  }
  case Op_ShenandoahCompareAndExchangeP: { _sub_Op_ShenandoahCompareAndExchangeP(n);
    break;
  }
  case Op_ShenandoahCompareAndSwapP: { _sub_Op_ShenandoahCompareAndSwapP(n);
    break;
  }
  case Op_ShenandoahWeakCompareAndSwapP: { _sub_Op_ShenandoahWeakCompareAndSwapP(n);
    break;
  }
  case Op_SignumD: { _sub_Op_SignumD(n);
    break;
  }
  case Op_SignumF: { _sub_Op_SignumF(n);
    break;
  }
  case Op_SqrtD: { _sub_Op_SqrtD(n);
    break;
  }
  case Op_SqrtF: { _sub_Op_SqrtF(n);
    break;
  }
  case Op_StoreB: { _sub_Op_StoreB(n);
    break;
  }
  case Op_StoreC: { _sub_Op_StoreC(n);
    break;
  }
  case Op_StoreCM: { _sub_Op_StoreCM(n);
    break;
  }
  case Op_StorePConditional: { _sub_Op_StorePConditional(n);
    break;
  }
  case Op_StoreIConditional: { _sub_Op_StoreIConditional(n);
    break;
  }
  case Op_StoreLConditional: { _sub_Op_StoreLConditional(n);
    break;
  }
  case Op_StoreD: { _sub_Op_StoreD(n);
    break;
  }
  case Op_StoreF: { _sub_Op_StoreF(n);
    break;
  }
  case Op_StoreI: { _sub_Op_StoreI(n);
    break;
  }
  case Op_StoreL: { _sub_Op_StoreL(n);
    break;
  }
  case Op_StoreP: { _sub_Op_StoreP(n);
    break;
  }
  case Op_StrComp: { _sub_Op_StrComp(n);
    break;
  }
  case Op_StrCompressedCopy: { _sub_Op_StrCompressedCopy(n);
    break;
  }
  case Op_StrEquals: { _sub_Op_StrEquals(n);
    break;
  }
  case Op_StrIndexOf: { _sub_Op_StrIndexOf(n);
    break;
  }
  case Op_StrIndexOfChar: { _sub_Op_StrIndexOfChar(n);
    break;
  }
  case Op_StrInflatedCopy: { _sub_Op_StrInflatedCopy(n);
    break;
  }
  case Op_SubD: { _sub_Op_SubD(n);
    break;
  }
  case Op_SubF: { _sub_Op_SubF(n);
    break;
  }
  case Op_SubI: { _sub_Op_SubI(n);
    break;
  }
  case Op_SubL: { _sub_Op_SubL(n);
    break;
  }
  case Op_TailCall: { _sub_Op_TailCall(n);
    break;
  }
  case Op_TailJump: { _sub_Op_TailJump(n);
    break;
  }
  case Op_MacroLogicV: { _sub_Op_MacroLogicV(n);
    break;
  }
  case Op_ThreadLocal: { _sub_Op_ThreadLocal(n);
    break;
  }
  case Op_URShiftI: { _sub_Op_URShiftI(n);
    break;
  }
  case Op_URShiftL: { _sub_Op_URShiftL(n);
    break;
  }
  case Op_XorI: { _sub_Op_XorI(n);
    break;
  }
  case Op_XorL: { _sub_Op_XorL(n);
    break;
  }
  case Op_AddVB: { _sub_Op_AddVB(n);
    break;
  }
  case Op_AddVS: { _sub_Op_AddVS(n);
    break;
  }
  case Op_AddVI: { _sub_Op_AddVI(n);
    break;
  }
  case Op_AddReductionVI: { _sub_Op_AddReductionVI(n);
    break;
  }
  case Op_AddVL: { _sub_Op_AddVL(n);
    break;
  }
  case Op_AddVF: { _sub_Op_AddVF(n);
    break;
  }
  case Op_AddReductionVF: { _sub_Op_AddReductionVF(n);
    break;
  }
  case Op_AddVD: { _sub_Op_AddVD(n);
    break;
  }
  case Op_AddReductionVD: { _sub_Op_AddReductionVD(n);
    break;
  }
  case Op_SubVB: { _sub_Op_SubVB(n);
    break;
  }
  case Op_SubVS: { _sub_Op_SubVS(n);
    break;
  }
  case Op_SubVI: { _sub_Op_SubVI(n);
    break;
  }
  case Op_SubVL: { _sub_Op_SubVL(n);
    break;
  }
  case Op_SubVF: { _sub_Op_SubVF(n);
    break;
  }
  case Op_SubVD: { _sub_Op_SubVD(n);
    break;
  }
  case Op_MulVB: { _sub_Op_MulVB(n);
    break;
  }
  case Op_MulVS: { _sub_Op_MulVS(n);
    break;
  }
  case Op_MulVI: { _sub_Op_MulVI(n);
    break;
  }
  case Op_MulReductionVI: { _sub_Op_MulReductionVI(n);
    break;
  }
  case Op_MulVL: { _sub_Op_MulVL(n);
    break;
  }
  case Op_MulVF: { _sub_Op_MulVF(n);
    break;
  }
  case Op_MulReductionVF: { _sub_Op_MulReductionVF(n);
    break;
  }
  case Op_MulVD: { _sub_Op_MulVD(n);
    break;
  }
  case Op_MulReductionVD: { _sub_Op_MulReductionVD(n);
    break;
  }
  case Op_MulAddVS2VI: { _sub_Op_MulAddVS2VI(n);
    break;
  }
  case Op_FmaVD: { _sub_Op_FmaVD(n);
    break;
  }
  case Op_FmaVF: { _sub_Op_FmaVF(n);
    break;
  }
  case Op_DivVF: { _sub_Op_DivVF(n);
    break;
  }
  case Op_DivVD: { _sub_Op_DivVD(n);
    break;
  }
  case Op_AbsVB: { _sub_Op_AbsVB(n);
    break;
  }
  case Op_AbsVS: { _sub_Op_AbsVS(n);
    break;
  }
  case Op_AbsVI: { _sub_Op_AbsVI(n);
    break;
  }
  case Op_AbsVL: { _sub_Op_AbsVL(n);
    break;
  }
  case Op_AbsVF: { _sub_Op_AbsVF(n);
    break;
  }
  case Op_AbsVD: { _sub_Op_AbsVD(n);
    break;
  }
  case Op_NegVF: { _sub_Op_NegVF(n);
    break;
  }
  case Op_NegVD: { _sub_Op_NegVD(n);
    break;
  }
  case Op_SqrtVD: { _sub_Op_SqrtVD(n);
    break;
  }
  case Op_SqrtVF: { _sub_Op_SqrtVF(n);
    break;
  }
  case Op_LShiftCntV: { _sub_Op_LShiftCntV(n);
    break;
  }
  case Op_RShiftCntV: { _sub_Op_RShiftCntV(n);
    break;
  }
  case Op_LShiftVB: { _sub_Op_LShiftVB(n);
    break;
  }
  case Op_LShiftVS: { _sub_Op_LShiftVS(n);
    break;
  }
  case Op_LShiftVI: { _sub_Op_LShiftVI(n);
    break;
  }
  case Op_LShiftVL: { _sub_Op_LShiftVL(n);
    break;
  }
  case Op_RShiftVB: { _sub_Op_RShiftVB(n);
    break;
  }
  case Op_RShiftVS: { _sub_Op_RShiftVS(n);
    break;
  }
  case Op_RShiftVI: { _sub_Op_RShiftVI(n);
    break;
  }
  case Op_RShiftVL: { _sub_Op_RShiftVL(n);
    break;
  }
  case Op_URShiftVB: { _sub_Op_URShiftVB(n);
    break;
  }
  case Op_URShiftVS: { _sub_Op_URShiftVS(n);
    break;
  }
  case Op_URShiftVI: { _sub_Op_URShiftVI(n);
    break;
  }
  case Op_URShiftVL: { _sub_Op_URShiftVL(n);
    break;
  }
  case Op_AndV: { _sub_Op_AndV(n);
    break;
  }
  case Op_AndReductionV: { _sub_Op_AndReductionV(n);
    break;
  }
  case Op_OrV: { _sub_Op_OrV(n);
    break;
  }
  case Op_OrReductionV: { _sub_Op_OrReductionV(n);
    break;
  }
  case Op_XorV: { _sub_Op_XorV(n);
    break;
  }
  case Op_XorReductionV: { _sub_Op_XorReductionV(n);
    break;
  }
  case Op_MinV: { _sub_Op_MinV(n);
    break;
  }
  case Op_MaxV: { _sub_Op_MaxV(n);
    break;
  }
  case Op_MinReductionV: { _sub_Op_MinReductionV(n);
    break;
  }
  case Op_MaxReductionV: { _sub_Op_MaxReductionV(n);
    break;
  }
  case Op_LoadVector: { _sub_Op_LoadVector(n);
    break;
  }
  case Op_LoadVectorGather: { _sub_Op_LoadVectorGather(n);
    break;
  }
  case Op_StoreVector: { _sub_Op_StoreVector(n);
    break;
  }
  case Op_StoreVectorScatter: { _sub_Op_StoreVectorScatter(n);
    break;
  }
  case Op_ReplicateB: { _sub_Op_ReplicateB(n);
    break;
  }
  case Op_ReplicateS: { _sub_Op_ReplicateS(n);
    break;
  }
  case Op_ReplicateI: { _sub_Op_ReplicateI(n);
    break;
  }
  case Op_ReplicateL: { _sub_Op_ReplicateL(n);
    break;
  }
  case Op_ReplicateF: { _sub_Op_ReplicateF(n);
    break;
  }
  case Op_ReplicateD: { _sub_Op_ReplicateD(n);
    break;
  }
  case Op_ExtractS: { _sub_Op_ExtractS(n);
    break;
  }
  case Op_ExtractI: { _sub_Op_ExtractI(n);
    break;
  }
  case Op_ExtractF: { _sub_Op_ExtractF(n);
    break;
  }
  case Op_ExtractD: { _sub_Op_ExtractD(n);
    break;
  }
  case Op_VectorMaskCmp: { _sub_Op_VectorMaskCmp(n);
    break;
  }
  case Op_VectorMaskCast: { _sub_Op_VectorMaskCast(n);
    break;
  }
  case Op_VectorBlend: { _sub_Op_VectorBlend(n);
    break;
  }
  case Op_VectorRearrange: { _sub_Op_VectorRearrange(n);
    break;
  }
  case Op_VectorLoadMask: { _sub_Op_VectorLoadMask(n);
    break;
  }
  case Op_VectorLoadShuffle: { _sub_Op_VectorLoadShuffle(n);
    break;
  }
  case Op_VectorLoadConst: { _sub_Op_VectorLoadConst(n);
    break;
  }
  case Op_VectorStoreMask: { _sub_Op_VectorStoreMask(n);
    break;
  }
  case Op_VectorReinterpret: { _sub_Op_VectorReinterpret(n);
    break;
  }
  case Op_VectorCastB2X: { _sub_Op_VectorCastB2X(n);
    break;
  }
  case Op_VectorCastS2X: { _sub_Op_VectorCastS2X(n);
    break;
  }
  case Op_VectorCastI2X: { _sub_Op_VectorCastI2X(n);
    break;
  }
  case Op_VectorCastL2X: { _sub_Op_VectorCastL2X(n);
    break;
  }
  case Op_VectorCastF2X: { _sub_Op_VectorCastF2X(n);
    break;
  }
  case Op_VectorCastD2X: { _sub_Op_VectorCastD2X(n);
    break;
  }
  case Op_VectorInsert: { _sub_Op_VectorInsert(n);
    break;
  }
  
  default:
    tty->print("Default case invoked for: \n");
    tty->print("   opcode  = %d, \"%s\"\n", opcode, NodeClassNames[opcode]);
    return false;
  }
  return true;
}
